2008-09-18  Karl Berry  <karl@tug.org>

	* Version 4.13.

2008-09-13  Sergey Poznyakoff  <gray@gnu.org.ua>

	* info/window.c (line_map_init): Take an additional argument,
	node.
	(window_compute_line_map): Recompute the line map if the node
	has changed.
	* info/window.h (struct line_map_struct): New member `node'.

2008-08-29  Karl Berry  <karl@gnu.org>

	* doc/info-stnd.texi: use @kbd for key sequences and @key only for
	names of keys, as intended.  Inspired by Eli, 28 Aug 2008 21:21:38.

2008-08-28  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c (main): convert_from_stream (stdin)
	if an input filename is named "-".  Suggestion from
	Bruno Haible, 26 Aug 2008 01:05:28.

2008-08-27  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c (EXECUTE_STRING_MAX): bump to 32k.
	Report from Patrice, 20 Aug 2008 14:28:30.
	A real fix is beyond me right now, and seems unnecessary
	for the future since we're moving to a different implementation.

2008-08-16  Karl Berry  <karl@tug.org>

	* pretest 4.12.94.

2008-08-15  Karl Berry  <karl@gnu.org>

	* util/texi2dvi (run_thumbpdf): needs $in_dir on the filename.
	Report from: Christoph Spiel, 13 Aug 2008 08:27:16.

2008-08-15  Ben Pfaff  <blp@cs.stanford.edu>  (tiny change)

	* makeinfo/makeinfo.c (remember_brace_1): always xstrdup.
	Avoids seg fault on input of {x}@y, e.g., makeinfo texinfo.tex.
	Sent 14 Aug 2008 21:35:19.

2008-08-14  Karl Berry  <karl@gnu.org>

	* info/info.c (info_short_help): mention Info manuals and the h
	key within the program.

2008-08-10  Karl Berry  <karl@gnu.org>

	* util/texi2dvi (absolute_filenames): preserve even non-directories
	in the returned path, in case they contain metacharacters
	meaningful to TeX, such as braces.
	Bug report from Werner Lemberg, 10 Aug 2008 08:26:58.

2008-07-27  Karl Berry  <karl@gnu.org>

	* util/texi2dvi (xref_files_save): null out TAR_OPTIONS.
	From Jim Meyering.

2008-07-27  Karl Berry  <karl@tug.org>

	* pretest 4.12.93.
	
	* gnulib: import memmem.

2008-07-07  Karl Berry  <karl@gnu.org>

	* install-info/tests/*-test: prefix the template with ii##.

2008-07-06  Karl Berry  <karl@tug.org>

	* pretest 4.12.92.

2008-07-05  Robert Kiesling  <rkiesling@earthlink.net>  (tiny change)

	* makeinfo/node.c (cm_node): move <p> to after anchors, closer to
	<div>.

2008-07-05  Karl Berry  <karl@gnu.org>

	* install-info/tests/ii-0041-test, ii-0050-test: with template,
	have to handle compressed output files differently, or
	the temp files are left behind by distclean.

	* install-info/tests/*-test: use mktemp XXXXXXXX for BSD.
	Report from Unga, 29 Jun 2008 08:29:54.

2008-07-04  Akim Demaille  <akim@epita.fr>

	texi2dvi: Fix -t.
	* util/texi2dvi (run_tex): The code that installs a symlink was
	installing the symlink directly to itself, instead of towards the
	actual source file.  I wonder how it worked.  As a result -t was
	not taken into account.
	Fix the symlink creation.
	* util/texi2dvi.test (one_run): Test -t support.

2008-07-03  Karl Berry  <karl@gnu.org>

	* doc/Makefile.am (pdftexi2dvi.1): use change_envvars here too.

2008-07-02  Karl Berry  <karl@gnu.org>

	* util/texi2dvi (generated_files_get): find .fls files too.
	(from the -recorder option.)
	Suggestion from Wybo Dekker.

2008-07-01  Karl Berry  <karl@gnu.org>

	* doc/Makefile.am (change_envvars): include util_srcdir in PATH
	so texi2pdf can find texi2dvi for making the man pages.
	Report from Michael Haubenwallner, 01 Jul 2008 14:33:18.

2008-06-28  Sergey Poznyakoff  <gray@gnu.org.ua>

	* info/info.c (long_option): New options
	--show-malformed-multibytes and --no-show-malformed-multibytes
	* info/man.c (find_man_formatter): If INFO_MAN_COMMAND is
	specified, use its value as man command.
	* info/window.c (show_malformed_multibyte_p): New variable.
	(process_node_text): Ignore malformed multibyte characters unless
	show_malformed_multibyte_p is set.
	* info/window.h (show_malformed_multibyte_p): New extern.

	* doc/info-stnd.texi (Invoking Info): Document new options.
	* NEWS: Likewise.

2008-06-18  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi (usage): More comments.
	(version): exit 0.
	Reported by Karl Berry.

2008-06-16  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi (version): New function, to replace...
	($version): this.
	(usage): Document --dvipdf.

2008-06-16  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi: Sort functions.

2008-06-16  Akim Demaille  <akim@epita.fr>

	texi2dvi: avoid "\n" in echos to please Bash 3.2.
	It is virtually impossible to find a safe means to use
	echo with \n in it.  So use cat and here docs.
	* util/texi2dvi ($usage): Remove, replaced by...
	(usage): this function.

2008-06-16  Akim Demaille  <demaille@gostai.com>

	Support -I dir1:dir2, as per the documentation.
	Reported by Vincent Ordy.
	* util/texi2dvi: (list_concat_dirs): New.
	Currently mostly a copy of absolute_filenames, but the latter
	is scheduled for removal.
	Use list_concat_dirs for -I support.
	(--I*): Remove, not documented anywhere, and too accepting.

2008-06-15  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* autogen.sh: Fix quotation typo.
	* gnulib/lib/configmake.h, gnulib/lib/stdbool_.h: Remove.

2008-06-13  Sergey Poznyakoff  <gray@gnu.org.ua>

	Fix length calculation for strings containing ANSI escapes.
	Bug reported by Benno Schulenberg.

	* info/man.c (clean_manpage): Remove.
	(get_manpage_contents): Remove the kludge introduced 2006-08-13.
	* info/window.c (process_node_text): ANSI escapes have visible
	length of 0.
	(clean_manpage): Multibyte-safe implementation.
	* info/window.h (clean_manpage): New prototype.

2008-06-12  Yavor Doganov  <yavor@gnu.org>  (tiny change)

	* util/gendocs_template:
	1. Link to the new FSF online store.
	2. /server/footer-min.html is no longer necessary and we should remove
            it at some point.  It would be easier if less articles include it.
	3. Bump copyright year.

2008-06-12  Karl Berry  <karl@tug.org>

	* pretest 4.12.91.

2008-06-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* info/session.c (point_backward_char): Skip columns until
	previous point is reached.

	* info/dir.c, info/display.c, info/dribble.c, info/echo-area.c
	info/filesys.c, info/footnotes.c, info/gc.c, info/indices.c,
	info/info-utils.c, info/info.c, info/infodoc.c, info/infokey.c,
	info/infomap.c, info/m-x.c, info/makedoc.c, info/man.c,
	info/nodemenu.c, info/nodes.c, info/pcterm.c, info/search.c,
	info/session.c, info/terminal.c, info/tilde.c, info/variables.c,
	info/window.c: Avoid useless type casts.

2008-06-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	Fix incremental regexp searches (bug reported by Bruno Haible).

	* info/search.c (regexp_search): Take an additional argument,
	pret.  Return the final state of search binding if it is given.
	* info/search.h (regexp_search): Update prototype.
	* info/session.c (info_search_in_node_internal): New function.
	(info_search_in_node): Rewrite as a wrapper over
	info_search_in_node_internal.
	(info_search_internal): Take an additional argument.  Initialize
	window->point from it if it is given.
	Use info_search_in_node_internal.

2008-06-10  Sergey Poznyakoff  <gray@gnu.org.ua>

	* info/session.c (_looking_at_newline, point_next_line)
	(point_prev_line, point_forward_char, point_backward_char)
	(point_skip_ws_forward, point_skip_ws_backward)
	(point_forward_word, point_backward_word): New functions.
	(info_end_of_line, info_forward_char, info_backward_char)
	(info_forward_word, info_backward_word): Reimplement to work
	correctly in multibytes locales.
	* info/window.c (window_scan_line): New function.
	(window_compute_line_map): Rewrite using window_scan_line.
	(window_end_of_line): New function.
	* info/window.h (LINE_MAP): Change type of map to long.
	(window_end_of_line): New prototype.

2008-06-10  Sergey Poznyakoff  <gray@gnu.org.ua>

	Fix cursor positioning in multibyte locales.

	* info/display.c (process_node_text): Move to window.c
	* info/display.h (process_node_text): Move to window.h
	(handle_tag): New prototype.

	* info/window.c (window_get_cursor_column): Rewrite using
	window_point_to_column.
	(window_chars_to_goal): Change signature.
	(process_node_text): Move from display.c
	(window_line_map_init, window_compute_line_map)
	(window_point_to_column): New functions.
	* info/window.h (LINE_MAP): New data type.
	(WINDOW): New member line_map.
	(window_chars_to_goal): Change prototype.
	(window_line_map_init, window_compute_line_map)
	(window_point_to_column): New prototypes.

	* info/echo-area.c (ea_tab_insert, ea_kill_word)
	(ea_backward_kill_w): Call window_line_map_init.
	* info/session.c (move_to_new_line): Change call to
	window_chars_to_goal.
	(info_end_of_line, info_beginning_of_line): Use line map.

2008-06-09  Sergey Poznyakoff  <gray@gnu.org.ua>

	* info/info-utils.c (printed_representation): Fix length
	calculation.

2008-06-03  Karl Berry  <karl@gnu.org>

	* util/texi2dvi (run_makeinfo): = not ==.
	From Ralf W, 3 Jun 2008 21:12:30.

2008-05-22  Karl Berry  <karl@tug.org>

	* pretest 4.12.90.

	* install-info/tests/Makefile.am (EXTRA_DIST): missed ii-0051-test.

2008-05-20  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c (cm_image): need another byte for fullname.
	Report from Patrice Dumas, 15 May 2008 00:40:03.

2008-05-19  Duncan Murdoch <murdoch@stats.uwo.ca>

	Added --internal-links option to print file of internal links:
	* makeinfo/makeinfo.c (OPT_INTERNAL_LINKS, long_options, main, usage):
        add command-line option.
	(convert_from_loaded_file): write the file.
	* makeinfo/html.c (internal_links_filename,
	internal_links_stream, escaped_anchor_name): new globals and fn.
	(add_escaped_anchor): call escaped_anchor_name.
	* makeinfo/html.h: declare them.
	* makeinfo/index.c (cm_printindex): write out indexed links.
	* makeinfo/toc.c (toc_add_entry, contents_update_html): write out
	TOC entries, use escaped_anchor_name rather than duplicating code.
        * doc/texinfo.txi (Invoking makeinfo): document it.

2008-05-18  Karl Berry  <karl@gnu.org>

	* install-info/install-info.c (split_entry): split at period-newline,
	too.  Report from Ulrich Mueller, 14 May 2008 06:59:35.

2008-05-16  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (HTML Xref Command Expansion): add @leq,
	@geq, @arrow, @textdegree Unicodes.  Suggestion from
	Patrice Dumas, 15 May 2008 01:02:37.

2008-05-13  Sergey Poznyakoff  <gray@gnu.org.ua>

	* info/display.c (find_diff): New function.
	(display_node_text): When computing differences between old and
	new lines use character, not byte offsets.

2008-05-12  Karl Berry  <karl@gnu.org>

	* install-info.c (split_entry, add_missing_basenames,
	add_mission_descriptions, --name and --description parsing):
	use ". " to delimit the description from the node name,
	rather than just ".", since we want to support nodes and names
	containing "config.status".
	* doc/texinfo.txi (Menu Parts): mention need for ". ".
	(Invoking install-info): mention bzip2 and lzma checks.

2008-05-11  Karl Berry  <karl@gnu.org>

	* util/texi2dvi (usage): give -l input samples as latex and texinfo,
	not LaTeX and Texinfo.
	Report from Hilmar Preusse, 10 May 2008 15:03:23, Debian bug #472758.

	* install-info/tests/0051, 52: new tests for periods in item names.
	Bug report from Ulrich Mueller, 7 May 2008 01:56:38.

2008-05-10  Sergey Poznyakoff  <gray@gnu.org.ua>

	Handle multibyte encodings correctly.

	* info/display.c (ITER_SETBYTES,ITER_LIMIT): New defines.
	(process_node_text): New function.
	(display_node_text): New function.
	(display_update_one_window): Correctly process multibyte
	characters.
	* info/display.h (process_node_text): New function prototype.
	* info/info-utils.c (printed_representation): Rewrite to take into
	account multibyte sequences.
	* info/info-utils.h (printed_representation): Change prototype.
	* info/info.h: Include string.h, mbiter.h and mbchar.h.
	* info/window.c (calculate_line_starts ): Rewrite using
	process_node_text to take into account multibyte characters.

	Bootstrap from GNU gnulib 2008-04-23 06:09:44:

	* gnulib/lib/Makefile.am: Import mbchar, mbiter and mbschr.
	* gnulib/lib/sys_stat.in.h, gnulib/lib/wctype.in.h,
	gnulib/lib/sys/stat.h, gnulib/m4/gnulib-cache.m4,
	gnulib/m4/gnulib-comp.m4, gnulib/m4/sys_stat_h.m4,
	gnulib/m4/wctype.m4: Updated files.

2008-05-05  Karl Berry  <karl@gnu.org>

	* doc/info-stnd.texi (Stand-alone Info): rename node from What is Info?
	for sake of xref in info.texi.
	* doc/info.texi (Top): xref.

2008-04-30  Thomas Thorberger  <thor@erlm.siemens.de>  (tiny change)

	* install-info/install-info.c (split_entry): use valid pointer
	entry, not ptr.  bug-texinfo mail 30 Apr 2008 11:59:57.

2008-04-25  Peter Breitenlohner <peb@mppmu.mpg.de>

	* info/session.c (info_search_internal): cast to `char *' in
	order to avoid compiler warning.

2008-04-23  Bruno Haible  <bruno@clisp.org>

	Allow "gendocs -o /some/absolute/dir".
	* gendocs.sh (dotdot_outdir): New variable.

2008-04-19  Karl Berry  <karl@gnu.org>

	* Version 4.12.

2008-04-19  Per Øyvind Karlsen  <peroyvind@mandriva.org>  (tiny change)

	* info/filesys.c (compress_suffices): decompress .lzma with unlzma.
	* install-info/install-info.c: support lzma.

2008-04-18  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\math): \let the Texinfo accent commands
	(\" \' ... \dotaccent) to their plain TeX math equivalents
	(\ddot \acute ... \dot), where possible.
	Report from John Mandereau, 17 Apr 2008 17:53:28.

2008-04-17  Karl Berry  <karl@gnu.org>

	* util/texi2dvi: allow more characters special to plain TeX
	in the directory name in tidy mode (but not the base file name).

	* util/texi2dvi: more quoting of file name args for the sake of
	names containing whitespace.  A spurious message still results.

	* install-info/tests/defs.in: new file.
	* configure.ac: generate install-info/tests/defs.
	* install-info/tests/ii-*-test: source it.
	* install-info/tests/Makefile.am: do not use export,
	which is only supported by GNU make.

2008-04-13  Juan Manuel Guerrero  <juan.guerrero@gmx.de>

	DJGPP specific issues.
	* djgpp/config.sed: Fixes required to use configure scripts generated
	by autoconf 2.62.

2008-04-09  Karl Berry  <karl@gnu.org>

	* pretest 4.11.96.

	* doc/texinfo.txi (geq leq): New node to document new commands
	@geq{} and @leq{}, suggested by Arnold Robbins.
	* doc/texinfo.tex (\geq, \leq): new macros.
	* makeinfo/cmds.c (cm_geq, cm_leq): new fns.
	(cm_minus): make static.
	* makeinfo/cmds.h (cm_minus): remove decl.

	* makeinfo/insertion.c (handle_verbatim): ignore rest of @verbatim
	line, including the newline.
	Report from Thien-Thi Nguyen, 01 Apr 2008 11:14:48.

2008-04-09  Reinhold Kainhofer  <reinhold@kainhofer.com>  (tiny change)

	* makeinfo/insertion.c (begin_insertion): do not indent via
	whitespace for html, since we already do <blockquote>.
	Reported 30 Mar 2008 00:56:56.

2008-04-02  Jim Meyering  <jim@meyering.net>  (tiny change)

	* doc/texinfo.tex: fix typos in comments.

2008-03-31  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\dopdfimage): try .PDF too.
	(\imagexxx): reduce space around vmode image to \medskip from \bigskip.
	Start \noindent paragraph for vmode image so that @quotation etc.
	indentation will be respected.
	Report from Reinhold Kainhofer, 28 Mar 2008 17:33:05.

2008-03-28  Karl Berry  <karl@gnu.org>

	* info/Makefile.am (funs.h): change target from all of
	$(generated_sources) to avoid problems with parallel builds.
	From Michael Haubenwallner, 20 Mar 2008 22:52:20.

2008-03-26  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c (search_forward): use const.
	Also (from William Xu) fix typo in comment.
	* makeinfo/makeinfo.h (search_forward): change decl.

2008-03-25  Karl Berry  <karl@gnu.org>

	* util/texi2dvi (TEX): only unset it if it was nonempty and a
	directory.

2008-03-25  Akim Demaille  <akim@epita.fr>

	* doc/Makefile.am: Use util_srcdir (new var) where appropriate.
	(man_MANS): Also install texi2pdf.1 and pdftexi2dvi.1.
	(unset_envvars): New.
	Use it.
	* util/local.test: Check we don't use $().
	Simplify sed usage: don't use \| which is not portable enough.
	* util/Makefile.am: Re-enable tests, in maintainer mode.

2008-03-23  Benno Schulenberg  <bensberg@justemail.net>  (tiny change)

	* info/session.c (_scroll_backward): better cursor placement.

2008-03-23  Karl Berry  <karl@gnu.org>

	* util/texi2dvi (TEX): unset if it refers to a directory; I think
	the University of Utah installation does this.

2008-03-22  Karl Berry  <karl@gnu.org>

	* info/session.c (info_move_to_xref): conditionalize "no xref"
	message on cursor_movement_scrolls_p.  Proposed by
	Benno, 22 Mar 2008 15:17:49.

2008-03-21  Karl Berry  <karl@gnu.org>

	* pretest 4.11.95.

	* info/Makefile.am (funs.h): use this as the dependency

2008-03-21  Karl Berry  <karl@gnu.org>

	* info/session.c (_scroll_forward): leave cursor on last line.
	(_scroll_backward): use info_beginning_of_node for consistency.
	Changes proposed by Benno Schulenberg, 21 Mar 2008 16:31:27.

2008-03-20  Karl Berry  <karl@gnu.org>

	* info/info.c (main): avoid declaration after statement.

2008-03-17  Karl Berry  <karl@gnu.org>

	* texinfo.tex (\xrefX): avoid TeX expansions of _ etc.
	in the info filename argument (#4).
	Report from Ralf Wildenhues, 15 Mar 2008 11:23:38.

2008-03-14  Karl Berry  <karl@gnu.org>

	* pretest 4.11.94.

	* install-info/install-info.c: portability fixes.
	(parse_dir_file): declare void, since it is.
	(split_entry): Remove unused variable ostream.
	(add_missing_basenames, add_missing_descriptions): Avoid
		declarations after statements.
	(main): Do not use // comments.
	(format_entry): avoid using isblank, linking fails on osf-alpha,
	others.
	* util/texi2dvi: use `...` instead of $(...).  Avoid
	(...) as case labels.

2008-03-12  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (exdent): typo in example.
	Report from Jaakko Hollmen, 11 Mar 2008 19:25:01.

2008-03-12  Sergey Poznyakoff  <gray@gnu.org.ua>

	* info/session.c (_scroll_backward): Avoid wrapping to the end of
	page when a backward scrolling is requested on the top node.
	Patch proposed by Benno Schulenberg.

2008-03-07  Karl Berry  <karl@gnu.org>

	* pretest 4.11.93.

	* info/infodoc.c (info_internal_help_text): reorder, regroup.
	Suggestion from Benno Schulenberg, 06 Mar 2008 11:59:06.

2008-03-07  Joseph Myers  <joseph@codesourcery.com>  (tiny change)

	* doc/texinfo.tex (\includezzz): Use \turnoffactive before
	expanding @value.

2008-03-06  Sergey Poznyakoff  <gray@gnu.org.ua>

	* info/session.c (info_search_internal): Reword wrap-around
	messages.
	* configure.ac (AM_INIT_AUTOMAKE): Finally remove dist-bzip2.

2008-03-05  Sergey Poznyakoff  <gray@gnu.org.ua>

	* util/gendocs.sh: Pass --node-files to texi2html only together
	with the --split option.

	* info/session.c (last_node_p): Remove unused variable.
	(info_search_internal): Print a message if the search wraps over
	the end or beginning of the document.

	* configure.ac (AM_INIT_AUTOMAKE): Move all automake options here.
	Add dist-bzip2 for completeness.
	* Makefile.am (AUTOMAKE_OPTIONS): Remove in favor of
	AM_INIT_AUTOMAKE.
	* AUTHORS: Update the URL of Translation Project.

2008-03-04  Sergey Poznyakoff  <gray@gnu.org.ua>

	* info/session.c (_scroll_backward): Place cursor at the end of
	node if cursor_movement_scrolls_p is on.

	* Makefile.am (AUTOMAKE_OPTIONS): Raise version requirement to
	1.10.1. This is needed for dist-lzma.

	* system.h: Include <ctype.h>
	* info/session.c (scroll_last_node_choices, scroll_last_node): New
	variables.
	(forward_move_node_structure): Special behavior when a scrolling
	command is issued while on the last node.
	* info/session.h (scroll_last_node_choices, scroll_last_node): New
	variables.
	(SLN_Stop,SLN_Scroll,SLN_Top): New defines.
	* info/variables.c (info_variables): New variable
	scroll-last-node.
	* info/variables.h (scroll_last_node): New variable.
	* doc/info-stnd.texi: Document scrolling behavior at the last node
	and the scroll-last-node variable.
	* NEWS: Document scrolling behavior at the last node.

2008-03-02  Karl Berry  <karl@gnu.org>

	* configure.ac (AM_INIT_AUTOMAKE): dist-lzma instead of dist-bzip2.

2008-03-01  Juan Manuel Guerrero  <juan.guerrero@gmx.de>

	DJGPP specific issues.
	* system.h [O_BINARY]: Use HAVE_DRIVE in IS_ABSOLUTE.
	* djgpp/config.sed: Fix regex pattern to handle version numbers that
	looks like 4.NN.NN

2008-02-29  Karl Berry  <karl@gnu.org>

	* pretest 4.11.92.

2008-02-28  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\includezzz): \edef the filename in order
	to expand @value constructs (include-value).  This fix
	from Joseph S. Myers, 1 Feb 2008 01:11:11.
	Document that the \expandafter trickery is necessary in order to
	read the file outside of a group (mac-incl).
	This report from John Mandereau, 28 Feb 2008 22:12:34.

	* info/infodoc.c (info_internal_help_text): more tweaks.
	* info/infomap.c: move up/down to end, too.
	Suggestions from Benno Schulenberg, 27 Feb 2008 23:44:17
	and 28 Feb 2008 22:49:27.

2008-02-28  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi (absolute): Add a missing "local".

2008-02-28  Akim Demaille  <akim@epita.fr>

	Let texi2dvi keep the trailing //.
	* bin/texi2dvi ($space, $tab): New.
	($IFS): Use them to be robust to zealous white space cleanups.
	(absolute): Preserve the trailing slashes.
	(tex_envvars): Add MPINPUTS, MFINPUTS, and TFMFONTS.

2008-02-28  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi: Don't use "local foo=`cmd`", because in that case
	failures of cmd, including with set -e, will go unnoticed.  So
	always first declare with local, then run the assignment.
	(index_file_p): Adjust to be usable with index.sty.
	* util/local.test: Make the test more robust.

2008-02-27  Karl Berry  <karl@gnu.org>

	* pretest 4.11.91.

	* info/infomap.c [!INFOKEY]: remove this whole block.  It is too
	confusing having two sets of key bindings.

	* info/infodoc.c (info_internal_help_text): more tweaks.
	Suggestions from Benno Schulenberg, 26 Feb 2008 00:34:22.

2008-02-26  Brendan O'Dea <bod@debian.org>  (tiny change)

	* util/texi2dvi: slightly reformat usage message for help2man.
	(sent by peb 26 Feb 2008 12:01:11)

	* install-info/install-info.c (print_help): keep two spaces
	between option name and description, or help2man can't do a good job.

2008-02-26  Peter Breitenlohner <peb@mppmu.mpg.de>

	* info/doc.h, info/echo-area.c, info/echo-area.h,
	info/footnotes.c, info/indices.c, info/info.c, info/info.h,
	info/infodoc.c, info/infokey.c, info/infomap.c, info/m-x.c,
	info/nodemenu.c, info/session.c, info/session.h,
	info/variables.c, info/variables.h, info/window.c,
	info/window.h:
	declare constant strings as such and remove
	many `(char *)' casts -- in particular for `_(...)'.
	Avoid gcc warnings (for --disable-nls and maybe without).

2008-02-25  Karl Berry  <karl@gnu.org>

	* autogen.sh: run autoconf before autoheader, then automake
        (per autoreconf).

2008-02-24  Karl Berry  <karl@gnu.org>

	* info/infomap.c (x): bind to delete_window.
	* info/infodoc.c (info_internal_help_text): more rearrangements.
	(create_internal_info_help_node: omit incorrect exiting suggestion
		at end.
	Suggestions from Benno Schulenberg, 24 Feb 2008 22:56:44.

	* install-info/install-info.c (munge_old_style_debian_options):
	avoid use of asprintf, just xmalloc ourselves.
	In report from Juan Manuel Guerrero, 24 Feb 2008 22:06:35.

	* install-info/install-info.c (spec_entry) <text_len>: declare
	as size_t instead of int, to avoid warning.
	In report from Juan Manuel Guerrero, 24 Feb 2008 22:06:35.

2008-02-22  Karl Berry  <karl@gnu.org>

	* pretest 4.11.90.

2008-02-22  Peter Breitenlohner <peb@mppmu.mpg.de>

	* configure.ac (--enable-multiplatform): also set libdir.
	* util/defs.in (PATH): include @abs_builddir@.
	* util/texi2dvi (usage): consistently escape \$HOME.

2008-02-21  Karl Berry  <karl@gnu.org>

	* info/infodoc.c (info_internal_help_text): more simplifications.
	Suggestions from Benno Schulenberg, 21 Feb 2008 23:35:38.

	* install-info/tests/ii-0041-test,
	* install-info/tests/ii-0041-test: ensure target dir file is rw.

2008-02-19  Karl Berry  <karl@gnu.org>

	* info/infodoc.c (info_internal_help_text): rearrangements.
	* info/session.c (cursor_movement_scrolls_p): 1 by default.
	* info/window.c (window_scroll_step): 1 by default.
	* info/infomap.c <key bindings>: h to info_get_help_window,
	H to info_get_info_help_node,
	PgUp to info_scroll_backward, PgDown to info_scroll_forward,
	move q to after C-x C-c .
	Suggestions from Benno Schulenberg, 04 Jan 2008 23:20:46.

2008-02-17  Karl Berry  <karl@gnu.org>

	* util/texi2dvi (EGREP): need egrep early.

	* util/texi2dvi: path_sep is : on djgpp too.  From Eli Z.

	* makeinfo/makeinfo.c: typos in comments.

	* makeinfo/cmds.c (cm_direntry): call close_single_paragraph,
	instead of add_char('\n'), or the INFO-DIR-SECTION lines from two
	consecutive @dircategory's are munged together.
	Bug report from Ralf Angeli, 16 Feb 2008 18:59:42.

2008-02-16  Karl Berry  <karl@gnu.org>

	* util/texi2dvi: path_sep is : on mingw as well as cygwin.
	Report from: FX Coudert, 16 Feb 2008 15:43:15.

	* makeinfo/cmds.c (cm_cite): avoid double apostrophe in
	Info output of, e.g., ... @cite{Foo}'s ...
	Report from Bob Chassell.

2008-02-15  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\tex): spurious space in redefinition of \top.

	* makeinfo/cmds.c (handle_include): set in_fixed_width_font
	for expanding the filename argument, so -- doesn't become -.
	Bug report from Daniel Richard G., 13 Feb 2008 01:50:00.

2008-02-11  Karl Berry  <karl@gnu.org>

	* info/session.c (incremental_search): if a regex search,
	search every time through the loop, not only if the search
	succeeded.
	Bug report from Ralf Wildenhues, 8 Feb 2008 23:30:51.

2008-02-10  Karl Berry  <karl@gnu.org>

	* info/session.c (show_isearch_prompt): Start with "Regexp" if
	it's a regexp i-search.
	Suggestion from Ralf Wildenhues, 8 Feb 2008 23:30:51.

2008-02-04  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\includezzz): simply do the \input (instead of
	trickily expanding it after the }) a la \verbatiminput; otherwise,
	@value expansions are not done.  The trickery just seems unnecessary.
	Report from Joseph S. Myers, 1 Feb 2008 01:11:11.

2008-02-01  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\ptextop): save plain tex \top (a math symbol).
	(tex env): restore plain text \top.

2008-01-31  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Click Sequences): new section to document new
	commands @arrow, @clicksequence, @click, and @clickstyle.
	* doc/texinfo.tex (\clicksequence, \click, \clickstyle): define them.
	* makeinfo/cmds.h,
	* makeinfo/cmds.c (cm_arrow, cm_click, cm_clicksequence,
	cm_clickstyle): new fns.
	* insertion.h,
	* insertion.c (get_item_function): no longer static.
	* xml.h,
	* xml.c (CLICK, CLICKSEQUENCE): new elements.
	* util/texinfo.dtd (Inline.misc): add click and clicksequence.
	(rarr): new entity.

	* makeinfo/xml.c (xml_insert_entity): only do XML checks if we are
	actually outputting XML; this routine is also used for HTML output.

	* makeinfo/makeinfo.c (convert_from_loaded_file): move
	xml_begin_document to after we are sure the output file is open.

2008-01-30  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi, doc/info-stnd.texi (Back-Cover Text): new
	wording from rms.

2008-01-24  Karl Berry  <karl@gnu.org>

	* info/session.c (info_move_to_xref): must use fixed-string
	searches for these Info keywords that contain *.
	Report from Ben Asselstine, 29 Dec 2007 11:21:40 (et al.).

	* doc/info-stnd.texi (What is Info): that's C-x C-c to exit, not
	C-x C-x.  Report from Benno, 24 Jan 2008 00:40:04.

2008-01-23  Karl Berry  <karl@gnu.org>

	* makeinfo/insertion.c (begin_insertion) <direntry>: ignore
	whitespace beginning the first * line inside @direntry,
	to work around the zsh manual.
	Report from Norbert Preining, 14 Jan 2008 09:09:01.

2008-01-21  Karl Berry  <karl@gnu.org>

	* info/info.c (main): silently switch to info-stnd if given
	-O (--usage) info.
	Suggestion from Benno, 19 Jan 2008 19:58:47.

2008-01-20  Karl Berry  <karl@gnu.org>

	* install-info/install-info.c (print_help): split up big help string,
	some rewording.

2008-01-19  Karl Berry  <karl@gnu.org>

	* util/texi2dvi (run_tex): use verbose, not echo, so -q is respected.
	Report from Kurt Hornik, 19 Jan 2008 11:16:27.

2008-01-18  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Other Info Directories): mention starting at 0
	and what-cursor-position when figuring column positions.

2008-01-16  Karl Berry  <karl@gnu.org>

	* util/texi2dvi (move_to_dest): compare with filenames, rather
	than cmp -s, since the output file might not actually change.
	Report from Ralf Wildenhues, 15 Jan 2008 07:20:34.

	* doc/texinfo.txi (Invoking makeinfo): --document-language default
	is @documentlanguage, as of 4.11.

	* doc/texinfo.txi (Makeinfo Pointer Creation): mention the
	need for @detailmenu here, too.

2008-01-14  Karl Berry  <karl@gnu.org>

	* NEWS: install-info NEWS details.

2008-01-13  Bruno Haible  <bruno@clisp.org>

	* util/gendocs.sh (curdate): Execute 'date' command in the locale
	specified by SETLANG.

2008-01-12  Bruno Haible  <bruno@clisp.org>

	* doc/texinfo.txi (Cross Reference Parts): better description of arg2.
	bug-texinfo mail of 12 Jan 2008 15:52:23 +0100.

2008-01-02  Karl Berry  <karl@gnu.org>

	* info/info.c (info_short_help) [__MSDOS__]: puts -b string directly.
	Suggestion from Benno.

2008-01-02  Karl Berry  <karl@tug.org>

	* util/Makefile.am (TESTS): remove dvipdf.test, it is too
	dependent on functional TeX installations.  Not our place to test that.

2008-01-02  Karl Berry  <karl@tug.org>

	* install-info/, install-info/tests/: new subdirectories.
	* util/Makefile.am: move install-info stuff to its own dir, with tests.
	* configure.ac,
	* Makefile.am (SUBDIRS): take care of new dirs.
	* doc/Makefile.am (install-info.1): new source location for man page.
	* po/POTFILES.in: update source list.

2008-01-02  Ben Asselstine  <benasselstine@gmail.com>

	* install-info/install-info.c: much work toward Debian compatibility.
	(line_data): new member num_sections to add; change type of
	add_entries_before.
	(spec_entry): new members missing_name, missing_description,
	missing_basename.
	(longopts): new options --name, --menuentry, --description,
	--no-indent, --keep-old, --maxwidth, --max-width,
	--section-regex, --dry-run.
        (remove_empty_sections, add_entries_into_all_matching_sections,
        keep_old_flag, indent_flag,
        order_new_sections_alphabetically_flag): new globals.
        (print_help): list new options.
        (output_dirfile): count sections added, and possibly sort them.
        (parse_input): handle delete_flag.
        (parse_dir_file): write the end of the last node.
        (mark_entry_for_deletion, adjust_column, format_entry,
        split_entry, reformat_new_entries, add_missing_basenames,
        add_missing_names, add_missing_descriptions,
        munge_old_style_debian_options): new fns.
        (main): new variables calign, align, maxwidth,
        entries_to_add_from_file; munge per debian if needed; handle new
        options.
        (compare_entries_text): use mbsncasecmp.
	* doc/texinfo.txi (Invoking install-info): mention the new options.

2008-01-01  Karl Berry  <karl@gnu.org>

	* info/info.c (info_short_help): break help string into smaller
	pieces, to help translators.
	Suggestion from Benno Schulenberg, 01 Jan 2008 12:22:31.

2008-01-01  Ben Asselstine  <benasselstine@gmail.com>  (tiny change)

	* doc/info-stnd.texi (Invoking Info): document this.
	* info/info.c (long_options, short_options): use -k as an alias
	for --apropos.
	(main): recognize it.
	(info_short_help): document it.
	(APROPOS_OPTION): no longer needed.

2007-12-23  gettextize  <bug-gnu-gettext@gnu.org>

	* configure.ac (AM_GNU_GETTEXT_VERSION): Bump to 0.17.

2007-12-19  Norbert Preining  <preining@logic.at>  (tiny change)

	* makeinfo/insertion.c (begin_insertion) <direntry>: use add_word
	instead of insert_string, so that the "This is ..." line is
	written before the START-INFO-DIR-ENTRY.

2007-12-17  Karl Berry  <karl@gnu.org>

	* doc/info-stnd.texi (Searching Commands): Document the new regex
	search, a little.
	(@copying): Update Back-Cover Text.
	* doc/info.texi (@copying): Update Back-Cover Text.

2007-12-17  Stephane Chazelas  <stephane_chazelas@yahoo.fr>

	* info/infomap.c (R): new command info_toggle_regexp.
	* info/session.c (use_regex): new static (true by default).
	(info_toggle_regexp): new command.
	* info/session.h (info_toggle_regexp): declare it.
	* info/search.c (regexp_search): new fn.
	* info/search.h (regexp_search): declare it.
	Savannah bug 15572.

2007-12-16  Karl Berry  <karl@gnu.org>

	* info/session.c: remove more status messages.
	Report from Benno Schulenberg, 16 Dec 2007 12:24:12.

2007-12-15  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\pdffontattr): only do the cmaps if this pdftex
	primitive is defined, for the sake of those running ancient versions.

2007-12-13  Karl Berry  <karl@gnu.org>

	* info/session.c: remove status report messages, said to be noise.
	Report from Benno Schulenberg, 11 Dec 2007 00:19:57.

2007-12-09  Benno Schulenberg  <bensberg@justemail.net>  (tiny change)

	* makeinfo/makeinfo.c (usage): improve help message.
	bug-texinfo mail of 02 Dec 2007 23:43:10 +0100.

2007-12-09  Fabian Groffen  <grobian@gentoo.org>  (tiny change)

	* info/makedoc.c (main): reorder calls following the Makefile
	dependencies, for high-precision filesystems.
	http://bugs.gentoo.org/show_bug.cgi?id=200662
	bug-texinfo mail of 3 Dec 2007 17:59:13 +0100.

2007-12-02  Karl Berry  <karl@gnu.org>

	* info/info.c (main): undo change of 2006-08-13 in this file,
	so info can be easily tested in multibyte locales.

	* all files: use the multibyte case comparison functions
	mbscasecmp and mbsncasecmp from gnulib, instead of simply
	strcasecmp and strncasecmp.  (1) gnulib strcase is buggy,
	declaring the str* functions in string.h instead of strings.h,
	leading to build failure on AIX 4.3.3 (report from Gary E. Barnes,
	21 Nov 2007 12:37:12).  (2) we want to support multibyte locales
	better anyway.

2007-11-30  Sergey Poznyakoff  <gray@gnu.org.ua>

	* doc/Makeinfo.am: Rename txi-no.tex to txi-nb.tex (see
	2007-10-31).

2007-11-27  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (headings on off): clarify the meaning of
	@headings on.  Report from Dilyan Palauzov, 25 Nov 2007 17:07:09.

2007-11-25  Stephane Chazelas  <stephane_chazelas@yahoo.fr>

	*  info/indices.c (info_next_index_match): use the line number
	specified in the index entry, if available.

2007-11-23  Benno Schulenberg <bensberg@justemail.net>  (tiny change)

	* info/infodoc.c: keep help strings together for translation.

2007-11-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* util/texi2dvi: Fix quoting for white space in file names.

2007-11-21  Karl Berry  <karl@gnu.org>

	* makeinfo/lang.h (hz): #undef, since apparently it is defined on
	AIX 4.3.3.
	Report from: Gary E. Barnes, 21 Nov 2007 12:37:12.

2007-11-16  Karl Berry  <karl@gnu.org>

	* info/info.c (info_error): use puts instead of fprintf if we
	don't actually have any arguments.  Else
	info --file=".%x.%x." will try to print NULL.
	Report from Cody Rester, 16 Nov 2007 08:59:48.

2007-10-31  Karl Berry  <karl@gnu.org>

	* doc/txi-no.tex: rename to txi-nb.tex.
	* po/no.po: remove.
	* po/LINGUAS: remove no.

2007-10-24  Karl Berry  <karl@gnu.org>

	* makeinfo/node.c (cm_node),
	* makeinfo/cmds.c (cm_settitle): no need to call xml_begin_document.
	* makeinfo/makeinfo.c (convert_from_loaded_file): call
	xml_begin_document in docbook case too, else some frontmatter
	can be lost.
	Bug report from Sam Varshavchik, 14 Oct 2007 12:10:04, for binutils.

	* makeinfo/insertion.c: formatting.

	* makeinfo/xml.c (xml_begin_document): arg can be const;
	use basename of @setfilename instead of "book-root".
	(xml_push_current_element, xml_pop_current_element): use
	warning fn for consistent formatting.

	* util/dir-example: binutils update, etc.

2007-10-24  Sergey Poznyakoff  <gray@gnu.org.ua>

	* util/gendocs.sh: New option --texi2html, to use texi2html for
	creating HTML output.
	Handle special conditional constructs in the template: %%IF
	HTML_SECTION%% and %%IF HTML_CHAPTER%% (both closed with a
	corresponding %%ENDIF) to conditionally enable parts of the output
	depending on texi2html split outputs.
	* util/gendocs_template: Conditionally enable section and chapter
	split HTMLs.
	* util/gendocs_template_min: Likewise.

2007-10-19  Karl Berry  <karl@gnu.org>

	* info/display.c (display_update_one_window): don't try to display
	a window unless both width and height are >0.
	* window/window.c (window_new_screen_size): try to ensure that
	no window width/height ever becomes negative.
	Bug report and ideas from Vitezslav Crhonek, 18 Oct 2007 15:15:51,
	as well as https://bugzilla.redhat.com/show_bug.cgi?id=243971.

2007-10-13  Karl Berry  <karl@gnu.org>

	* makeinfo/cmds.c (cm_dircategory): use add_word instead of
	insert_string so that the info file header ("This is ...") comes
	after the INFO-DIR-SECTION magic.
	Bug report from Katsumi Yamaoka, emacs-devel 10 Oct 2007 11:17:10.

2007-10-08  Bruno Haible  <bruno@clisp.org>

	* makeinfo/lang.c (unicode_map): New variable.
	(cm_search_iso_map): In case of UTF-8 encoding, return a Unicode code
	point.
	(add_encoded_char_from_code): New function.
	(add_encoded_char, cm_accent_generic_no_headers): Use it.

2007-10-03  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (math): @math{k_{75}} is allowed, despite bare
	braces.

2007-10-02  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (math): Make description more accurate.
	Ideas by Patrice Dumas, 16 Sep 2007 12:02:46.

2007-09-26  Karl Berry  <karl@gnu.org>

	* makeinfo/index.c (count_strn_chars): new fn.
	(insert_index_output_line_no): call it.
	(cm_printindex): call it.
	This is to fix off-by-one width computation due to @tie{},
	reported by Werner Lemberg, 16 Sep 2007 16:48:47.

	* makeinfo/cmds.c,
	* makeinfo/xref.c: #include "index.h", instead of explicit
	extern printing_index.
	* makeinfo/index.c (the_indices, index_element_compare): can be static.
	* makeinfo/index.h: make order of decls match index.c.

2007-09-25  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Six Parts): End segment should not have toc anymore.

2007-09-24  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c (convert_from_file): free `input_filename' leak.
	Reported by Stephen Compall, 21 Sep 2007 20:25:54.

2007-09-21  Stephen Compall <s11@member.fsf.org>  (tiny change)

	* makeinfo/makeinfo.c (convert_from_file): excise code testing
	case in suffixes that doesn't arise.

2007-09-21  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c,
	* info/info.c,
	* util/texindex.c,
	* util/install-info.c (main): unify declaration on char *argv[].

2007-09-20  Greg Schafer <gschafer@zip.com.au>  (tiny change)

	* util/dvipdf.test,
	* util/texi2dvi.test (required): need tex, or the tests fail.

2007-09-17  Karl Berry  <karl@gnu.org>

	* util/defs.in (TEXI2DVI_run): try "type" instead of "which".
	Report from Michael Deutschmann, 13 Sep 2007 01:29:39.

	* util/defs.in (optionset_get): use `...`, not $(...).  Still too
	newfangled.  Report from Bert Deknuydt.

2007-09-16  Thien-Thi Nguyen  <ttn@gnuvola.org>  (tiny change)

	* doc/texinfo.tex (w): Do s/indenting manual/manual indenting/.

2007-09-15  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.h,
	* makeinfo/makeinfo.c,
	* makeinfo/defun.c,
	* makeinfo/html.c,
	* makeinfo/node.c,
	* makeinfo/toc.c,
	* makeinfo/xref.c (__): rename to gdt, since HP-UX uses it in
	<stdsyms.h>.  (Report from Bert Deknuydt, 12 Sep 2007 12:17:34).

2007-09-09  Karl Berry  <karl@gnu.org>

	* Version 4.11.

2007-09-05  Karl Berry  <karl@gnu.org>

	* doc/info-stnd.texi (Variables): make an anchor for
	scroll-behavior, and use it.  Idea from Benno Schulenberg,
	04 Sep 2007 00:21:01.

2007-09-03  Karl Berry  <karl@gnu.org>

	* pretest 4.9.92.

	* doc/texinfo.tex (\baselinefactor): new macro, 1 by default.
	(\setleading): use it, to allow for poor man's double spacing.
	(\afourpaper, \letterpaper): use absolute dimension for height,
	instead of a multiple of \baselineskip.  (Otherwise things run off
	the bottom when double-spacing.)

2007-09-01  Juan Manuel Guerrero  <juan.guerrero@gmx.de>

	* djgpp/config.bat: change file names arguments and configure.orig
	to args and configure.org.
	Remove the command line that deletes co*.tmp files.

2007-08-31  Karl Berry  <karl@gnu.org>

	* info/info.c (main) [LC_MESSAGES]: conditionalize setlocale on
	LC_MESSAGES, since djgpp 2.04 doesn't have it.
	Report from Juan Manuel Guerrero, 28 Aug 2007 21:38:18.
	* info/man.c (get_manpage_contents) [LC_MESSAGES]: likewise.
	* makeinfo/makeinfo.c (main): doc fix, likewise.

2007-08-26  Karl Berry  <karl@gnu.org>

	* info/infodoc.c (info_internal_help_text): hardwire
	menu-digits help string; bug report from Benno.

2007-08-16  Karl Berry  <karl@gnu.org>

	* makeinfo/lang.c (iso8859_2_map): include known HTML entities,
	from the 88592.txt file in the GNU enscription distribution.

2007-08-04  Juan Manuel Guerrero  <juan.guerrero@gmx.de>

	* djgpp/config.bat: replace the string diffutil*.pot by
	the correct one texinfo*.pot

	* djgpp/config.sed: adjust for the use with autoconf 2.61

	* djgpp/config.site: adjust for the use with autoconf 2.61

2007-08-04  Sergey Poznyakoff  <gray@gnu.org.ua>

	* doc/info-stnd.texi: Document cursor-movement-scrolls variable.
	Document different spellings of scroll-behaviour variable.
	* info/info-utils.c (info_references_internal): Initialize
	line_number.
	* info/infodoc.c (info_internal_help_text): Update docstrings
	for move-to-next-xref and move-to-prev-xref.
	* info/session.c (forward_move_node_structure)
	(backward_move_node_structure): Return int
	(cursor_movement_scrolls_p): New variable.
	(info_next_line,info_prev_line,info_forward_char,info_backward_char)
	(info_forward_word,info_backward_word): Scroll through the
	entire document if cursor_movement_scrolls_p is set.
	(info_move_to_xref,info_move_to_prev_xref): Return int
	* info/session.h (cursor_movement_scrolls_p): New variable
	* info/variables.h: Likewise
	* info/variables.c (scroll-behavior): Alias for scroll-behaviour
	(cursor-movement-scrolls): New variable.

2007-07-30  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\badparencount, \badbrackcount): make these
	just warnings, not \errmessage's.

2007-07-29  Karl Berry  <karl@gnu.org>

	* pretest 4.9.91.
	* doc/texinfo.txi (Inserting Quotes): wording.

	* util/Makefile.am (TESTS): remove local.test.  It fails and I
	would prefer not to replace local with a shell function anyway.

	* util/texi2dvi.test: with -o output, do not expect input.dvi
	to remain.

2007-07-26  Karl Berry  <karl@gnu.org>

	* util/Makefile.am (pdftexi2dvi): copy texi2pdf, not texi2dvi.

2007-07-24  Karl Berry  <karl@gnu.org>

	* util/texi2dvi (move_to_dest): really move the file,
	don't just copy it, else automake tests fail.
	From Michael Deutschmann, 23 Jul 2007 20:55:32.

2007-07-23  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (license notice): punctuation changes to
	match recommendation.  From Paul Eggert.

2007-07-23  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi: Update DVIPSHEADERS so that dvips finds its
	special headers.
	Don't rely on non-IFS splitting when using local.
	Maybe we should just not use local at all.
	Or never use it to assign at the same time: declare, then assign.
	* util/local.test: Check that "local" is used properly with quotes.

2007-07-23  Akim Demaille  <akim@epita.fr>

	Use hevea more like we use tex itself, no longer as a tool
	that does everything magically.
	* util/texi2dvi (run_hevea): Remove trailing spaces in the
	output.
	(run_tex_suite): Change to the working directory here, no longer
	in...
	(run_core_conversion): here, so that even when running hevea where
	are in the working directory.
	No longer call cd_orig, do it...
	(run_tex_suite): here.
	(run_hevea): Pass verbose flags to it when --debug.
	(run_tex_suite): Since we now want to run the whole suite of tools,
	including bibtex, with hevea, use run_core_conversion, not
	run_tex.
	(run_core_conversion): Now call run_tex.

2007-07-15  Karl Berry  <karl@gnu.org>

	* doc/info-stnd.texi (@copying, GFDL): remove, since it's
	not part of info.texi either.
	(Invoking Info): mention customization here and elsewhere,
	to make it a bit more prominent.

2007-07-15  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/texinfo.tex (\quotedblleft, \quotedblright, \quoteleft,
	\quoteright): aliases for the quotation marks from the CM fonts.
	(\guillemetleft, \guillemotleft, \guillemetright, \guillemotright,
	 \guilsinglleft, \guilsinglright, \quotedblbase, \quotesinglbase):
	 new macros to borrow quotation marks from the EC fonts.  The
	 following font macros support these glyphs.
	(\ecfont): new macro to switch to a EC font as close as possible
	 to the current style.
	(\textecsize, \smallecsize, \smallerecsize, titleecsize, \chapecsize,
	 \sececsize, \ssececsize, \reducedecsize): new macros to store EC
	 font name sizes.
	* makeinfo/cmds.c, makeinfo/cmds.h: added defs for the new
	quotation marks.
	* makeinfo/lang.c (cm_special_char): added guillemetleft,
	guillemotleft, guillemetright, guillemotright.
	* util/texinfo.dtd (lsquo, rsquo, sbquo, bdquo, laquo, raquo,
	 lsaquo, rsaquo): entities for the new quotation marks.
	* doc/texinfo.txi (Inserting Quotation Marks): new section.
	(General Syntactic Conventions): moved quotation mark syntax to
	Inserting Quotation Marks.
	(Preparing for TeX): added info on installation of EC and Euro fonts.

2007-07-14  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (@copying, GNU Sample Texts),
	* doc/info-stnd.texi (@copying): update Back-Cover Text.

2007-07-12  Karl Berry  <karl@gnu.org>

	* makeinfo/lang.c (default_country_for_lang): strcasecmp returns 0
	when we find en.

2007-07-10  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.h (enable_encoding): default to 1.
	* makeinfo/makeinfo.c (long_options): new option --disable-encoding
	to set to zero.
	(usage): document --disable-encoding.
	* makeinfo/lang.c (add_encoded_char): don't enable 8-bit unless we
	have a document encoding.
	* doc/texinfo.txi (makeinfo Options, documentencoding): document this.

2007-07-09  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\xrefX): use \putwordSection for external
	cross-references, too.
	Report from Ludovic C, 09 Jul 2007 18:09:13.

2007-07-09  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/texinfo.tex (\thissection): renamed to \lastsection.
	(\thissectionname, \thissectionnum, \evenheadingmarks, \oddheadingmarks, \evenfootingmarks, \oddfootingmarks, \everyheadingmarks, \everyfootingmarks):
	new macros.
	(\thischapter, \thischaptername, \thischapternum, \thissection, \thissectionname, \thissectionnum):
	defined these using marks.
	(\chapoddpage): omit heading and footing on blank filler pages.
	* doc/texinfo.txi (Page headings): documented
	\thissection{,name,num} and \{even,odd,every}{head,foot}ingmarks.
	* makeinfo/cmds.c (command_table): added
	{even,odd,every}{head,foot}ingmarks.

2007-07-08  Karl Berry  <karl@gnu.org>

	* makeinfo/node.c (validate_file): don't check for warning limit,
	it was hit in gnulib.
	* makeinfo/makeinfo.h (reference_warning_limit): remove.
	* makeinfo/makeinfo.c (main): ignore the option (but leave it in
	so any Makefiles or scripts that use it won't gratuitiously break).
	* doc/texinfo.txi (Invoking makeinfo): remove documentation for
	--reference-limit.

2007-07-07  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (@copying): new Back-Cover Text.

2007-07-06  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Other Info Directories): recommend columns 32
	and 48.  Suggestion from Antonio Diaz Diaz.

2007-07-05  Karl Berry  <karl@gnu.org>

	* texinfo.tex (\setnonasciicharscatcodenonglobal,
	\setnonasciicharscatcode): no newline after #1, that counts as a space.
	(\pagebody, \pagesizesyyy): likewise.

2007-07-03  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/texinfo.tex: use \setcolor for color changes instead of
	\pdfsetcolor, to preserve color changes across page breaks.  Use a
	darker red (which comes out almost black in b&w print) for links
	and urls.

2007-07-02  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/pdfcolor.tex: removed (merged with doc/texinfo.tex).
	* doc/texinfo.tex: merged doc/pdfcolor.tex, omitting unused colors.
	* doc/Makefile.am, doc/README, doc/texinfo.txi, util/srclist.txt:
	removed any mention of pdfcolor.tex.

	* doc/texinfo.tex (\chapmacro):  avoid potential breakpoint at
	interline glue between \pdfdest and the heading.
	(\safewhatsit): typo.

2007-07-01  Karl Berry  <karl@gnu.org>

	* pretest version 4.9.90.

	* COPYING, all source files: GPLv3.

	* makeinfo/makeinfo.c,
	* info/info.c,
	* info/infokey.c,
	* util/install-info.c,
	* util/texindex.c: update --version output.

	* Makefile.am (EXTRA_DIST): remove config.rpath, it's in build-aux now.
	* lib/Makefile.am (libtxi_A_SOURCES): system.h at top level now.

	* util/texi2dvi (move_to_dest): still more tweaks to try avoid
	complaints from cp and cmp.

	* makeinfo/tests/copying.txi: test with nonempty copying text.
	* makeinfo/insertion.c (cm_insert_copying): call output_head.

2007-06-29  Karl Berry  <karl@gnu.org>

	* Version 4.9 (GPLv3, made from 4.8 branch).

2007-06-29  Karl Berry  <karl@gnu.org>

	* util/texi2dvi (move_to_dest): do not cmp a directory.

2007-06-27  Karl Berry  <karl@gnu.org>

	* util/texi2dvi (move_to_dest): do not copy a file onto itself,
	GNU cp complains.

2007-06-27  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/texinfo.tex (\setnonasciicharscatcodenonglobal): new macro.
	(\scanctxt):  in case of non-ASCII encodings, un-activate 8-bit
	chars to avoid their expansion.  Report from John Mandereau,
	22 Jun 2007 17:26:09 +0200.

2007-06-24  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\internalpagesizes): must reset \pdfhorigin and
	\pdfvorigin after changing \pdfpageheight and \pdfpagewidth.

2007-06-20  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\documentlanguagetrywithoutunderscore): new macro,
	to try txi-de.tex if @documentlanguage de_DE.
	(\documentlanguage): call it.

	* lang.c (default_country_for_lang): just return country code, not
	whole locale string.

	* makeinfo.h (output_head_p): new global.
	* makeinfo.c (info_output_head, output_head): new fns.
	(add_char): call it.  This is so we can translate the file header
	("produced by Makeinfo ...") in Info output as well as HTML.
	* html.c,
	* html.h,
	* cmds.c: change usage of html_output_head_p to output_head_p, etc.

2007-06-17  Karl Berry  <karl@gnu.org>

	* makeinfo/lang.c (default_country_for_lang): implement using the
	same locales_with_principal_territory list as gettext's msginit.c.

	* makeinfo/lang.c (language_table): update from current list,
	write out update procedure for next time.
	* makeinfo/lang.h (language_code_type): update enum.
	* doc/texinfo.txi (documentlanguage): don't include the list of
	language codes, change is too rapid.

	* doc/texinfo.tex (\codequoteright, \codequoteleft): support
	@set txicodequoteundirected and
	@set txicodequotebacktick, respectively, as well as the non-txi names.
	* doc/texinfo.txi (Inserting Quote Characters): new node.
	* NEWS: mention both.

2007-06-14  Karl Berry  <karl@gnu.org>

	* makeinfo/lang.c (cm_documentlanguage): add _CC part if necessary,
	or split LL_CC if that's given.  Set document_language so that
	getdocumenttext strings will be translated.
	* doc/texinfo.txi (documentlanguage):
	* NEWS: mention this.

	* util/gendocs_template: mention possibility of buying manuals

2007-06-13  Karl Berry  <karl@gnu.org>

	* makeinfo/xml.c (xml_insert_element_with_attribute): close
	menu_entry and menu_entry_comment elements before handling the
	detailmenu element (either start or end).
	From Thien-Thi Nguyen, 04 Jun 2007 01:18:37.

2007-06-03  Per Bothner  <per@bothner.com>

	* xml.c (docbook_element_list): Map ANCHOR to "anchor".
	* node.c (cm_anchor): Handle docbook.

2007-05-22  Karl Berry  <karl@gnu.org>

	* util/gendocs_template{,_min}: missing period on source link.

2007-05-21  Karl Berry  <karl@gnu.org>

	* makeinfo/multi.c (select_output_environment): C is not Perl.

	* util/install-info.c (--test, --debug): new options,
	via new variable chicken_flag and debug_flag,
	and (minimal) implementation thereof.
	(--silent): synonym for --quiet.
	* doc/texinfo.txi (Invoking install-info): document them.

2007-05-18  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Invoking install-info): document them.

2007-05-18  Norbert Preining  <preining@logic.at>

	* util/install-info.c (longopts): new options --remove-exactly,
	--section-regex.
	(main): handle them.

2007-05-17  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Image Syntax): findex entry should just be for
	"-", not "@-".  (Which fails due to \initial{\} in texinfo.fns,
	but that's a different story.)

2007-05-04  Karl Berry  <karl@gnu.org>

	* makeinfo/node.c (cm_anchor): ignore following whitespace,
	including newlines.  Reported by Kevin Ryde.
	* doc/texinfo.txi (anchor): state this more clearly.

	* doc/texinfo.tex (\tocreadfilename): allow override of
	\jobname.toc for sake of 2-volume printed lispref.
	(\finishentry): change test for no page number (and hence no
	leaders) again, for "Volume N" in lispref.
	(\smallbook): adjust margins to be more equal.

2007-05-03  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\urlcolor, \linkcolor): define both as \BrickRed
	by default.

2007-04-29  Werner Koch  <wk@g10code.com>

	* makeinfo/html.c (process_css_file): Don't omit copying the i
	of @import.  (Reported on 27 Sep 06.)

2007-04-29  Karl Berry  <karl@gnu.org>

	* system.h [__CYGWIN__]: #define STRIP_DOT_EXE 0 (since gunzip.exe
	may no longer exist), and PIPE_USE_FORK as 1.
	From Christopher Faylor, 28 Apr 2007 20:25:56.

	* makeinfo/cmds.c (cm_strong): doc fix.

	* makeinfo/makeinfo.h (paragraph_buffer_len): move decl here ...
	* makeinfo/makeinfo.c (paragraph_buffer_len): from here.
	* makeinfo/multi.c (select_output_environment): save and restore
	paragraph_buffer_len.  Otherwise, an exceptionally long multitable
	entry (gcal.texi) might realloc output_paragraph, thus increasing
	paragraph_buffer_len, and then we get back to the main text and
	restore the old output_paragraph, we'll be out of sync.  Yikes.
	(Thank you to Electric Fence and valgrind.)

2007-04-26  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/texinfo.tex (cmapOT1, cmapOT1IT, cmapOT1TT): new definitions
	for pdf so that searching and copying from pdf documents will find
	text properly, e.g., the "fi" in "file".  Report from
	Frank K on tex-live.

2007-04-26  Karl Berry  <karl@gnu.org>

	* util/gendocs_template: conform to new GNU style.  From Yavor.
	* util/gendocs_template_min: previous version, without SSI.

2007-04-21  Karl Berry  <karl@gnu.org>

	* system.h (DMALLOC_FUNC_CHECK) [DMALLOC_DEBUG]: #define.

2007-04-17  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: findex set and clear.
	From Kevin Ryde, 16 Apr 2007 11:15:00.

2007-04-12  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: improve @: usage and documentation throughout.

2007-04-08  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c (bs_escape_quote): new fn.
	(cm_image) <Info output>: call it, to escape the alt string.
	Also expand the alt string.
	bug-texinfo mail from Kevin Ryde, 26 Mar 2007 07:06:14.

	* doc/texinfo.tex (\printindex): set \plainfrenchspacing.

2007-04-07  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/texinfo.tex (\defunpenalty): new register.
	(\startdefun): use it to avoid page breaks between a defun and a
	single defunx -- only allow breaks between multiple defunx's.

2007-04-03  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/texinfo.tex (\whatsitskip, \whatsitpenalty): new registers.
	(\safewhatsit): generalization of \dosubindsanitize.  Change call.
	(\pdfmkdest, \dosubind, \setref): call it.  This avoids a page
	break at an anchor (lispref/loading.texi/load-read-function).

2007-04-02  Karl Berry  <karl@gnu.org>

	* util/gendocs_template: "bytes" is more accurate than "characters".
	* util/gendocs.sh: force English settings; improve --help.
	From Bruno.

2007-03-31  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c (init_paragraph): only free output_paragraph
	if it is non-null.

2007-03-31  Roland Levillain  <roland@lrde.epita.fr>

	* makeinfo/makeinfo.c (cm_image): Look for a JPEG image in the
	include search path before giving up.
	Fix inclusion of JPEG images (with non explicit extension)
	not present in the current directory, but in the include search path.

2007-03-28  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Menus): missing word "text".
	From Matt Kraai, 27 Mar 2007 10:26:28 -0700.

2007-03-18  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c (cm_image): malloc enough space for the .txt
	when given an extension.

2007-03-17  Karl Berry  <karl@gnu.org>

	* util/dir-example: dmalloc, alignment.

2007-03-13  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/texinfo.tex (\enddoublecolumns): add \penalty0 so the
	recent contributions won't be spuriously added to an index page.

2007-02-26  Karl Berry  <karl@gnu.org>

	* info/info.c (info_short_example): example for dumping a whole
	manual, suggested by Dan Jacobson, 21 Feb 2007 08:37:08.

2007-02-24  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (The Top Node): no @insertcopying recommended,
	per rms.

2007-02-21  Karl Berry  <karl@gnu.org>

	* system.h: simplify system header inclusion, following current
	practice; that is, copied from GNU Hello.

	* makeinfo/test/no-headers (nulldev): just always use /dev/null.
	Also from Brian.

	* system.h (strcase.h) [!HAVE_STRCASECMP...]: remove this
	inclusion entirely, apparently with gnulib string.h suffices.
	Report from Brian Dessent, 31 Oct 2006 15:50:34.

2007-02-21  Brian Dessent  <brian@dessent.net>  (tiny change)

	* info/info.c,
	* info/infokey.c,
	* info/makedoc.c,
	* util/texindex.c (program_name): declare as non-static, for
	non-glibc, e.g., Cygwin.  bug-texinfo mail from 31 Oct 2006 15:50:34.

2007-02-14  Miloslav Trmac  <mitr@redhat.com>

	* makeinfo/makeinfo.c (getdocumenttext): Correctly save and
	restore the current locale configuration.
	bug-texinfo mail of 14 Feb 2007 16:28:37 +0100.

2007-02-11  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (HTML Xref Link Basics): manual is metasyntactic.

	* doc/texinfo.txi (documentencoding, documentlanguage):
	mention the UTF-8 is (sort of) supported, and that these commands
	should be given after @setfilename.

	* doc/texinfo.tex (\pdfmkdest): \makevalueexpandable,
	so simple @value in @node names can work.
	Report from Jorge Barros de Abreu, 14 Jan 2007 08:24:57 (+ff).

2007-02-10  gettextize  <bug-gnu-gettext@gnu.org>

	* gnulib/m4/gettext.m4: Upgrade to gettext-0.16.
	* gnulib/m4/lib-link.m4: Upgrade to gettext-0.16.
	* configure.ac (AM_GNU_GETTEXT_VERSION): Bump to 0.16.

2007-02-07  Miloslav Trmac  <mitr@redhat.com>

	* configure.ac: Remove unnecessary wcwidth () test.  Add missing
	setlocale () test.
	* makeinfo/makeinfo.c (string_width): Remove.
	* makeinfo/makeinfo.h (string_width): Remove declaration.

	* makeinfo/cmds.c (cm_center)
	* makeinfo/index.c (insert_index_output_line_no, cm_printindex):
	* makeinfo/makeinfo.c (do_flush_right_indentation)
	* makeinfo/multi.c (output_multitable_row): Use mbswidth () and
	mbsnwidth () instead of string_width ().

2007-01-25  Karl Berry  <karl@gnu.org>

	* makeinfo/float.c (cm_listoffloats): always use the short caption
	in the list of floats if it is provided.  Report from
	Jay Berkenbilt, 19 Jan 2007 11:58:00 -0500.

2007-01-16  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi (insert_commands): Use fatal for errors.
	(insert_commands): Actually, use "error", not "fatal".
	White space changes.

2007-01-16  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi (run_makeinfo): Instead of putting the whole
	function in a "case", return if the language is not texinfo.

2007-01-16  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi: White space changes.

2007-01-08  Karl Berry  <karl@gnu.org>

	* util/texinfo.dtd (rArr): define, per Per.

2007-01-07  Karl Berry  <karl@gnu.org>

	* makeinfo/cmds.c (cm_result): use rArr for html or docbook.

	* makeinfo/lang.c (encoding_table): include UTF-8, just passing
	through everything as-is.
	(asis_map): rename us_ascii_map (and change US-ASCII entry).

2007-01-03  Karl Berry  <karl@gnu.org>

	* makeinfo/xml.c (xml_id): oops, whitespace should be replaced
	too.  And probably more, but let's leave it at this for now.

2007-01-02  Karl Berry  <karl@gnu.org>

	* makeinfo/xml.c (xml_id): do not use the SGML rules for id's,
	which were very restrictive (no 8-bit chars).  Instead, just pass
	along what we are given, more or less, per current XML.

2006-12-30  Karl Berry  <karl@gnu.org>

	* makeinfo/xml.c (xml_insert_element_with_attribute): remove the
	warning again, the html-docdesc test triggers it for no apparent
	reason, and I don't want to debug it now.

	* doc/texinfo.tex (\DeclareUnicodeCharacter, et al.): new macros
	to support @documentencoding UTF-8 (as well as Computer Modern
	can).  From Werner Lemberg.

2006-12-28  Karl Berry  <karl@gnu.org>

	* makeinfo/xml.c (xml_insert_element_with_attribute): give a
	warning if we need to ignore an insertion because the book hasn't
	started.  Can this ever happen with acceptable Texinfo documents?
	I saw it in a document without @settitle but with @copying.
	(xml_add_char): ensure that we have an element stack before
	testing xml_current_element and failing the assertion.
	(xml_pop_current_element): do not try to print the value of the
	current element on underflow, there isn't one.

2006-12-23  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\xrdef, \xrefX, \pdfmkdest): sanitize the node
	name, so accents (either 8-bit chars or cmds) can be used.

2006-12-22  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\setnormaldispenv, \setsmalldispenv): do
	\endgraf before changing fonts, to get leading of previous
	paragraph right when there is no blank line.
	From John Gabriele, 21 Dec 2006 18:00:24.

2006-12-11  Miloslav Trmac  <mitr@redhat.com>

	* configure.ac: Test wcwidth () availability.
	* makeinfo/makeinfo.h (string_width, current_output_column): New
	declarations.
	(output_column): Remove.  All users replaced by
	current_output_column (), all modifications dropped.
	* makeinfo/makeinfo.c (output_paragraph_start_column): New
	variable.
	(string_width, current_output_column): New functions.
	(get_char_len): Remove.
	(init_paragraph): Initialize output_paragraph_start_column.
	(flush_output): Update output_paragraph_start_column.

	* makeinfo/cmds.c (cm_center)
	* makeinfo/index.c (insert_index_output_line_no, cm_printindex):
	* makeinfo/makeinfo.c (do_flush_right_indentation)
	* makeinfo/multi.c (output_multitable_row):
	Don't assume number of columns == number of bytes.

2006-12-11  Miloslav Trmac  <mitr@redhat.com>

	* makeinfo/makeinfo.h (NON_BREAKING_SPACE): New macro.
	(control_character_bit, meta_character_bit, CTL, UNCTL, META)
	(UNMETA): Remove.
	* makeinfo/makeinfo.c (add_char, flush_output): Use
	NON_BREAKING_SPACE instead of META (' ').
	(get_char_len): NON_BREAKING_SPACE is only one column wide.

2006-12-05  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (@documentencoding): mention that it is
	(somewhat) supported in TeX now.

2006-12-05  Paulo Sequeira  <psequeira@gawab.com>

	* doc/texinfo.tex (\documentencoding): real implementation.
	(\setnonasciicharscatcode): new macro.
	(\missingcharmsg): new macro.
	(\latonechardefs, latninechardefs, \lattwochardefs): new macros.

2006-11-24  Karl Berry  <karl@gnu.org>

	* Makefile.am (po-check): new utility target from coreutils.

2006-11-08  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\dopdfimage): look for png, jpg/jpeg/JPG, and
	  as well as pdf images, since they are supported in pdftex with
	  no further ado.
	* doc/texinfo.txi (Image Syntax): document it.

2006-11-05  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (Image Syntax): don't mention GIF any more.

2006-11-01  Miloslav Trmac  <mitr@redhat.com>

	* util/texindex.c (main): Remove off-line sort implementation.
	(tempdir, tempbase, tempcount, last_deleted_tempcount)
	keep_tempfiles): Remove variables.
	(sort_offline, initbuffer, readline, merge_files, merge_direct)
	(gettempname, maketempname, flush_tempfiles):
	Remove functions.
	(texindex_options): Remove --keep and --no-keep documentation.
	(decode_command): Ignore --keep.
	(writelines): Fix comment.

2006-10-24  Karl Berry  <karl@gnu.org>  (tiny change)

	* util/texindex.c (readline): do the reallocation (more) correctly.
	From Miloslav Trmac.

2006-10-10  Karl Berry  <karl@gnu.org>

	* TODO: would be nice if accent commands implicitly used
	dotless i/j.

2006-10-09  Miloslav Trmac  <mitr@redhat.com>  (tiny change)

	* util/texindex.c (gettempname): new fn, split off from maketempname.
	(maketempname): call it.  We weren't deleting temp files.
	(sort_offline): check result from maketempname.

2006-10-06  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* makeinfo/tests/quote-args: Add missing $srcdir.

2006-10-04  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\singlequotechar): rename to \codequoteright.
	(\quoteexpand): rename to \rquoteexpand.
	(\codequoteleft): new def, to look for @set codequotebacktick.
	(\lquoteexpand, \quoteexpand): new defs.
	(\lquoteChar, \rquoteChar, \dashChar, \underChar): new \chardef's.
	(\code): must use new \...Char values, since now ` is active.

2006-10-01  Karl Berry  <karl@gnu.org>

	* util/texi2dvi (run_bibtex): also run bibtex if "no .aux file" in
	the .log, and "\bibdata" in the aux, for the first run of a btxmac
	file.  Report from Oleg Katsitadze.

2006-09-30  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Inserting Braces): spurious ppp.

2006-09-22  Stepan Kasal  <kasal@ucw.cz>

	* configure.ac: Add a comment explaining `env -i PATH=$PATH'.

2006-09-13  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (code): spurious "in the printed manual", from
	Bob C.

2006-09-01  Eli Zaretskii  <eliz@gnu.org>

	* doc/texinfo.txi (Multitable Rows): Document the Info output of
	@headitem.

2006-08-26  Karl Berry  <karl@gnu.org>

	* makeinfo/cmds.c (command_table): new command @textdegree{}.
	* makeinfo/lang.c (cm_special_char): handle textdegree.
	* doc/texinfo.tex (\textdegree): define it.

	* doc/texinfo.txi (Output Formats): update Beebe paper reference.
	(Printed Books): update texinfo.tex reference.
	Report from VAN VLIERBERGHE Stef, 22 Aug 2006 22:05:27 +0200.

2006-08-23  Karl Berry  <karl@gnu.org>

	* doc/Makefile.am (man_rule_bin): use help2man -o, instead of
	redirection, so that `missing' can infer the output filename.

2006-08-13  Alexander E. Patrakov  <patrakov@ums.usu.ru>  (tiny change)

	* info/man.c (get_manpage_contents), info/info.c (main):
	Info apparently assumes equivalence of bytes and characters,
	leading to (for example) translated man output in multibyte
	locales being broken within a character.  In lieu of a
	real fix, if MB_CUR_MAX > 1, revert to C.  bug-texinfo mail,
	07 Aug 2006 14:59:42 +0600.

2006-08-12  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (error \box0): smaller font.

2006-08-08  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Invoking Macros): all commas inside macro calls
	are quoted, it seems.  From Patrice.

2006-07-25  Karl Berry  <karl@gnu.org>

	* configure.ac (AC_MINIX): remove, as it seems there is nowhere to
	call it, and is it really necessary these days?

	* doc/info-stnd.texi (What is Info?): suggest the Emacs Info
	reader for the nicest display.

2006-07-16  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\onepageout): hardwire a 24pt space before
	\footlinebox, instead of 2\baselineskip.  If the page break occurs
	at a heading, for instance, \baselineskip might be larger, causing
	the footer to jump.
	(\oddfootingyyy): likewise (although doesn't really matter here).
	Report from Werner Lemberg, 02 Jun 2006 07:44:36 +0200.

	* doc/texinfo.txi: use @copyright{} in @copying, not (C).

2006-07-15  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\code): make ' active.
	(@lisp,@example): call \quoteexpand.
	(\quoteexpand): new definition to make ' active.
	(\singlequotechar): the active definition of '; if
	the variable codequoteundirected is @set, use char"d from tt
	instead of the regular directed quote.
	This is all to make pasting of ' in examples work in more pdf
	viewers, at least evince.
	From: Han-Wen Nienhuys, 2 Jun 2006 01:22:44 +0000.

2006-07-10  <Ralf.Wildenhues@gmx.de>

	* makeinfo/html.c (insert_html_tag_with_attribute): Treat `samp'
	special, to allow it to nest.
	* makeinfo/cmds.c (cm_code): use insert_html_tag to add `samp'
	instead of add_word, so that the roll-back of outer tags works
	correctly.  (This fixes @option inside of @emph causing badly
	nested tags in the HTML output, see 8 Jun 2006 00:12:55 +0200 mail.
	The general problem still remains.)
	* makeinfo/tests/emph-option: New test.
	* makeinfo/tests/emph-option.txi: New file.
	* makeinfo/tests/Makefile.am: Adjust.

2006-07-09  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (makeinfo Pointer Creation, Writing a Menu):
	mention that accesskey is used in the HTML output.

2006-07-09  <Ralf.Wildenhues@gmx.de>

	* doc/texinfo.txi: Fix some typos.

2006-07-04  Sergey Poznyakoff  <gray@gnu.org.ua>

	* makeinfo/macro.c (add_macro): Initialize def->argcount
	(get_brace_args): Change argument type to enum quote_type.
	(All callers updated.) Implement default argument quoting.
	(expand_macro): Use def->argcount to control the number of passed
	arguments.
	(define_macro): Issue a warning if @allow-recursion or @quote-arg
	is used.
	* makeinfo/macro.h (MACRO_DEF): New member argcount
	(enum quote_type): New data type.
	(get_brace_args): Change argument type to enum quote_type
	(ME_QUOTE_ARG): Remove the macro
	* makeinfo/makeinfo.c (cm_ifeq): Update call to get_brace_args
	* makeinfo/tests/Makefile.am (TESTS): New test quote-args
	(EXTRA_DIST): New file quote-args.txi
	* makeinfo/tests/quote-args: New test
	* makeinfo/tests/quote-args.txi: New file
	* doc/texinfo.txi: Document automatic argument quoting

2006-07-03  Sergey Poznyakoff  <gray@gnu.org.ua>

	* doc/txi-pl.tex: Do not use \prefixing and \notprefixing. They
	were defined in PLaTeX, but are no longer global. Use ISO-8859-1
	instead.

2006-06-27  Akim Demaille  <akim@epita.fr>

	* util/defs.in ($latex_paragraph): New.
	* util/latex2html.test (input.tex): Make it big enough to trigger
	the info file splitting.
	* util/texi2dvi (move_to_dest): Accept several arguments.
	(run_hevea): Use it to move the whole family.

2006-06-27  Akim Demaille  <akim@epita.fr>

	Fix the clean invocations to hevea.
	Note that this breaks document using images (to be fixed).
	* util/latex2html.test (run_hevea_check): Extend to support
	various build modes.
	Test them.
	Force the creation of aux files (something the previous test
	failed to do...).
	* util/defs.in (title): New.
	* util/texi2dvi: Fix incorrect "error" invocations.
	(run_hevea): Don't pass -o to hevea.
	Move the result to the expected destination.
	Don't pass -noiso.

2006-06-26  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi (generated_files_get): Call uniq.

2006-06-07  <Ralf.Wildenhues@gmx.de>

	* Makefile.am (AUTOMAKE_OPTIONS): Require Automake 1.9, since
	non-direct subdirs in SUBDIRS (gnulib/lib) is a 1.9 feature.

2006-06-24  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (anchor): pxref Node Line Requirements since the
	same name restrictions apply.  Suggested by Eli.

2006-06-21  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi (fatal): Rename as...
	(error): this.
	If the exit status is 0, don't exit.
	(run): New.
	Use it where appropriate.
	(run_dvipdf): New.
	Use it.

2006-06-21  Akim Demaille  <akim@epita.fr>

	* util/Makefile.am, info/Makefile.am, makeinfo/Makefile.am,
	* lib/Makefile.am (DEFS): Remove, included in...
	(AM_CPPFLAGS): this.
	Add -I $(top_srcdir) to find system.h.

2006-06-19  Karl Berry  <karl@gnu.org>

	* system.h: move to top level.
	* */Makefile.am (AM_CPPFLAGS): no longer need -I$(top_srcdir)/lib.

	* makeinfo/makeinfo.c (getdocumenttext): replace with a modified
	version of get_title from gettext, as suggested by Bruno Haible,
	back on 2 Dec 2003.
	* gnulib: import xsetenv module.

	* doc/texinfo.tex (\indexdotfill): back to regular (non-italic)
	periods, suggested by Werner Lemberg and others.

2006-06-19  Akim Demaille  <akim@epita.fr>

	Support dvips and dvipdf for sake of pstricks, and to
	spare the use tweaking TEXINPUTS.
	* util/defs.in (optionset_get, assert_and_remove_files): New.
	* util/texi2dvi (out_lang_tex, out_lang_ext): New.
	Use them.
	($language): Rename as...
	($in_lang): this for consistency.
	Support --dvipdf and --ps.
	Not documented yet.
	* util/dvipdf.test: New.
	* util/Makefile.am (TESTS): Adjust.
	* util/texi2dvi.tests (one_run): New.

2006-06-18  Karl Berry  <karl@gnu.org>

	* gnulib: new subdirectory, managed by gnulib-tool.
	* m4: delete entire subdirectory, now replaced by gnulib/m4.
	* build-aux: new subdirectory.
	* README.dev: doc.
	* autogen.sh: aclocal needs -I gnulib/m4 now.
	* Makefile.am, util/Makefile.am, lib/Makefile.am, info/Makefile.am,
	  makeinfo/Makefile.am (AM_CPPFLAGS, LDADD): use new gnulib dirs.
	* lib/alloca.c, lib/getopt*, lib/gettext.h, lib/mem*, lib/str*,
	  etc.: delete, now using gnulib modules (as recorded in
	  gnulib/m4/gnulib-cache.m4)

2006-06-08  Karl Berry  <karl@gnu.org>

	* po/Makevars (XGETTEXT_OPTIONS): add --keyword=__, so that the
	gettext will mark the new __ strings (2006-05-29 change from
	Norbert) for translation again.

2006-06-07  <Ralf.Wildenhues@gmx.de>

	* makeinfo/footnote.c (output_pending_notes): Use
	add_html_block_elt instead of add_word for final part of
	footnote, so no extra <p> is output.

2006-06-05  Akim Demaille  <akim@epita.fr>

	* util/bibtex.test: Add it for real.

2006-06-03  Karl Berry  <karl@gnu.org>

	* util/texi2dvi: always report tex command being used.

2006-06-02  Karl Berry  <karl@gnu.org>

	* util/texi2dvi (--src-specials): new option,
	requested by Charlie Zender.

2006-06-01  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\thischapternum): new macro for
	headings/footings, requested by Werner.
	* NEWS, doc/texinfo.txi (Command List, Custom Headings): document it.

2006-06-01  Sergey Poznyakoff  <gray@gnu.org.ua>

	* makeinfo/html.c (html_output_head): Insert external CSS
	reference if css_ref is set.
	(fix_filename): Attempt to transliterate the name before falling
	back to numeric symbol representation.
	* makeinfo/lang.c (iso8859_2_map): Add transliterations
	(koi8_map): New map for koi8-u and koi8-r encodings.
	(encoding_table): Add koi8-u and koi8-r
	(cm_search_iso_map_char,lang_transliterate_char): New functions.
	* makeinfo/lang.h (encoding_code_type): Add KOI8_R, KOI8_U
	(struct iso_map_type): New member `translit'.
	(lang_transliterate_char): New function prototype.
	* makeinfo/makeinfo.c: New options --css-ref and
	  --transliterate-file-names.
	* makeinfo/makeinfo.h (css_ref, transliterate_file_names): New
	variables.
	(URL_SAFE_CHAR): Bugfix: Make sure argument is in isalnum() domain.

	* doc/texinfo.txi: Document new options.

2006-05-30  <Ralf.Wildenhues@gmx.de>

	* configure.ac (sigblock): Fix underquoted macro usage.

2006-05-30  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi (aux_file_p): Rename the second occurrence as...
	(bibaux_file_p): this.
	(run_bibtex): Use it.
	(options processing, $usage): Support --dvi for symmetry and to
	ease systematic tests.
	* util/bibtex.test: New.

2006-05-30  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi: Add support for latex to text and info using
	hevea.
	Don't document it yet, as it's preliminary and on some regards
	incomplete.  It is usable though.
	(IFS): Use a more robust definition, taken from Autoconf.
	(bibaux_file_p): New, extracted from...
	(run_html): Generalize and rename as...
	(run_hevea): this.
	(run_core_conversion): Adjust.
	(option processing): Accept --text and --info.
	* configure.ac: Check for TEX and HEVEA.
	* util/defs.in: No longer create a texi file by default.
	Handle hevea requests.
	(create_input_tex, create_input_texi): New.
	(assert_files, list_files): Rework to use diff instead of test.
	And sort both lists of files before comparing them.
	* util/latex2html.test: New.
	* util/Makefile.am (TESTS): Update.

2006-05-29  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.h (getdocumenttext, __): new definitions for
	strings translated according to the document language, instead of
	the interface language.
	* makeinfo/makeinfo.c (getdocumenttext): new fn.
	(usage): new option --document-language to specify.
	* makeinfo/lang.h (document_language): new declaration.
	* makeinfo/lang.c (document_language): define.
	* makeinfo/defun.c, makeinfo/html.c, makeinfo/node.c,
	makeinfo/toc.c, makeinfo/xref.c: use __ instead of _ for document
		strings.
	* doc/texinfo.txi (makeinfo options): minimal documentation.
	From Norbert Preining, 10 Mar 2006 02:22:19 +0100.
	Debian bugs 113988 and 355367.

2006-05-28  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\indexdummies): \let\endinput=\empty, to
	avoid premature end of processing when an index entry is generated
	from a macro.
	Report from Graham Percival to help-texinfo, 22 May 2006 12:03:12.

	* doc/texinfo.tex (\dots): use width of three period characters if
	that is wider than 1.5em.  Report from Steve Peter.

	* system.h [__CYGWIN__] (NULL_DEVICE): define as /dev/null.
	From Ralf W.

2006-05-27  Karl Berry  <karl@gnu.org>

	* texi2dvi (IFS): initialize, since otherwise when we save/restore
	it may end up being set-but-empty, which may disable splitting.
	Report from Ralf W.

2006-05-20  Karl Berry  <karl@gnu.org>

	* util/texi2dvi (run_makeinfo): use $TEX instead of hardwiring
	tex, to maybe avoid running into some
	misconfigured TeX installations, resulting in
	 ---! /var/lib/texmf/web2c/etex.fmt was written by pdfetex
	 (Fatal format file error; I'm stymied)
	Original report from Ralf Wildenhues, 12 May 2006 11:19:13 +0200.

2006-05-18  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* util/gendocs.sh: quoting, url fixes.

2006-05-08  Karl Berry  <karl@gnu.org>

	* autogen.sh: new name for bootstrap, and improve msg.  From Bruno
	via hello.

2006-05-07  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\dopdfimage): width and height args might have
	whitespace.  Report from Bob Chassell.

2006-05-05  Karl Berry  <karl@gnu.org>

	* texinfo.tex (\definetextfonsizexi, \definetextfonsizex): new cmds.
	(\fonttextsize): new user-level command @fonttextsize to change
	text font size.  (To be used for the next Emacs edition.)
	* makeinfo/cmds.c (cm_fonttextsize): new fn.
	(command_table): include it.
	* NEWS, doc/texinfo.txi (Fonts): document it.

2006-05-04  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Reporting Bugs): wording to match hello.

2006-04-26  Karl Berry  <karl@gnu.org>

	* doc/Makefile.am (TXI_XLATE): add txi-ru.tex and txi-uk.tex,
	from Sergey Poznyakoff.
	* doc/txi-ru.tex, doc/txi-uk.tex: new files.

2006-04-13  Karl Berry  <karl@gnu.org>

	* makeinfo/insertion.c (end_insertion): kill_self_indent(-1) to
	remove all indentation.  From Brian Gough, 11 Apr 2006 16:42:29 +0100.

2006-04-11  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (GNU Sample Texts): GFDL is version 1.2 now.
	Report from Claudio.

2006-03-28  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (HTML Xref Command Expansion): use U+2605 for
	@point{} and U+22A3 for @print{}.  From Patrice.

2006-03-25  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (copying): warn not to indent lines within the
	@copying.

2006-03-24  Karl Berry  <karl@gnu.org>

	* makeinfo/html.c (escape_string): do not free the old string,
	that is dangerous, only the caller should do it.
	(add_link): escape the title string.
	Report from Ralf Wildenhues, 17 Mar 2006 05:08:11 +0100.

2006-03-21  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\parseargusing, \finishparsearg): Use \argtorun
	  instead of \next.
	(\argcheckspacesY): Change the wording of the comment about \next.
	(\braceorline, \braceorlinexxx): Do not suppose that \next is
	  preserved during the run of \parsearg, anyway.

2006-03-14  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (section, subsection, unnumberedsubsec,
	subsubsection): make it clear that @section can be used within
	any chapter unit.
	Report from: Hynek Hanke, 11 Mar 2006 20:44:34 +0100.

	* doc/texinfo.tex (\imagexxx): do not center the image by default.
	The manual says we don't do that, and Lilypond needs
	left-justification.
	From: Han-Wen Nienhuys, 9 Mar 2006 21:08:26 +0000.

2006-03-13  Miloslav Trmac  <mitr@redhat.com>  (tiny changes)

	* info/Makefile.am (infokey_LDADD): don't link with curses.

	* makeinfo/sectioning.c: cast arguments to substring, to placate
	current gcc.

2006-03-13  Karl Berry  <karl@gnu.org>

	* util/texi2dvi: reindent --help message.

2006-03-07  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Writing a Node): show example of specifying
	some pointers but not others.

2006-02-28  Akim Demaille  <akim@epita.fr>

	Be robust to spaces in directory names.
	* util/texi2dvi (absolute): Be robust to non directories.
	(run_tex): Quote in_input properly.
	(compile): Quote args of eval properly.

2006-02-25  Karl Berry  <karl@gnu.org>

	* info/nodes.c (info_get_node_of_file_buffer): try to avoid
	running man Top, which returns the top(1) man page on Debian.

2006-02-14  Sergey Poznyakoff  <gray@gnu.org.ua>

	* util/texi2dvi: New options --translate-file and --recode-from.

2006-02-13  Karl Berry  <karl@gnu.org>

	* makeinfo/cmds.c (cm_enddots): output three dots, not four, for
	consistency with texinfo.tex.

	* doc/texinfo.tex (\doignore): move \obeylines here.
	(\dodoignore): from here.  (just putting catcode changes together.)
	(\doignoretextyyy): revert to previous code, no ##2^^M;
	that caused blank lines in verbatim envs inside failing conditionals.
	(\enddoignore): ignore any text after the @end #1 here, instead.
	Bug report from Bob Wilson, 5 Oct 2005 21:22:33 -0700,
	amended fix from Stepan, 13 Feb 2006 21:57:07 +0100.

	* info/nodes.c (info_get_node): don't try man Top and man top and
	man TOP.  Debian bug 234848.

2006-02-11  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c (write_trailer): new fn.
	(convert_from_loaded_file) <finished>: call it *after* the
	tag table has been written, else Emacs likely won't seeit.
	Report from: Juri Linkov, 11 Feb 2006 03:11:33 +0200.

2006-02-10  Karl Berry  <karl@gnu.org>

	* util/texinfo.dtd (menucomment): more inclusive.
	(enumerate): allow indexes.
	From Torsten.

2006-02-06  Karl Berry  <karl@gnu.org>

	* util/texinfo.dtd: apparently we cannot have -- in an XML
	comment.  Kludge.

2006-02-05  Karl Berry  <karl@gnu.org>

	* util/texi2dvi (run_makeinfo): eval $makeinfo, for gettext
	0.14.5's complex $MAKEINFO definition.

2006-01-30  Karl Berry  <karl@gnu.org>

	* util/texinfo.dtd: many additions and fixes from
	Torsten Bronger.

2006-01-27  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\sectionheading): \nobreak before the \vbox
	with the heading.
	Report from: Norbert Preining, 2 Nov 2005 10:07:57 +0100,
	Debian bug 276000.

2006-01-25  Karl Berry  <karl@gnu.org>

	* makeinfo/lang.c (cm_accent_generic_no_headers): do nothing
	if end == 0 (accent command in @menu with --no-headers).
	Report from Akim Demaille, 23 Jan 2006 16:41:38 +0100.

2006-01-18  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (key): more examples.

2006-01-18  Akim Demaille  <akim@epita.fr>

	Sometimes the temporary directory remains.
	Reported by Wybo Dekker.
	* util/defs.in (assert_files): New.
	* util/texi2dvi.test: Use it.
	Extend to check the local builds.
	* util/texi2dvi (aux_file_p, index_file_p, xref_file_p): Check
	that the file exists.
	(generated_files_get): Simplify according to these changes.
	(remove, cleanup): New.
	Use the latter in the cleaning trap.
	(mostly_clean): Use them.

2006-01-17  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi (generated_files_get): Skip nonexistent files
	earlier.

2006-01-15  Karl Berry  <karl@gnu.org>

	* info/infodoc.c (info_internal_help_text): combine messages
	which are single sentences into one string.
	Report from Clytie Siddall, via
	http://sourceforge.net/tracker/index.php?func=detail&aid=1406541&group_id=40033&atid=426818.

	* po/POTFILES.in: add missing makeinfo/xref.c, makeinfo/float.c.
	Report from Torsten.

2006-01-09  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi: set -e.
	Stop using the idiom "test && action" in favor of "if test; then
	action; fi".
	(xref_files_save): Use tar instead of cp.
	(run_makeinfo): Fix a "local" use.

2006-01-08  Loic Minier  <lool@dooz.org>  (tiny change)

	* info/display.c (display_update_one_window): systematize
	check as to whether `entry' is non-null before referring to it.
	Still some segfaults when resizing the window rapidly.

2006-01-08  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\normalturnoffactive): restore setting of
	active \ to \normalbackslash.
	(\onepageout): restore call to \normalturnoffactive.
	Otherwise, if a page break happens at the wrong time, the active
	\ will result in writing an actual \ character,
	instead of {\tt \backslashcurfont }.
	Report from Kurt.Hornik@wu-wien.ac.at, 6 Jan 2006 14:38:38 +0100.
	[test idxback-exts]

2005-12-26  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (node, Node Names): pxref Node Line Requirements,
	about restrictions on characters in node names.

2005-12-25  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\pdfurl): make @/ a no-op.
	Report from Kurt Hornik, 23 Dec 2005 13:17:56 +0100.

	* util/texi2dvi (no_file_line_error): new control,
	with option --no-line-error to set it.  Wybo Dekker's mk program
	wants to parse TeX's original error messages.
	(run_tex): obey it.

2005-12-22  Akim Demaille  <akim@epita.fr>

	Implement --mostly-clean, improve the detection of aux files.
	* util/texi2dvi ($action): New.
	(--mostly-clean): New.
	(cd_orig): New.
	(generated_files_get, aux_file_p, index_file_p, xref_files_p):
	New.
	(get_index_files): Remove, replaced by the previous functions.
	(get_xref_files): Rename as...
	(xref_files_get): this.
	(run_index): Use generated_files_get.
	(clean): Rename as...
	(mostly_clean): this.
	Strengthen.
	($t2ddir): Try to have a `local' absolute file name, not a fully
	absolute one to avoid very very long file names.
	* util/texi2dvi.test: Exercise --mostly-clean.

2005-12-20  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (key): DELETE, not DEL, per rms.

2005-12-19  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi (run_conversion): Rename as...
	(run_core_conversion): this.
	(compile): New.
	This is the former main program.
	(clean): New.
	Use it.
	(language): Compute it in the main loop.

2005-11-18  Akim Demaille  <akim@epita.fr>

	Factor the handling of list of directories.
	* util/texi2dvi (list_append, list_prefix, list_infix)
	(list_dir_to_abs, absolute): New.
	Use them.
	($miincludes, $txincludes): Remove, replaced by...
	($includes): this one.
	(func_dirname): Don't use fd6 that might not be set up yet.
	(run_to_html): Use $includes.

2005-11-13  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Top Node Example): missing @end iffnottex.
	(The Top Node): @end ifnottex, not ifnottext.
	From Steve Peter.

2005-11-10  Akim Demaille  <akim@epita.fr>

	Make the naming conventions more consistent and shorter.
	* util/texi2dvi (oformat): Rename as...
	(out_lang): this.
	(filename_input, filename_src, filename_xtr, filename_rcd,
	filename_noext, filename_dir, filename_dir_abs): Rename as...
	(in_input, in_src, in_xtr, in_rcd, in_noext, in_dir, in_dir_abs)
	this.
	(in_base, out_name, out_dir, out_dir_abs, out_base, out_noext): New.
	(output_base_name): New.
	(move_to_dest): Use it.
	(run_tex): Catch invalid calls.
	Be robust to inclusion in subdirs.
	(run_bibtex): Simplify when this is not a LaTeX file.
	(run_tex_suite): cycle is local.
	(input_file_name_decode): New, extracted from the main loop.
	Some variables are now local.

	Use the output file name as root for the t2d directory name.
	* util/texi2dvi (t2ddir): Use $out_noext, no $in_noext.
	* util/texi2dvi.test: Adjust.

	Be robust to inclusion in subdirs.
	* util/texi2dvi (run_tex): Look for \include of files in subdirs.
	(run_bibtex): Citations might be in another aux file.

	Support html.
	* util/texi2dvi (run_to_html): New.
	(run_conversion): New, extracted from the main loop.
	Support --html.


2005-11-10  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Def Cmd Template): mismatched example and output.
	Report from: Steve Peter, 09 Nov 2005 12:46:02 -0500.

2005-10-23  Karl Berry  <karl@gnu.org>

	* util/texi2dvi (insert_commands): missing $ in case statement;
	from report by Simon Josefsson.

2005-10-09  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\doignoretext): ignore characters after
	ignored conditionals, e.g., @end ifset.  Otherwise the newline
	following results in a blank line being output in verbatim
	environments.
	From: Bob Wilson, 5 Oct 2005 21:22:33 -0700.

2005-10-05  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi.test: Make sure --build=clean passes.
	* util/texi2dvi: Fix the handling of --build.

2005-10-05  Karl Berry  <karl@gnu.org>

	* util/texindex.c (maketempname): use mode 0600.

2005-10-02  Karl Berry  <karl@gnu.org>

	* util/texindex.c (maketempname): avoid race condition.
	(concat): now take three args, so rename to concat3.
	Debian bug 328365.

2005-09-30  Karl Berry  <karl@gnu.org>

	* configure.ac: reenable utils/defs generation, now that we have
	the files below.

2005-09-29  Akim Demaille  <akim@epita.fr>

	* doc/texinfo.txi: Document pdftexi2dvi.
	* doc/Makefile.am (common_texi2dvi_deps): New.
	Handle texi2pdf and pdftexi2dvi.
	* util/texi2dvi: Stop supporting shortened long options, as it's
	causing troubles.  Short options are here anyway.
	(local): Provide a default implementation if not supported by the
	shell.
	(findprog): Use return.
	(get_xref_files): Rename as...
	(xref_files_get): this.
	(xref_files_changed, xref_files_save): New.
	(run_tex_suite): New.
	(move_to_dest): Use `local'.
	($textra_cmd): Compute it in...
	(insert_commands): here.

	* tests/defs.in, tests/texi2dvi.test, tests/local.test: New.
	* configure.ac, tests/Makefile.am: Adjust.

2005-09-22  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi ($build_dir): New.
	(--build-dir): New.
	($usage): Adjust.
	($line_error): New.
	AUC-TeX wants regular TeX error messages, so don't require
	GNU style error message when under AUC-TeX.
	($filename_dir_abs): New.
	($t2ddir): When the build-dir is specified, make sure to avoid
	collisions between files with equal names, but in different
	directories.
	($command_line_filename): Decode possible TeX commands.
	* util/Makefile.am (pdftexi2dvi): New.

2005-09-20  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi: Be sure to return to the current directory even
	after obeying --clean.

2005-09-17  Sergey Poznyakoff  <gray@Mirddin.farlep.net>  (tiny change)

	* makeinfo/cmds.c (handle_include): don't expand @verbatiminclude,
	so that texi2dvi will pass it through to texinfo.tex.  Otherwise
	the dvi/pdf output is wrong.

2005-09-05  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex: Fix typo in a comment.

2005-09-05  Karl Berry  <karl@gnu.org>  (tiny change)

	* util/texi2dvi: look for btxmac.tex's "Undefined citation" message.
	Then texi2dvi works with (e)plain, too, by setting LATEX=tex.
	Report from Oleg Katsitadze.

2005-08-31  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi: Fix white space issues.
	Quote uses of directory and file names.
	Don't expect "export var=val" to work (e.g., SunOS 5.9): do it in
	two steps.
	($tex_help): Compute it where needed (run_tex), in particular so
	that $tex is defined when used.
	(func_dirname): New.
	($quiet, $verb): Now regular true/false variables.
	(verbose): Adjust.
	(run_tex): When we introduced white space by making absolute file
	names, circumvent TeX's phobia of space in file names by
	introducing a symbolic link.
	(filename_dir): Keep it relative when not $tidy.

2005-08-30  Karl Berry  <karl@gnu.org>

	* makeinfo/xref.c (cm_xref): if the following wrong char is ),
	suggest @pxref.  Suggested by Kevin Ryde, 30 Aug 2005 09:23:39 +1000.

2005-08-17  Predrag Rakic  <pec@uns.ns.ac.yu>

	* doc/txi-sr.tex: Serbian translation.

2005-08-15  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\normalturnoffactive): Now contains the body of
	\turnoffactive.  Don't explicitly restore the original value of active \
	---just let it be.
	(\turnoffactive): Can now be redefined as \normalturnoffactive
	  \otherbackslash.
	(\atdummies): All calls were followed by \turnoffactive; remove that
	  and add \otherbackslash to the definition, since it already calls
	  \normalturnoffactive indirectly.
	(\xrefX): One of the calls of \refx missed the second parameter;
	  fix that.
	(\commondummiesnofonts): No need to make ~ other for the definition;
	  it contains only \~ now.
	(\backChar, \plusChar, \underChar): Nuke.
	(\colonChar, \commaChar, \dotChar, \exclamChar, \questChar, \semiChar):
	  Move just before the definition of ...
	(\plainfrenchspacing): ... since it's the only place where it's used.
	(\activebackslash): Remove both definitions; the first one was shadowed
	  by the second one; and the second one can easily be eliminated; it
	  was used only on one place.
	(\backslashlparen): No need for this; \realbackslash( is enough.
	(\backslashrparen): Likewise.

2005-08-14  Per Bothner  <per@bothner.com>

	* makeinfo/index.c (cm_printindex): Don't defer index if docbook,
	since we don't need it and it prevents output to a pipe.

	* makeinfo/insertion.h (default_item_function): New declaration.
	* makeinfo/insertion.c (default_item_function): New variable.
	(begin_insertion): Use default_item_function for @bullet default.
	(pop_insertion): Check if item_function is default_item_function.
	* makeinfo/xml.c (xml_begin_table): Don't emit mark attribute
	if the item_function was implied.

2005-08-13  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\writetocentry, ...): restore calls to
	\turnoffactive after \atdummies removed in the July 1 change (v.194).
	\turnoffactive and \normalturnoffactive are not the same -- we need
	actual backslash characters in the pdf destinations and .aux and
	index files, not expansions.  (I'm not sure we ever need
	\normalturnoffactive, actually.)

2005-08-12  Karl Berry  <karl@gnu.org>

	* doc/info.texi: merge changes from Emacs, by Juri.

2005-08-06  Per Bothner  <per@bothner.com>

	* makeinfo/index.c (cm_printindex): Don't xml_insert_indexentry if
	docbook, since we'll let the doxbook processor generate the index.
	* makeinfo/xml.h (xml_sort_index, xml_insert_indexentry): Remove.
	* makeinfo/xml.c (xml_begin_index): Don't actually do any formatting.
	(xml_end_index):  Don't do anything except close <index>.
	(xml_insert_indexentry): Remove no-longer-used function.

	* makeinfo/xml.c (element docbook_element_list): The docbook <index>
	element should *not* be contained_in_para.

	* makeinfo/xml.c (xml_begin_document): Add id attribute to top-level
	book if emitting docbook.

2005-08-05  Stepan Kasal  <kasal@ucw.cz>

	* configure.ac: (auto)update.
	* info/Makefile.am, makeinfo/Makefile.am, utils/Makefile.am: s/INCLUDES/AM_CPPFLAGS/
	* lib/Makefile.am (INCLUDES): Remove.

2005-08-05  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\Efloat): Revert the previous change, ...
	(\commondummiesnofonts): ... instead, add the three commands here.

2005-08-04  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\Efloat): make \xref, \pxref, \ref no-ops.
	Report from: Aaron S. Hawley, 3 Aug 2005 19:46:40 -0400.
	(But what about all the other commands, don't we need to no-op
	everything?)

2005-07-31  Per Bothner  <per@bothner.com>

	* makeinfo/cmds.c (cm_code): For html output use lsquo and rsquot
	entities around @samp.

2005-07-10  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\texinfoversion): Update.

2005-07-05  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (verbatim): mention @verbatim inside
	@smallformat, now that it works.

2005-07-04  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\commondummies): Remove \unsepspaces, it's already
	  called by \normalturnoffactive.  Move \normalturnoffactive near the
	  end of the macro.

2005-07-01  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex: Remove all occurences of \normalturnoffactive or
	  \turnoffactive attached to \indexdummies or \atdummies, since they
	  are redundant; \indexdummies and \atdummies both call \commondummies,
	  which calls \normalturnoffactive, which calls \turnoffactive.
	(\indexdummies, \atdummies): Move the definitions of \definedummy* ...
	(\commondummies): ... here; they now take a control sequence as their
	  parameter; all callers fixed.
	(\indexnofonts): Fixed the definitions of \definedummy* macros.
	(\indexdummies): Define \escapechar = `\\ ...
	(\onepageout): ... thus remove it from here.
	(\macrolist): Now has the form of \definedummyword\macro1...  It also
	  gathers user-defined aliases, so there is ...
	(\addtomacrolist): ... a new macro ...
	(\macroxxx, \aliasyyy): ... caled from these two.
	(\unmacro, \unmacrodo): Adapted to the new form of \macrolist.
	(\turnoffmacros, \emptyusermacros): Removed, mere \macrolist is enough
	  now.

2005-07-01  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\nonarrowing): Update the description.
	(\cartouche): Set \nonarrowing to "t", not \comment.
	(\nonfillstart, \quotation): Reset \nonarrowing.

2005-06-30  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\setupverbatim): Use \nonarrowing to declare that
	we don't want to narrow the environment.

2005-06-24  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi: Move the computation of $makeinfo to...
	(run_makeinfo): here.

	* util/texi2dvi (tex, bibtex, texindex): Move their computation to...
	(run_tex, run_bibtex, run_texindex): here, to clarify.
	(move_to_dest): New.
	(run_tex): Use it to copy the result back.
	Don't bother exporting the log.

2005-06-10  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\., \!, \?): include \space after setting
	\spacefactor, else all space disappears.
	Report from Jim Meyering, 09 Jun 2005 23:03:22 +0200.

2005-06-10  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi (run_tex): Updating the output is also needed when
	-o is used, not just when $tidy.

2005-06-09  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi: Support --tidy, a new build mode which lets all the
	compilations happen in a local directory.  This is
	similar to using --clean, but the files are preserved.  The
	benefits are:
	- the output is updated when each tex compilation is completed:
	  - to allow interactive viewing
	  - to preserve the previous output is the compilation fails
	- if the compilation fails, the previous state is preserved.
	- a fixed set of files to clean in this end (this directory)
	- complete independence between DVI and PDF compilations.

	(comment_iftex_sed, uncomment_iftex_sed): No
	longer external files, but simple strings named...
	(comment_iftex, uncomment_iftex): like this.
	(utildir): Remove.

	Make the structure clearer by introducing auxiliary functions.
	* util/texi2dvi (run_bibtex, run_index, insert_commands)
	(run_recode, run_thumpdf): New.
	Extracted from the main loop.

	Simplify some variable handling.
	* util/texi2dvi (clean, debug): Now true/false Booleans.
	Adjust dependencies.

	Introduce a cycle counter.
	* util/texi2dvi (cycle): New, to inform the user about the number
	of compilation cycles.  That's also a nice tool to help debugging:
	look for "cycle" in the trace to go from cycle to cycle.

	Introduce the work dir, and use it.
	* util/texi2dvi (ensure_dir, workdir): New.
	(tmpdir_src, tmpdir_xtr, tmpdir_rcd, tmpdir_bak): Replace with...
	(work_src, work_xtr, work_rcd, work_bak): these.
	Adjust dependencies.
	(filename_src, filename_xtr, filename_rcd, filename_bak): these.
	(run_tex): Update the output.
	Remove this task from the core of the loop.
	(get_xref_files): Simplify by considering all the files around,
	instead of try to select only those that correspond to a given
	pattern.
	Also, there's no reason to build the string result and then echo
	it, just directly echo all the components.
	(get_index_files): New.
	(build_mode): New.
	Adjust all dependencies (tex_help, command line parsing, clean,
	tidy).

2005-06-05  Karl Berry  <karl@gnu.org>  (tiny change)

	* doc/texinfo.txi: typos from Christian von Schultz,
	5 Jun 2005 16:45:48 +0200.

2005-06-03  Karl Berry  <karl@gnu.org>

	* info/man.c (get_manpage_contents): pass -a to man if no explicit
	section is found.  Suggestion from lacall@micron.com on
	help-texinfo, 1 Jun 2005 16:44:20 -0600.

2005-05-28  gettextize  <bug-gnu-gettext@gnu.org>

	* configure.ac (AM_GNU_GETTEXT_VERSION): Bump to 0.14.5.

2005-05-25  Stepan Kasal  <kasal@ucw.cz>

	* util/texi2dvi (findprog): Rewrite the test for an executable
	again, per suggestion of Eric Blake.  Restore IFS earlier.

2005-05-24  Stepan Kasal  <kasal@ucw.cz>

	* util/texi2dvi (findprog): Rewrite the test for an executable and
	the explanation above it.

2005-05-20  Karl Berry  <karl@gnu.org>

	* doc/texinfo.texi (\allowcodebreaks, \kbdinputstyle): use \txiarg
	instead of \arg; \arg already has a meaning in plain TeX (the
	complex math function "arg").
	Report from: Brian Gough, 19 May 2005 19:48:57 +0100.

2005-05-19  Stepan Kasal  <kasal@ucw.cz>

	* configure.ac (AM_GNU_GETTEXT): The comment should not recommend
	calling gettextize with --intl.

2005-05-13  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (First Node): ok for (dir) to be the prev node,
	and fix missing example.
	From from Christian von Schultz, 13 May 2005 10:37:26 +0200.

2005-05-10  Matthias Kilian  <kili@outback.escape.de>

	* makeinfo/cmds.c, makeinfo/defun.c, makeinfo/insertion.c,
	makeinfo/lang.c, makeinfo/macro.c, makeinfo/multi.c,
	makeinfo/node.c, makeinfo/xml.c: More bounds checking.

2005-05-09  Andreas Vögele  <voegelas@gmx.net>  (tiny change)

	* makeinfo/multi.c (output_multitable_row): don't look past
		beginning of cell memory.  bug-texinfo mail,
		1 May 2005 10:00:33 +0200.

2005-05-09  Christian von Schultz  <admcvs@Skolwebben.tibro.se>  (tiny change)

	* doc/texinfo.txi (Emacs chapter): wrong key bindings for
		narrow-to-page, up-list, and texinfo-insert-braces.
		bug-texinfo mail, 9 May 2005 10:01:06 +0200.

2005-04-29  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: remove ls(1) and rcsintro(1) references at rms'
	request.  No (n) in GNU.

2005-04-24  Karl Berry  <karl@gnu.org>

	* configure.ac (AM_GNU_GETTEXT): switch to [external], since this
	seems the most popular method nowadays.
	(AC_CONFIG_FILES): remove intl/Makefile, also m4/Makefile.
	* Makefile.am (SUBDIRS): remove intl and m4.
	* intl/*: remove.
	* m4/Makefile.am: no longer needed.
	* lib/system.h (locale.h): unconditionally include, else syntax
	error from system locale.h.

	* gettext 0.14.4.

2005-04-22  Per Bothner  <per@bothner.com>

	* makeinfo/xml.c (docbook_element_list): Map EMAILADDARESS to "email".
	* makeinfo/xref.c (cm_email): For docbook, if there is no name,
	use <email> tag, rather than <ulink>.  If there is a name, we must use
	<ulink>, but we need to explicitly escape expansion of addr.

2005-04-22  Per Bothner  <per@bothner.com>

	* makeinfo/xml.c (docbook_element_list, xml_begin_defterm): Improved
	docbook translation of definition commands: Use <synopsis> for the
	summary line, and don't include it (only the body) in a <blockquote>.
	Wrap the whole definition in an <informalfigure>.

2005-04-21  Karl Berry  <karl@gnu.org>

	* util/texi2dvi: also accept .drv and .dtx as LaTeX.
	Suggestion from Wybo Dekker.

2005-04-18  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\smallerbook): new (test) definition for 6x9,
		which is what lulu.com (print-on-demand) accepts.

2005-04-05  Matthias Kilian  <kili@outback.escape.de>  (tiny changes)

	* makeinfo/html.c (rollback_empty_tag): be sure to avoid negative
	array indexing.
	* makeinfo/multi.c (env): make static.
	* makeinfo/tests/cond, html-extrali, include-value: use grep -c,
	instead of piping to wc -l, since that avoids the output files
	being treated as binary on BSD.

2005-04-04  Stepan Kasal  <kasal@ucw.cz>

	* makeinfo/makeinfo.c (usage): Add indentation to the examples and
	  fix the indentation of the --footnote-style option, so that
	  help2man can recognize these; also some cosmetic indentation fixes.
	* doc/Makefile.am (makeinfo.1): Add a sed command to postprocess
	  the generated manpage.
	* doc/makefile.1: Refresh.
	Thanks to Jim Razmus for the bug report.

2005-04-04  Torsten Bronger  <bronger@physik.rwth-aachen.de>  (tiny changes)

	* doc/texinfo.txi: Fix several typos.

2005-04-04  Stepan Kasal  <kasal@ucw.cz>

	* doc/Makefile.am: Fix my previous patch, so that the rules work; and
	  don't modify $PATH, it's simpler to give help2man the full pathname.

2005-03-31  Per Bothner  <per@bothner.com>

	* makeinfo/makeinfo.c (maybe_escaped_expansion): Don't start a new
	para during string expansion.

	* makeinfo/xml.c (xml_element_dummy): Dummy variable so that enum
	names get emitted in debug symbols, which helps debugging.

2005-03-31  ezra peisach <epeisach@med-xtal.bu.edu>  (tiny change)

	(bug-texinfo mail 30 Mar 2005 16:40:24 -0500.)
	* defun.h (get_base_type): now takes an enum insertion_type.
	  defun.c (get_base_type): use enum instead of int internally.
	  (defun_internal): takes enum insertion_type instead of int and use
			  enum internally.
	 (cm_defun): ditto.
	* insertion.c (do_enumeration, end_insertion, cm_end): ditto.

2005-03-27  Karl Berry  <karl@gnu.org>

	* util/texinfo.dtd: remove -- and ^L from inside comments, since
	apparently XML cannot handle them.
	Report from Torsten, bronger@physik.rwth-aachen.de.

	* configure.ac (AC_INIT): quote address.
	(AC_PREREQ): move to after AC_INIT, per current recommendation.

2005-03-25  Stepan Kasal  <kasal@ucw.cz>

	* doc/Makefile.am: help2man should use the native binaries in the
	  build tree, not the one found on $PATH; thanks to Thomas Schwinge
	  for reporting the problem.
	  The rules also make sure the binaries are up-to-date, and generate
	  the man pages in the source tree, not build tree.
	  There is no need to depend on MAINTAINER_MODE, because help2man is
	  handled by the `missing' script.
	(INSTALL_INFO): Comment out; it's not used.
	* Makefile.am (distcleancheck_listfiles): Removed this variable, it
	  doesn't seem to be needed.
	* configure.ac (AC_INIT): Add our bug report address.

2005-03-21  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (allowcodebreaks): new node.
	* makeinfo/cmds.c: define @allowcodebreaks (as a no-op).
	* doc/texinfo.tex (\allowcodebreaks): new macro.
	(\code): use it.
	(\realunder, \keywordtrue, \keywordfalse, \ifallowcodebreaks):
	helpers.

2005-03-15  gettextize  <bug-gnu-gettext@gnu.org>

	* configure.ac (AM_GNU_GETTEXT_VERSION): Bump to 0.14.3.

2005-03-12  gettextize  <bug-gnu-gettext@gnu.org>

	* configure.ac (AM_GNU_GETTEXT_VERSION): Bump to 0.14.2.

2005-03-12  Karl Berry  <karl@gnu.org>

	* process_css_file: fclose the file when we're through with it,
	to avoid fd leaks.
	From: Matthias Kilian <kili@outback.escape.de>,
	11 Mar 2005 19:42:27 +0100.

2005-03-08  Keith Marshall  <keith.d.marshall@ntlworld.com>

	* makeinfo/tests/no-headers: ($nulldev): new variable.
	  set it to `/dev/null' normally, but to `nul' on Win32,
	  so Cygwin doesn't fail this test, in `make check'.

2005-03-08  Karl Berry  <karl@gnu.org>

	* info/filesys.h (DEFAULT_INFOPATH): make . first in the path,
	instead of last.  That way info -f foo/bar finds foo/bar.info.
	From: Bruno Haible <bruno@clisp.org>, 8 Mar 2005 13:45:28 +0100.

2005-03-07  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi: Fix -o when -c is not passed.
	Don't make thumbpdf failures fatal.

2005-03-05  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (General Index): Rename from Concept Index.

2005-02-28  Stepan Kasal  <kasal@ucw.cz>

	* util/texi2dvi: When running bibtex, improve quoting and again,
	  we can save a process by not running ls.  (Thanks, Akim.)

2005-02-24  Stepan Kasal  <kasal@ucw.cz>

	* util/texi2dvi (get_xref_files): No need to use ls, save a process.

2005-02-22  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi (absolute_filenames): Skip nonexistent directories.
	Factor its invocations for TeX envvars.
	(fd6): Document and use more extensively.
	(get_xref_files): Accept bu[0-9]#.aux files from the bibunits
	package.
	Also adjust the bibtex invocation.

2005-02-19  Karl Berry  <karl@gnu.org>

	The main user-visible change of all this is to make
	section names with \ characters work in pdf outlines.  As a side
	effect, .toc files now use @ instead of \ for the escape char.
	* doc/texinfo.tex (\backChar, \plusChar): new \chardef's.
	(\activebackslash): debugging macro.
	(\activebackslashdouble): new macro.
	(\HyPsdSubst): replace tokens.
	(\HyReturnAfterFi): helper.
	(\backslashparens): new macro, change () to \( and \) resp.
	(\backslashlparen, \backslashrparen): new macros.
	(\pdfmkdest): double backslashes, backslashparens, and @ for escape.
	(\dopdfoutline): similarly.
	(\pdfmakeoutlines): \readdatafile on the .toc the first time,
	 instead of straight \input.
	(\makelinks, \picknum, \pn, \ppn, \ppnn, \pdfmklink): rm.
	(\writetocentry): now we use @ for escape in the .toc instead of \.
	(\activecatcodes, \readtocfile): new macros.
	(\startcontents): don't swap \ and @ catcodes from Texinfo.
	(\setref, \dofloat): no need to call \otherbackslash.
	(\xrefX): no need to call \otherbackslash, also double backslashes
	and backslash parens for pdf output.
	(\readauxfile): generalize and rename to \readdatafile.
	(\doublebackslash): new macro.

	* util/texi2dvi: do not have -o (used by Autoconf/make) imply
	--clean.  That results in TeX always running at least twice, since
	the aux files are stuck (and removed) in the temp directory for clean.

2005-02-18  Karl Berry  <karl@gnu.org>

	* util/texi2dvi: call absolute_filenames on BIBINPUTS and
	BSTINPUTS, too.  te, 17 Feb 2005 20:10:23 +0100.

2005-02-13  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (frenchspacing): new code.
	* makeinfo/cmds.c (command_table): add frenchspacing.
	(cm_frenchspacing): new fn.
	* util/texinfo.dtd (frenchspacing): new element.
	(option.cmds): new entity; use in Inline.phrase, I guess.
	* makeinfo/xml.h (xml_element): add FRENCHSPACING.
	* makeinfo/xml.c (docbook_element_list, texinfoml_element_list): same.
	* doc/texinfo.tex (\frenchspacing): new macro for new command.
	(\onword, \offword): args to that command.
	(\plainfrenchspacing, \plainnonfrenchspacing): the commands which
		really do the work; change calls.
	(\endofsentencespacefactor): set in \plain...frenchspacing to 3000
		or 1000 as appropriate.
	(\., \!, \?): use here, instead of hardwiring 3000.

2005-02-10  Karl Berry  <karl@gnu.org>

	* util/texi2dvi (findprog): also check for foo.exe, for Cygwin.

2005-02-10  Karl Berry  <karl@gnu.org>

	* info/dir.c (dir_file_list_entry_type): use dev_t and ino_t
	instead of unsigned long.  (Breaks on cygwin.)  David Hunter
	bug-texinfo mail, 08 Feb 2005 23:05:37 -0500.  Paul Eggert says
	these types should were present in 7th Edition and consequently
	should be portable to any Unixish system.

2005-02-09  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi (report): New.  Use it.
	(fatal): Take the exit status as argument.
	Use report.
	(run_tex): New function to factor the two tex invocations.
	Move the handling of tex arguments in here to improve locallity.
	Enforce the batch mode by branching /dev/null to its stdin.

2005-02-05  Per Bothner  <per@bothner.com>

	* makeinfo/xml.c (docbook_element_list): Add two missing entries.

	* makeinfo/xml.c (xml_begin_document): Check for mismatch between
	enum xml_element and texinfoml_element_list/docbook_element_list.

	bug-texinfo-mail, 05 Feb 2005 00:13:44 -0800.

2005-02-05  Per Bothner  <per@bothner.com>

	* makeinfo/xref.c (cm_uref): Ulink urls in Docbook need to be
		html-escaped.  bug-texinfo mail, 05 Feb 2005 00:57:55 -0800.

2005-01-30  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\chapmacro) <Ynothingkeyword>: failed to
	\gdef\thischapter inside the group, resulting in "Chapter 1:"
	appearing in the headline of an @unnumbered.
	help-texinfo bug report from: <tdovera@libero.it>,
	27 Jan 2005 11:45:31 +0100.

2005-01-28  Karl Berry  <karl@gnu.org>

	* util/texi2dvi <verbose>: rename variable to verb, since
		functions and variables apparently cannot have the same
		name on Digital UNIX 4.0E, AIX 3.2.5 (325102), ULTRIX V4.5.
		(and related releases, presumably).
	<pgm>: simplify sed expression to avoid \| operator, which does
	        not work on above platforms (and also be more correct).
	<RUNNING_KSH>: switch to ksh under Ultrix.
	All of this stuff reported by Bernhard Simon <simon@zid.tuwien.ac.at>
	and te.

2005-01-25  Karl Berry  <karl@gnu.org>

	* doc/Makefile (texmf_dvips, texmf_pdftex_misc): new paths to
	match teTeX.  tex-k mail from peb, 25 Jan 2005 15:45:37 +0100.

2005-01-23  Karl Berry  <karl@gnu.org>

	* util/texi2dvi (findprog): split $PATH at $path_sep, not spaces.
	(path_sep): don't let ComSpec fool us under cygwin.
	Report from: Eric Blake <ebb9@byu.net>, 19 Jan 2005 05:36:26 -0700.

	* doc/texinfo.txi (euro): mention the font we use for the Euro
	symbol and where to get it.  help-texinfo report from:
	christoph.sobotka@utanet.at, 19 Jan 2005 21:29:20 +0100.

	* doc/info-stnd.texi (Top): per rms, don't use @insertcopying here.
	* doc/texinfo.txi (Top): Likewise.  Also, remove recommendations
		to use it.

2005-01-20  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi: Have a consistent function declaration style.
	(verbose, absolute_filenames): New functions.
	Use them.
	Report TEXINPUTS and INDEXSTYLE when verbose.

2005-01-20  Karl Berry  <karl@gnu.org>

	* doc/texinfo.5, doc/info.5: define and use .EX/.EE instead of
		.RS/RE, to placate esr.

	* util/texi2dvi (findprog): make sure test -x isn't returning true
	for a directory.  From Stepan and others, 20 Jan 2005 12:35:08 +0100.

2005-01-16  Torsten Bronger  <bronger@physik.rwth-aachen.de>  (tiny change)

	* makeinfo/insertion.c (handle_verbatim_environment): do HTML
		conversions, to make ]]> work.
	* makeinfo/xml.c (xml_add_char): also escape >.

2005-01-16  Torsten Bronger  <bronger@physik.rwth-aachen.de>  (tiny change)

	* makeinfo/cmds.c (cm_tie): use &nbsp; for HTML, &#xa0; for
		XML/Docbook.

2005-01-15  Karl Berry  <karl@gnu.org>

	* makeinfo/xref.c (cm_xref): output *note for @ref, instead of
		*Note.  @ref is always used in the middle of a sentence.
	* doc/texinfo.txi (pxref): rewrite, since now it can be used at
	the ends of sentences.
	(ref): likewise rewrite.

2005-01-11  Karl Berry  <karl@gnu.org>

	* util/gendocs.sh: eval $cmd instead of just $cmd, so allow for
		embedded quotes.
	From: Sergey Poznyakoff <gray@Mirddin.farlep.net>,
	11 Jan 2005 16:16:32 +0200.

2004-12-31  Karl Berry  <karl@gnu.org>

	* Version 4.8.

2004-12-21  Karl Berry  <karl@gnu.org>

	* pretest version 4.7.94.

	* makeinfo/xref.c: doc fix.

2004-12-20  Karl Berry  <karl@gnu.org>

	* makeinfo/html.c (cm_node) <html>: need old-style names in the normal
	(not no_headers) html case, too, of course.
	(add_html_names): canon_white the new name, too.

2004-12-19  Karl Berry  <karl@gnu.org>

	* pretest version 4.7.93.

	* automake 1.9.4.

	* makeinfo/xml.c (try_docbook_image): new fn.
	(xml_insert_docbook_image): call it, trying additional formats
	pdf, svg, etc.
	* makeinfo/makeinfo.c (cm_image): check for gif too.
	http://www.gnu.org/philosophy/gif.html says:
	"we can and will include support for displaying GIF files in GNU
	 software."  Leaving it undocumented, though.
	Based on patch from Jens Elkner, 18 Dec 2004 01:56:28 +0100.

2004-12-19  Torsten Bronger  <bronger@physik.rwth-aachen.de>

	* util/texinfo.dtd: define most entities, add <neos>.

2004-12-17  Juan M. Guerrero  <st001906@hrz1.hrz.tu-darmstadt.de>

	* djgpp/config.bat: remove files like coXXXXXX.tmp created
	in the top_srcdir by the gl_FUNC_MKSTEMP test.

2004-12-15  Karl Berry  <karl@gnu.org>

	* pretest version 4.7.92.

	* util/texinfo.dtd: merge with makeinfo/texinfo.dtd.
	* makeinfo/texinfo.dtd, makeinfo/texinfo.xsl: remove.

2004-12-15  Stepan Kasal  <kasal@ucw.cz>

	* Makefile.am (EXTRA_DIST): Removed po/Makevars.template, sorry.

2004-12-15  Juan M. Guerrero  <st001906@hrz1.hrz.tu-darmstadt.de>

	* djgpp/config.sed: adjust for new autoconf.
	* makeinfo/node.c (enumerate_filename): make dos_file_names const
	instead of static, since it may involve a fn call to pathconf.

2004-12-15  Karl Berry  <karl@gnu.org>

	* Makefile.am (EXTRA_DIST): include ChangeLog.46, README.dev,
	and po/Makevars.template.  From Stepan.

2004-12-14  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (inforef): try to explain possible uses more
	thoroughly.
	From: Luc Teirlinck, 13 Dec 2004 21:45:58 -0600.

	* doc/texinfo.txi (pxref): more explanation.
	* doc/info-stnd.texi (Basic Windows): put pxref in parens.
	help-texinfo mail from adl, 13 Dec 2004 17:07:50 +0100.

2004-12-13  Andreas Schwab  <schwab@suse.de>

	* info/echo-area.c (DECLARE_INFO_COMMAND): Add intermediate cast
	to avoid warning.
	* info/infokey.c (compile): Likewise.
	* info/session.c (forward_move_node_structure): Likewise.
	(DECLARE_INFO_COMMAND): Likewise.

	* makeinfo/makeinfo.c (init_paragraph): Don't use free_and_clear
	to avoid strict aliasing issue.

	* makeinfo/cmds.c (cm_center): Avoid strict aliasing issue.

2004-12-13  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (HTML Cross-reference Command Expansion): add
	@euro{} -> U+20AC.  texinfo-pretest mail from Patrice,
	12 Dec 2004 23:49:50 +0100.

2004-12-12  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (makeinfo options): don't be so suggestive about
	skipping xref validation.
	emacs-devel mail from: Luc Teirlinck, 12 Dec 2004 13:02:11 -0600.

2004-12-08  Karl Berry  <karl@gnu.org>

	* pretest version 4.7.91.

	* info/echo-area.c, info/infokey.c, info/session.c: omit useless
	casts to intptr_t, since we're just casting to (void *) next.
	intptr_t is not defined with gcc 3.04 on Tru64 Unix V5.1
	(This whole vararg stuff needs to be redone correctly.)
	Report from: Svend Tollak Munkejord (via te)
	8 Dec 2004 17:15:17 +0100.

	* doc/texinfo.txi (ref): rewrite last two redundant paragraphs.

2004-12-07  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Macro Details): document @c kludge in macro
	definitions to work around some newline problems.  (From Werner.)

2004-12-05  Karl Berry  <karl@gnu.org>

	* makeinfo/html.c (add_escaped_anchor_name): prefix g_t if the
	nodename begins with a nonletter.  Ugh.
	* doc/texinfo.txi (HTML Xref Node Name Expansion): document this.
	http://ff0.org/pipermail/texinfo-pretest/2004-December/000210.html

	* doc/texinfo.txi (HTML Xref 8-bit Character Expansion): define
	behavior for Unicode code points above 0xfff.

	* makeinfo/makeinfo.c (reader_loop): <wbr> didn't make it into
	HTML 4, remove it.  Sigh.
	texinfo-pretest mail from wl, 05 Dec 2004 23:39:05 +0100.

2004-12-02  Karl Berry  <karl@gnu.org>

	* configure.ac (install-warnings): simplify default case.  From te.

2004-12-01  Karl Berry  <karl@gnu.org>

	* pretest version 4.7.90.

	* util/texi2dvi (recode): new option, off by default.
	Unconditionally calling recode seems problematic, when there
	hasn't been a release for years and its Texinfo support is less than
	perfect.

2004-11-30  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Quotations and Examples): @quotation does not
	reduce interparagraph spacing.

	* makeinfo/node.c (cm_node) <html>: do not bother calling
	add_html_nodes in the split case, the filename is wrong.

2004-11-29  Karl Berry  <karl@gnu.org>

	Support for writing <a name="..."> using the old-style node name
		to HTML name conversion, to keep the gcc folks happy.
	* makeinfo/node.c (add_html_names): new routine, factoring out
	common code (plus new code) from cm_node.
	(cm_node) <html>: call it.
	* makeinfo/makeinfo.h (OLD_HTML_SAFE, OLD_URL_SAFE_CHAR):
	(re)define these.
	* makeinfo/html.c (add_escaped_anchor_name): take new argument to
	optionally output the old-style conversion.
	(add_anchor_name): change call.
	* index.c: change calls.
	* makeinfo/html.h (add_escaped_anchor_name): change decl.

2004-11-26  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c (reader_loop): allow <wbr> after &mdash;

2004-11-25  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Fonts): document new command @sansserif.
	* doc/texinfo.tex (\sansserif): new command.
	* makeinfo/cmds.h (cm_sansserif): new cmd.
	* makeinfo/cmds.c (cm_sansserif): new cmd.
	(command_table): add it.
	* makeinfo/texinfo.dtd (Inline.fonts): add it; also slanted.
	* makeinfo/xml.h (SANSSERIF, SLANTED): define these new elements.
	* makeinfo/xml.c (texinfoml_element_list): add them.
	From: Frank Küster, 21 Oct 2004 23:27:33 +0200, Debian bug#277754.

	* doc/texinfo.txi (Quotations and Examples, end titlepage): state
	that there must be only one space between the @end and its
	argument.  Report from: christoph.sobotka, 26 Oct 2004 22:04:03 +0200.

2004-11-22  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (euro): new node, documenting new command,
		@euro{}, for the Euro currency symbol.
	* doc/texinfo.tex (\euro): new command, along with \eurofont to
	support it.  The following extra font support is also related to
	supporting @euro{}:
	(\bfstylename): define this.
	(\textnominalsize .. \ssecnominalsize): new macros.
	(\textfonts .. \ssecfonts): define \curfontsize.
	* makeinfo/cmds.c (command_table): add euro.
	* makeinfo/lang.c (cm_special_char): handle euro.
	(iso8859_15_map): new global.

2004-11-18  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\ptexnewwrite): Save \newwrite.
	(\newwrite): Call it.

2004-11-17  Karl Berry  <karl@gnu.org>

	* configure.ac (install-warnings): new --enable option, requested
		by te.

2004-11-11  Karl Berry  <karl@gnu.org>

	* texinfo.dtd (metainformation): add documentdescription.
	(documentdescription): define.
	* xml.h (DOCUMENTDESCRIPTION): new value for xml_element.
	* xml.c (texinfoml_element_list): define documentdescription.
	(docbook_element_list): likewise, but don't know how to handle it.
	* cmds.c (cm_documentdescription): insert opening xml tag.
	* insertion.c (end_insertion): insert closing xml tag.

	* makeinfo/makeinfo.c (insert_string): declare const char * arg.
	* makeinfo/makeinfo.h: likewise.
	Report from: Vincent Lefevre, 20 Oct 2004 15:40:39 +0200,
	noting a spurious </para> after </dircategory>.

2004-11-08  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\pdfmakeoutlines): in the first run through the
	toc, define \thischapnum...\thissubsecnum as 0, rather than \empty.
	This is so \expnumber doesn't end up trying to expand
	\csname sec\empty\endcsname, i.e., \sec, which is the secant function.
	Report from: Oliver Beck, help-texinfo, 8 Nov 2004 08:05:55 +0100.

2004-11-07  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c (main) [LC_MESSAGES]: #ifdef the setlocale
	using LC_MESSAGES.  From te, 6 Nov 2004 23:36:10 +0100.

2004-11-06  Karl Berry  <karl@gnu.org>

	* lib/Makefile.am (libtxi_a_SOURCES): add strdup.h.
	Report from: Thomas Esser <te@dbs.uni-hannover.de>,
	6 Nov 2004 18:11:51 +0100.

2004-11-01  Karl Berry  <karl@gnu.org>

	* makeinfo/xref.c (cm_xref): don't include the external file name
	in the HTML output, since it's pretty traditional not to
	distinguish internal and external links in HTML, and it disturbs
	the flow of reading.
	From: Han-Wen Nienhuys <hanwen@xs4all.nl>, 31 Oct 2004 00:13:36 +0200.
	(For lilypond.)

2004-10-31  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\setmultitablespacing): just let \multistrut be
	the same as \strut.  Its previous computation was wrong.
	See bug-texinfo report from Werner Lemberg, 31 Oct 2004 12:52:20 +0100.

2004-10-22  Stepan Kasal  <kasal@ucw.cz>

	* info/Makefile.am (generated_sources): Add dependencies defining
	  a total order on the files, to prevent race conditions with
	  parallel make.
	  Move the code about generated sources to the end of the file.

2004-10-20  Stepan Kasal  <kasal@ucw.cz>

	* info/Makefile.am (doc.c, key.c, funs.h): Don't distribute them.
	  of these three files.
	(ginfo_SOURCES, nodist_ginfo_SOURCES): Move files.
	(infokey_SOURCES, nodist_infokey_SOURCES): Likewise.
	(DISTCLEANFILES): Include generated_sources.

2004-10-20  Stepan Kasal  <kasal@ucw.cz>

	BUILT_SOURCES is a special variable for a hack to supplement
	  the automatic dependency tracking; we need it for funs.h only.
	  See the explanation in the automake manual.

	* info/Makefile.am (BUILT_SOURCES): All occurences replaced by ...
	(generated_sources): ... this new variable.
	(BUILT_SOURCES): set to ``funs.h''.

2004-10-20  Stepan Kasal  <kasal@ucw.cz>

	* info/Makefile.am (ginfo_SOURCES): replace $(BUILT_SOURCES)
	  with ``doc.c funs.h''; this reflects the true situation.
	(infokey_SOURCES): Add funs.h.

2004-10-20  Stepan Kasal  <kasal@ucw.cz>

	* info/Makefile.am (EXTRA_DIST): No need to mention the generated
	  sources here, they are in ginfo_SOURCES or infokey_SOURCES.

2004-10-19  Stepan Kasal  <kasal@ucw.cz>

	* configure.ac: When cross compiling, we have to remove
	  ./config.status, not "$native_tools"/config.status.
	  Replace ``echo'' with AC_MSG_NOTICE.  Quote the variable
	  values passed to ``env.''

2004-10-17  Karl Berry  <karl@gnu.org>

	* makeinfo/node.c (cm_node): don't output <br> after the
		navigation line, it's apparently just extra space.

	* configure.ac: Clean environment for native configure.
	From: Mark Fortescue <mark@mtfhpc.demon.co.uk>,
	17 Oct 2004 19:09:53 +0100.

2004-10-11  Stepan Kasal  <kasal@ucw.cz>

	* configure.ac: Add a short explanation about cross compile.

2004-10-08  Karl Berry  <karl@gnu.org>

	* info/Makefile.am (generated_sources): remove.  Found by Stepan.

2004-10-08  Stepan Kasal  <kasal@ucw.cz>

	Support cross compiling.  Based on research by Mark Fortescue.
	Maciej W. Rozycki pointed out this issue previously.

	* configure.ac: If cross compiling, run second configure script
	  in a subdirectory ${native_tools}.  New automake conditional
	  TOOLS_ONLY is set inside that subdirectory.
	* Makefile.am (SUBDIRS): Add $(native_tools); restrict the
	  SUBDIRS to minimum, if we are inside the $(native_toos) dir.
	(distclean-local): Remove directory $(native_tools).
	* doc/Makefile.am: If necessary, use makeinfo and install-info
	  from $(native_tools).
	* info/Makefile.am: Similarily with the ``makedoc'' program.

2004-10-07  Stepan Kasal  <kasal@ucw.cz>

	@table command doesn't work inside environment @display.
	There is no point in trying to fix it: just give up with a cry.

	* doc/texinfo.tex (\table, \ftable, \vtable): Instead of calling
	  \tablex directly, call ...
	(\tablecheck): ... this new macro which checks for active newline;
	  if it's found, it reports an error and uses \doignore to recover.
	* doc/texinfo.txi (display): mention this.

2004-10-06  Karl Berry  <karl@gnu.org>

	* doc/*.texi: more consistent use of dashes.
	From Stepan and Benno Schulenberg <benno@nietvergeten.nl>.

2004-10-04  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c (cm_value): increment and restore
		input_text_offset before execute_string on the value,
		so cm_xref doesn't complain about missing punctuation.
	From: Sergey Poznyakoff <gray@Mirddin.farlep.net>,
	04 Oct 2004 15:04:33 +0300.

2004-10-01  Karl Berry  <karl@gnu.org>

	* lib/Makefile.am (libtxi_a_SOURCES): add getopt_.h.

	* configure.ac: bump version to 4.7.90, although we're not really
		pretesting yet.  (I need a distribution to check an
		automake issue.)

2004-09-14  Karl Berry  <karl@gnu.org>

	* util/srclist.txt (getopt.h): renamed to getopt_.h.
	* lib/getopt_.h: new file.
	* lib/getopt.h: just include getopt.h.

2004-09-09  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Image Syntax): mention @noindent, @center.

2004-09-06  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\Efloat): Take care to run \scantokens on
	  \thisshortcaption before writing the lof line to auxfile.
	  Otherwise, when a newline appears in the argument to
	  @shortcaption, a literal ^^M is written to the aux file.
	  Report from Patrice, 1 Aug 2004 15:54:44 +0200.

2004-09-01  Karl Berry  <karl@gnu.org>

	* util/gendocs.sh: show commands, allow / in description.

2004-08-30  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c (maybe_escaped_expansion): new routine, like
		expansion but does HTML escapes.
	* makeinfo/makeinfo.h (maybe_escaped_expansion): declare.
	* makeinfo/index.c (cm_printindex): call it.
	This is @cindex Kahrs, J@"urgen does not get
	gawk.texi:23425: Unknown command `&quot;urgen'.
	(in gawk 3.1.4).
	Report from: Stepan Kasal <kasal@ucw.cz>, 24 Aug 2004 12:36:34 +0200.

2004-08-29  Karl Berry  <karl@gnu.org>

	* makeinfo/node.c (split_file): do not search for output file
		along the path when calling find_and_load (can cause seg
		fault when cross-compiling).
	From: Martin Husemann <martin@duskware.de>, 29 Aug 2004 08:40:33 +0200.
	http://www.netbsd.org/cgi-bin/query-pr-single.pl?number=26791

2004-08-27  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Macro details): more warnings about macro usage.
	Report from: Stepan Kasal <kasal@ucw.cz>, 24 Aug 2004 09:29:35 +0200.

	* doc/texinfo.tex (\Efloat): \vskip\parskip after printing the
	caption; previous \printedsomething code to do this had become
	obsolete.  Reported by Stepan.

	* doc/texinfo.txi (caption shortcaption): show an example for
	@shortcaption, and remark that weird commands like @c and @verb
	are not allowed.  Suggested by Stepan.

2004-08-27  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\initial): when breaking the column before the
	  initial, allow for some space at the bottom of the column, so
	  the baselineskip is preserved (more or less).
	  Don't give negative penalty, it encouradges creating of underfull
	  columns with stretched baselineskip.
	  At the end, the \nobreak should be before \vskip, not after it.

2004-08-26  Stepan Kasal  <kasal@ucw.cz>

	* util/texi2dvi: fix the sed script searching for @documentencoding;
	  Double-quote some instances of "$filename_???"

2004-08-26  Akim Demaille  <akim@epita.fr>

	Let DVI and PDF files honor the document encoding in TeX.

	* util/texi2dvi ($language): Be sure to set its value.
	(get_xref_files): Turn this external shell script into a function.
	(filename_rcd, $tmpdir_rcd): New.
	If the file is in Texinfo, and has @documentencoding, and recode
	is available, then run it.

2004-08-25   Akim Demaille  <akim@epita.fr>

	* util/Makefile.am (texinfo.cat): Fix for srcdir != builddir.

2004-08-25  Karl Berry  <karl@gnu.org>

	* util/texi2dvi: @ is also ok for the first character of xref_files.

2004-08-20  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\tablez): accidentally removed assignments
		enabling @item and @itemx within @table.

2004-08-19  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\multitable): \def\item to \crcr, instead of
		\let, to avoid errors with a nested @itemize inside
		@multitable.
	Report from: Pierre-Luc Veilleux <plv@centretiv.com>,
	18 Aug 2004 13:26:00 -0400.

2004-08-19  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\scanmacro): Make backslash active, not other,
	  as this is the default when processing texinfo files.
	  Otherwise, a \ inside @copying will eventually print as ``.

2004-08-18  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\scantxt): " is another active char to be
	  sanitized.

2004-08-18  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (exampleindent): document that the default is
		different in TeX.
	From: Simon Josefsson <jas@extundo.com>, 18 Aug 2004 13:44:32 +0200.

2004-08-14  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\cslet): equivalent-or-better, and shorter,
	version from dak, 12 Aug 2004 19:17:27 +0200.

	* doc/texinfo.txi (makeinfo options): use --no-number-sections
		with non-hierarchical manuals.

2004-08-13  Karl Berry  <karl@gnu.org>

	* util/texi2dvi: check for -file-line-error, since -style is no
		longer part of the name.

2004-08-07  Karl Berry  <karl@gnu.org>

	* info/echo-area.c (inform_in_echo_area): avoid buffer overrun.
	Report from: Roman Werpachowski <rwerp@gazeta.pl>,
	7 Aug 2004 01:18:32 +0200.

	* info/echo-area.h (inform_in_echo_area): declare arg as const,
	while we're at it.

2004-08-02  Karl Berry  <karl@gnu.org>

	* makeinfo/cmds.c (cm_acronym_or_abbr): use strchr, not index.
	Report from: Prof Brian Ripley <ripley@stats.ox.ac.uk>,
	2 Aug 2004 12:47:36 +0100 (BST)

2004-07-31  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi,
	* doc/texinfo.tex,
	* makeinfo/cmds.c, cmds.h, xml.c, xml.h,
	* util/texinfo.dtd: new command @abbr, suggested by Paul Eggert,
	who also sent the original documentation.

2004-07-30  Karl Berry  <karl@gnu.org>

	* info/infomap.c (initialize_vi_like_keymaps): bind j to
	info_next_line and k to info_prev_line.  From Eli.

2004-07-30  Maciej W. Rozycki  <macro@linux-mips.org>

	* info/filesys.c (extract_colon_unit): Clean up handling of the
	end of string.

2004-07-27  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (verb): explicitly warn that @verb cannot be
	used in xref contexts.

2004-07-27  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\float): The parameters for @float are
	  separated by commas; allow a space after each of the commas.

	The TeX code for @caption, @shortcaption and @copying now uses
	a similar mechanism to macro definitions.  In detail:

	* doc/texinfo.tex (\macrobodyctxt, \macroargctxt): Generalize, ...
	  (\scanctxt, \scanargctxt): ... and introduce new variants.
	  (\scanexp): New macro--expand the parameter and call \scantokens.
	  (\copying, \docopying, \insertcopying): Use \scanargctxt and
	  \scanexp--this simplifies things a lot.
	  (\caption, \shortcaption): Redefine, using \scanargctxt via ...
	  (\docaption, \defcaption): ... these new macros.
	  (\appendtomacro): Simplify code, using \expandafter.

2004-07-26  Karl Berry  <karl@gnu.org>

	Avoid using the path for output files, since this led to problems
	when incompatible files created by previous versions were found.
	* makeinfo/files.c (find_and_load): introduce second parameter
		use_path, set to 0 from the call in handle_delayed_writes,
		1 in all cases.
	* makeinfo/files.h: change decl.
	* makeinfo/cmds.c, makeinfo.c, node.c: change calls.
	From: Thomas Klausner <wiz@danbala.ifoer.tuwien.ac.at>,
	14 Jul 2004 00:31:54 +0200.

2004-07-25  Werner Lemberg  <wl@gnu.org>

	Rename @s to @slanted.

	* doc/texinfo.tex (\s): Replace with...
	(\slanted): This.
	* doc/texinfo.txi: Updated.

	* makeinfo/cmds.c (command_table): Add @slanted, not @s.
	(cm_s): Replace with...
	(cm_slanted): This.
	* makeinfo/cmds.h: Add cm_slanted, not cm_s..

	* NEWS: Updated.

2004-07-24  Karl Berry  <karl@gnu.org>

	* info/echo-area.c (ea_possible_completions),
	* info/session.c (forward_move_node_structure),
	* info/infokey.c (compile): cast to intptr_t to avoid cast to
		pointer from integer of different size.
	From Havard Eidnes <he@netbsd.org>, 14 Jul 2004 20:38:59 +0200.

2004-07-19  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (main): with XML, instead of directly calling
	handle_variable_internal for -D and -U command line flags, hold the
	variable declarations until output document is started.
	(convert_from_loaded_file): handle variables provided with -D and -U
	flags here, just before entering the reader_loop.
	(Otherwise, -D/-U with --xml cause a segfault.)

2004-07-15  Werner Lemberg  <wl@gnu.org>

	* doc/texinfo.tex (\s): New command to typeset text with a slanted
		font.
	* doc/texinfo.txi: Document @s.

	* makeinfo/cmds.c (command_table): Add @s.
	(cm_s): New function.  Currently the same as cm_i -- it probably
		has to be adapted to Docbook and XML.
	* makeinfo/cmds.h: Add prototype for cm_s.

	* NEWS: Document new command @s.

2004-07-15  Werner Lemberg  <wl@gnu.org>

	* doc/texinfo.tex (\TeX): Adjust \spacefactor to make it act like a
		lowercase letter, not like a period.

2004-07-12  Karl Berry  <karl@gnu.org>

	* texinfo/texinfo.txi (Useful Highlighting): Include
		cross-references to each of the commands.  Suggestion from
		Wolfgang Pausch, 12 Jul 2004 08:26:28 +0200.

	* texinfo/texinfo.txi (Invoking makeinfo),
	* makeinfo/makeinfo.c: mention that --if-noFORMAT also processes
	@ifnotFORMAT blocks.
	Suggestion from Stepan.

2004-07-11  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c (discard_until): leave input_text_offset at
		the end of input_text if not found, not at one past the
		end of input_text.  (Had erroneously put that in the block
		only if an error was given.)  The result was a null byte
		after macro expansions.  Report from Werner,
		10 Jul 2004 15:36:40 +0200.

	* makeinfo/node.c (split_file): fwrite Local Variables trailer so
		it actually gets into the output of the top-level info
		file; don't just insert_string.
	Report from: Werner LEMBERG, 11 Jul 2004 08:58:13 +0200.

2004-07-10  Karl Berry  <karl@gnu.org>

	* util/texi2pdf: new script.
	* util/Makefile.am: install it.
	* doc/texinfo.txi: document it.

2004-07-05  Karl Berry  <karl@gnu.org>

	* makeinfo/xref.c (cm_email, cm_uref, et al.):
	* makeinfo/xml.c (xml_insert_indexentry, xml_insert_indexterm):
	* makeinfo/sectioning.c (sectioning_underscore):
	* makeinfo/makeinfo.c (cm_listoffloats): use %s, don't pass string to
		execute_string.  Report from Christian Schenk.

2004-07-02  Karl Berry  <karl@gnu.org>

	* makeinfo/makinfo.c (execute_string): don't worry about
		mismatched multiline commands if executing_macro.

2004-06-27  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: Various doc fixes.
	(\dosubindsanitize): propagate the same penalty
	>10000, don't just use \nobreak.
	(\sectionheading): insert a final penalty of
	10001, not 10000.  This causes \aboveenvbreak to
	insert \parskip glue, cancelling the
	\vskip-\parskip done here.  Otherwise, when (e.g.)
	@section is followed immediately by @example, the
	example can be shrunk up above the section title.

2004-06-14  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\commondummies, \indexnofonts): dummy-up @comma.
	Report from Arnold.

2004-06-06  Karl Berry  <karl@gnu.org>

	* makeinfo/index.c (index_add_arg): ensure all elements are always
	initialized, including output_file, section, and section_name.
	(cm_printindex): don't pass index->output_file to
	add_html_block_elt_args if it is null.  Also do
	not pass spurious extra index_name argument.

	* makeinfo/makeinfo.c (add_char): don't call html_output_head if
	only_macro_expansion (e.g., a macro call in the
	Top menu).  From: Yuri D'Elia <wavexx@yuv.info>,
	05 Jun 2004 21:11:00 +0200.

2004-06-03  Karl Berry  <karl@gnu.org>

	* info/session.c (info_menu_digit): use menu, rather than entry, to
	avoid seg fault on "0" (the last item),
	since menu has already been checked.
	From: Malcolm Rowe <malcolm-gnu@farside.org.uk>,
	02 Jun 2004 21:32:37 +0100.

2004-05-17  Karl Berry  <karl@gnu.org>

	* util/gendocs.sh, gendocs_template: use package.format.tar.gz
		consistently.  Before, -, _, and . were all used.

2004-05-16  Karl Berry  <karl@gnu.org>

	* lib/Makefile.am (libtxi_a_SOURCES): include strcase.h.
	From: "Gerrit P. Haase" <gp@familiehaase.de>,
	15 May 2004 21:50:52 +0200.

	* util/gendocs.sh: force HTML output name, otherwise Emacs fails
	with its "@setfilename ../...".

2004-05-04  Karl Berry  <karl@gnu.org>

	* util/texi2dvi (TEX): don't use the value when it ends in
	"latex"; TEX is also used by mpost.  Report from
	Yvon.Henel@wanadoo.fr.

2004-04-29  Karl Berry  <karl@gnu.org>

	* doc.texinfo.txi (Invoking makeinfo): mention --plaintext.
	From Akim.

	* doc/texinfo.tex (\emptyusermacros): can use \asis.
	(\identity): remove.

2004-04-29  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\commondummiesnofonts, \indexnofonts):  In order
	  to correctly transform words like `Dvo\v{r}\'{a}k' to `Dvorak'
	  for index sorting, one has to define all accent control sequences
	  as @asis.  (Current code would produce `Dvor{a}k'.)

2004-04-29  Jan Nieuwenhuizen  <janneke@gnu.org>

	* makeinfo/makeinfo.c (remember_error): Try cm_bye not more than
	twice.  Fixes `Too many errors!  Gave up.' looping.

2004-04-26  Karl Berry  <karl@gnu.org>

	* lib/system.h (STRCASEEQ, STRNCASEEQ): new #defines for
		convenience.
	* makeinfo/cmds.c (cm_strong): actually change the output to avoid a
	spurious xref.  Suggestion from Jan Nieuwenhuizen
	<janneke@gnu.org>, 26 Apr 2004 00:04:04 +0200, emacs-devel.

	* automake 1.8.4.

2004-04-24  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\emptyusermacros, \identity): new macros.
	(\indexdummiesnofonts): call it.
	This is to semi-support macro calls in the arg to @deffn.
	Report from: Akim Demaille <akim@epita.fr>, 20 Apr 2004 17:48:28 +0200.

2004-04-21  Karl Berry  <karl@gnu.org>

	* configure.ac (gl_FUNC_MKSTEMP): rename from UTILS_FUNC_MKSTEMP,
	per new gnulib code.

2004-04-20  Karl Berry  <karl@gnu.org>

	* makeinfo/tests/copying: force POSIX language setting.

2004-04-19  Karl Berry  <karl@gnu.org>

	* makeinfo/cmds.c (cm_code): use <samp> for commands other than
	@code, so we get typewriter output; and add `...'
	for @samp.
	Report from: John Blevin <blevin@lucent.com>,
	16 Apr 2004 11:40:01 -0400.

	* makeinfo/html.c (html_output_head) [CSS_FONT_ROMAN,
	CSS_FONT_SMALL_CAPS]: prettify.

2004-04-18  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\Orb): define if undefined.
	Report from Laurent Siebenmann.

	* util/dir-example: diff updates.

2004-04-13  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: remove trailing blanks.  suggestion from Jim.

2004-04-12  Paul Eggert  <eggert@twinsun.com>

	* doc/Makefile.am (info.1, infokey.1, install-info.1,
	makeinfo.1, texi2dvi.1, texindex.1): Don't use $< in ordinary
	rules; it's not portable.
	* util/Makefile.am (texinfo.cat): Likewise.

2004-04-12  Karl Berry  <karl@gnu.org>

	* bootstrap: update from berlios.

2004-04-11  Karl Berry  <karl@gnu.org>

	* Version 4.7.

2004-04-09  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c (execute_string): do not free the temporary copy
	of input_filename until we're definitely done with
	it.  It is used in line_error, etc.

	* INSTALL: mention texinfo.tex install step.

	* util/Makefile.am (texinfo.cat): new name instead of just
		`catalog'.  rename files.
	* util/Makefile.am (EXTRA_DIST): texinfo-cat.in now, not
		catalog.in.

2004-04-09  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (begin_insertion): after @copying, do not
	discard until a newline if we are looking at one.
	(end_insertion): decrement input line number after @end copying.

2004-04-08  Karl Berry  <karl@gnu.org>

	* util/Makefile.am: doc fix, as automake.diff is no longer needed.

2004-04-07  Karl Berry  <karl@gnu.org>

	* pretest version 4.6.95.

	* doc/texinfo.tex (\dodonode): new macro to remove trailing comma.
	(\donode): call it, after removing space-comma.

	* doc/texinfo.txi (indicateurl): new name for url.
	(uref): url is now a synonym for uref.
	* doc/texinfo.tex (\url, \indicateurl): implement.
	* makeinfo/cmds.c (cm_indicate_url): rename from cm_url.
	(command_table): make "url" a synonym for "uref".
	* makeinfo/cmds.h (cm_indicate_url): declare it.

2004-04-06  Karl Berry  <karl@gnu.org>

	* makeinfo/sectioning.c (insert_and_underscore): use `...' quote
	instead of "..." in error message.
	* info/*.c: likewise.

2004-04-07  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_colon): check if the character we are erasing
	from the output belongs to an XML tag.

2004-04-07  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (cm_author): use author element in XML output
	for attribution.

2004-04-06  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (convert_from_loaded_file): do not call
	write_tag_table if the output filename is "-".

2004-04-06  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (end_insertion): <pre> blocks implicitly ends
	the previous paragraph, so avoid </p> after the end tag.

	* makeinfo/footnote.c (output_pending_notes): made Footnotes anchor
	non translatable, and changed it to "texinfo-footnotes-in-document" to
	lessen the chance of getting in the way of another Footnotes anchor.

2004-04-04  Jim Meyering  <jim@meyering.net>

	* info/nodes.c (info_load_file_internal): Don't free lowered_name
	until *after* using fullpath, since they may be one and the same.

2004-04-03  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Image Syntax): had missing @'s in cookies.

	* makeinfo/cmds.c (cm_w): insert a comment at the end of @w, so that
	@w{$}Log$ doesn't end up as <dollar>Log<dollar>.
	Report from rms.
	* doc/texinfo.txi (GNU Sample Texts, w): mention this.

2004-04-02  Karl Berry  <karl@gnu.org>

	* configure.ac: pretest version 4.6.94.

	* doc/texinfo.txi (Node Line Requirements): discuss whitespace.

	* doc/texinfo.tex (\node, \donode): remove trailing
	spaces (before the first comma) in the @node line.

2004-03-29  Karl Berry  <karl@gnu.org>

	* util/install-info.c (menu_line_lessp, menu_line_equal): move to
		before all uses.

2004-03-27  Karl Berry  <karl@gnu.org>

	* info/signals.c (initialize_info_signal_handler) [SA_NOCLDSTOP]:
	use instead of HAVE_SIGACTION, since Solaris 2.7+
	with Sun CC don't have sa_handler, sa_flags, sa_mask.

	* info/session.c (search_string_index): remove unused variable.
	* info/terminal.c (term_mo): remove unused variable.
	* info/display.c (display_clear_display): remove unused variable
		display_line.
	* util/install-info.c (infilelen_sans_info): remove unused
		variable.

	* doc/texinfo.txi: mistakenly had * name: node: in menu items instead
	of * name: node.

	* util/install-info.c (menu_item_equal): must declare ret at beginning
	of function.  From Werner.

2004-03-27  Jim Meyering  <jim@meyering.net>

	* info/info-utils.c (info_parse_node): Don't read beyond end
	of buffer when looking for ``(line ...)'' in a menu item.

2004-03-27  Andreas Schwab  <schwab@suse.de>

	* util/install-info.c (menu_item_equal): Don't scan past
	term_char.

2004-03-26  Karl Berry  <karl@gnu.org>

	* pretest version 4.6.93.

	* util/install-info.c (menu_item_equal): compare basenames,
	so lilypond/ subdir will match.  Bug report from Werner,
	21 Mar 2004 08:31:10 +0100.

	* configure.ac (AC_CHECK_DECLS): skip strncasecmp again.
	* lib/system.h (strcase.h): change conditional to
	!HAVE_STRNCASECMP || !HAVE_STRCASECMP.  Extra
	!HAVE_DECL seems superfluous.

	* lib/system.h: include <unistd.h> last, following Autoconf's
		ac_includes_default.

2004-03-25  Karl Berry  <karl@gnu.org>

	All these changes are because strncasecmp is only declared in
	<strings.h> on IBM AIX 4.2.  (Report from Nelson Beebe.)

	* configure.ac (AC_CHECK_DECLS): add memchr; no need to check for
	  	     strcasecmp.(gl_STRCASE): call this ...
	(AC_REPLACE_FUNCS): ... replacing checks for
	strcasecmp and strncasecmp here.
	* lib/system.h (memchr) [!HAVE_DECL_MEMCHR]: add conditional
	     declaration.
	(strcase.h) [!HAVE_DECL_STRNCASE]: add conditional include.
	(strings.h) [HAVE_STRINGS_H]: include if
	available, even if <string.h> is also available.
	* info/session.c (strncasecmp) [M_XENIX]: remove this conditional
	declaration, since we haven't been testing for M_XENIX in many
	years.
	* m4/Makefile.am (EXTRA_DIST): add strcase.m4.
	* util/srclist.txt (lib/strcase.h, m4/strcase.m4): add, updating
		from gnulib.

2004-03-24  Karl Berry  <karl@gnu.org>

	* makeinfo/index.c:
	* makeinfo/float.c: avoid use of snprintf, which is not available on
	all platforms.  Bug report by Nelson and Vin Shelton (22mar03).

	* automake 1.8.3.

2004-03-23  Karl Berry  <karl@gnu.org>

	* doc/info-stnd.texi (Searching Commands): typo from jesper.

2004-03-21  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\indexnofonts): \definedummyletter needs to
	define the control letters to be empty, without
	taking any argument; most control letters, such as
	@:, don't take arguments, and it won't hurt to
	just always ignore them for index sorting.
	Report from Arnold.

	* info/doc.h (InfoFunction): cast NULL to VFunction *, to
	prevent pgcc from complaining.  From Nelson.

2004-03-20  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Structuring Command Types): be even more explicit
	about @unnumbered vs. @heading.

	* makeinfo/html.c (insert_html_tag_with_attributes): use the same
	parameter names (start_or_end and tag) in both stdc and !stdc
	cases.  Report from Nelson.

	* info/m-x.c (info_execute_command): don't dereference
	InfoFunction(command) as a function call if it's NULL.  Report
	from Nelson, pgcc-5.1-3 complains.

2004-03-19  Karl Berry  <karl@gnu.org>

	* info/signals.h [!SA_NOCLDSTOP]: borrow test from coreutils'
	sort.c, to avoid using sigset_t when it's not
	defined (apparently).

	* makeinfo/html.c (escape_string): escape ", too, for @image's
	alttext among others.
	* makeinfo/html.h: doc fix.
	* doc/texinfo.txi (Image Syntax): making empty alt text, do
		escaping.

	* util/dir-example: reorder.

	* doc/texinfo.txi (title subtitle author): using them outside
	@titlepage is an error, they're not actually "ignored".
	* makeinfo/insertion.c (cm_author): one mdash suffices.

2004-03-19  Jim Meyering  <jim@meyering.net>

	* makeinfo/makeinfo.c (add_char): Use memmove, rather than strncpy,
	since source and destination strings overlap.

	* makeinfo/float.c (add_new_float): Avoid buffer overrun when
	appending `.' to a chapter number.

2004-03-18  Karl Berry  <karl@gnu.org>

	* pretest version 4.6.92.

2004-03-18  Andreas Schwab  <schwab@suse.de>

	* lib/xmalloc.c: Include "system.h" instead of declaring malloc
	and realloc ourselves.
	(xmalloc): Change type of size parameter to size_t.
	(xrealloc): Likewise.

	* lib/system.h (xmalloc, xrealloc): Change type of size parameter
	to size_t.

2004-03-18  Karl Berry  <karl@gnu.org>

	* makeinfo/xref.c (cm_xref): ignore any directory part or extension
	in html case, warn if nothing left.
	* doc/texinfo.txi (HTML Xref Link Basics): ignore directory part in
	@xref cmd.

	* lib/getopt.h (__GNUC_PREREQ) [! __GNUC_PREREQ]: change
	conditional to the actual symbol, instead of just
	__GNUC, else --disable-nls compilation fails under
	SunOS 5.8 with gcc 3.2.3 (at least).
	Report from Vin Shelton, 15 Mar 2004 08:51:14 -0500.

	* util/texindex.c: add some const declarations.
	* util/install-info.c: add some const declarations.
	(by no means all)

	* doc/texinfo.txi (HTML Xref *): new nodes.

2004-03-15  Karl Berry  <karl@gnu.org>

	* makeinfo/xref.c (cm_xref): need ../ in reference to foreign html
	manual, if splitting.

2004-03-14  Jim Meyering  <jim@meyering.net>

	* makeinfo/index.c (insert_index_output_line_no): Ensure that `i'
	is larger than zero before (not after) using `i-1' as an array index.

	* makeinfo/cmds.c (cm_acronym): Don't write description[-1]
	when description is the empty string.

	* makeinfo/makeinfo.c (insert): Avoid buffer under-run when
	output_paragraph_offset is zero.
	(canon_white): Rewrite not to use strcpy (was used with
	overlapping source and destination)

2004-03-14  Andreas Schwab  <schwab@suse.de>

	* info/session.c: Fix buffer overflows.

2004-03-14  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xref.c (cm_xref): print the fifth arg (or fourth if it's
	not available), in parens for the visible text of the HTML link.

2004-03-14  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/tests/node-expand.txi:
	* makeinfo/tests/node-whitespace.txi: added titles to @top.

2004-03-14  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/sectioning.c (sectioning_underscore): check if title is
	pointing to NULL before calling strlen (happens when there is no
	@settitle before @top.)

2004-03-14  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/sectioning.c (sectioning_underscore): warn if both @top and
	@settitle are empty.
	(sectioning_html, insert_and_underscore): use @settitle argument if
	@top is empty.
	(insert_and_underscore): removed with_char argument from function
	declaration.

	* makeinfo/sectioning.h: insert_and_underscore proto update.

2004-03-13  Karl Berry  <karl@gnu.org>

	* pretest version 4.6.91.

	* info/*.[ch]: copyright dates, and final ugly casts.

	* doc/texinfo.txi (Generating HTML): make its own chapter, since we
	have lots to say about xrefs now.

	* doc/texinfo.txi (Refilling Paragraphs): @ignore this, just
	describe @refill better in the summary.
	(Obtaining TeX): make a section of Hardcopy,
	instead of its own appendix.
	(Command Syntax): subnode of @@-Command List.
	This reduction in the number of appendices will hopefully make the
		manual less overwhelming.

2004-03-13  Alper Ersoy  <dirt@gtk.org>

	* info/dir.c:
	* info/display.c:
	* info/display.h:
	* info/doc.h:
	* info/dribble.c:
	* info/dribble.h:
	* info/echo-area.c:
	* info/echo-area.h:
	* info/filesys.c:
	* info/filesys.h:
	* info/footnotes.c:
	* info/footnotes.h:
	* info/gc.c:
	* info/gc.h:
	* info/indices.c:
	* info/indices.h:
	* info/info-utils.c:
	* info/info-utils.h:
	* info/info.c:
	* info/info.h:
	* info/infodoc.c:
	* info/infokey.c:
	* info/infomap.c:
	* info/infomap.h:
	* info/m-x.c:
	* info/makedoc.c:
	* info/man.c:
	* info/man.h:
	* info/nodemenu.c:
	* info/nodes.c:
	* info/nodes.h:
	* info/search.c:
	* info/search.h:
	* info/session.c:
	* info/session.h:
	* info/signals.c:
	* info/terminal.c:
	* info/terminal.h:
	* info/tilde.c:
	* info/tilde.h:
	* info/variables.c:
	* info/variables.h:
	* info/window.c:
	* info/window.h:
	* lib/system.h: protoized.

2004-03-12  Karl Berry  <karl@gnu.org>

	* makeinfo/sectioning.c (sectioning_underscore): don't segfault when
	generating xml if @top arg was empty.  Report from Pat.

2004-03-11  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\pdfoutput): check also for \relax and 0, not
	just \undefined, in case pdftex is being run in dvi mode.
	Reported by Thomas Esser.

	* lib/Makefile.am (libtxi_a_SOURCES): add getopt_int.h.

2004-03-11  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/html.c (add_escaped_anchor_name): removed unnecessary
	ampersand check.
	(fix_filename): removed size calculation and memory reallocation for
	filename as it is already PATH_MAX bytes.  Added a check so we don't
	cross PATH_MAX boundary while expanding not-isalnum to hex values.

	* makeinfo/toc.c (toc_add_entry): generate links following html cross
	refs proposal from Patrice Dumas.

2004-03-11  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.h: changed URL_SAFE_CHAR to isalnum.

	* makeinfo/html.c (add_escaped_anchor_name, add_anchor_name)
	(fix_filename): generate links following html cross refs proposal
	from Patrice Dumas.

	* makeinfo/xref.c (cm_xref): tweaked references to external manuals,
	to better follow html cross refs proposal.

2004-03-08  Karl Berry  <karl@gnu.org>

	* pretest version 4.6.90.

	* makeinfo/Makefile.am (makeinfo_SOURCES): include multi.h.
	* makeinfo/cmds.c (cm_verb): avoid spurious warning.

2004-03-06  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/lang.c (cm_special_char): call add_encoded_char for Info
	output too.

2004-03-01  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_minus): use minus entity for HTML too.

2004-03-01  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (reader_loop): disable multiple dashes and
	quotes entity substitution for HTML and XML, if escape_html is not
	true.

2004-03-01  Alper Ersoy  <dirt@gtk.org>

	* util/texinfo.dtd: added math element and updated footnote.

2004-03-01  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c (xml_insert_footnote): start <para> if not already
	started.

2004-03-01  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/index.c (index_add_arg): make entry node name 'Footnotes'
	if the output format is non-split HTML, and we are handling footnotes.

	* makeinfo/footnote.c (output_pending_notes): added anchor at the
	start of footnotes block for the non-split HTML output, so @printindex
	can refer to that point as the nodename.

2004-03-01  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/defun.c (defun_internal): use var element for HTML, instead
	of i.

2004-03-01  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (cm_image): reset filling_enable to its previous
	state after getting the cookie done.

2004-03-01  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (cm_image): insert magic cookie only if there's
	a bitmap file (if all we have is a text file, skip the cookie.)

2004-02-29  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/node.c (cm_node): moved node order handling to ...
	(remember_node): here.

2004-02-29  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/multi.c (draw_horizontal_separator): insert a space before
	the newline so it looks different than @subsection's.

2004-02-29  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (insert): do not strip trailing whitespace in
	multitables.

2004-02-29  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (execute_string): removed XML tag balance
	checks.

2004-02-28  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (begin_insertion, end_insertion): for rawxml,
	rawhtml and rawdocbook blocks, change the state of escaping depending
	on raw_output_block in order to avoid problems when these blocks are
	used within a @rmacro.

2004-02-28  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (end_insertion): for quotation use
	default_indentation_increment.

2004-02-28  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (info_trailer): call current_document_encoding
	here too.

2004-02-28  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/lang.h: new variable unknown_encoding.

	* makeinfo/lang.c (cm_documentencoding): save and use the encoding
	argument even if it's unknown.

	* makeingo/html.c (html_output_head): call current_document_encoding
	instead of checking document_encoding_code.

2004-02-28  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/float.c (cm_listoffloats): simplified entry generation.

2004-02-28  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/files.h: new members node_order and index_order in
	DELAYED_WRITE struct.

	* makeinfo/files.c (register_delayed_write): save current node and
	index order.
	(handle_delayed_writes): update tag_table positions and index line
	numbers by comparing orders, not line numbers they are defined.

	* makeinfo/index.c: made index_counter not static and ...
	* makeinfo/index.h: extern.

	* makeinfo/node.h: new member order in TAG_ENTRY struct.

	* makeinfo/node.c (cm_node): keep the order of the node entry.

2004-02-27  Karl Berry  <karl@gnu.org>

	* util/gendocs.sh: generate ASCII in static file, not stdout, so
	toc/index can get written.

	* util/gendocs_template: XHTML version from
	http://www.gnu.org/boilerplate.html, via John Darrington
	<john@cellform.com.au>, 9 Jan 2004 07:24:27 +0800.

2004-02-27  Jan Nieuwenhuizen  <janneke@gnu.org>

	* doc/texinfo.txi (Image Syntax): Update.

	* makeinfo/makeinfo.c (cm_image): Only insert a period between the
	image's NAME and EXTENSION as a second guess, to retain backward
	compatibility.

2004-02-27  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c (xml_insert_element_with_attribute): if we are
	closing either TABLEITEM, ITEM or DEFINITIONITEM during string
	execution, update relevant state.

2004-02-27  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (execute_string): moved state updates below
	insertion and element stack checks, so any code executed in those
	checks will be aware of executing_string.

2004-02-27  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c (xml_insert_docbook_image): for Docbook, if paragraph
	is open, use inlinemediaobject instead of mediaobject in an
	informalfigure.
	(xml_insert_element_with_attribute): indent after informalfigure.

2004-02-27  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c:
	* makeinfo/xml.h: new element INLINEIMAGE.

	* makeinfo/makeinfo.c (cm_image): for XML, use INLINEIMAGE or IMAGE
	depending on paragraph state.

2004-02-27  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (cm_image): for Info, enclose text image in
	brackets if @image is used inline (ie. paragraph is open).

2004-02-27  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_noindent_cmd, cm_indent): start paragraph for
	Info too.

2004-02-27  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (cm_image): for HTML, if paragraph is not open,
	enclose image in a <div> block.

2004-02-27  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_noindent_cmd, cm_indent): insert <p> for HTML.

2004-02-26  Alper Ersoy  <dirt@gtk.org>

	* util/texinfo.dtd: moved verbatim to &block;.

2004-02-25  Stepan Kasal  <kasal@ucw.cz>

	A first step towards general cleanup of sectioning macros:
	* doc/texinfo.tex (\genhead): A generalized version of ...
	  (\numhead, \apphead, unnmhead): ... these, which uses ...
	  (\chapheadtype, \unmlevel, \maxseclevel): ... these "variables".

2004-02-25  Karl Berry  <karl@gnu.org>

	* makeinfo/index.c (cm_printindex): insert cookie in Info output
	for benefit of Info readers.

2004-02-26  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (end_insertion): removed obsolete Docbook
	indentation work-around.

2004-02-25  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (cm_author): new function.
	(cm_titlepage_cmds): removed @author parts.

	* makeinfo/cmds.c: made @author call cm_author.

2004-02-24  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: avoid duplicate index entries within the same
	node (from Alper): syncodeindex, lines 9627 and 9633 TEXINPUTS,
	lines 14157 and 14202 texinfo-format-buffer 15131 and 15159
	texinfo-format-region 15130 and 15149

2004-02-24  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.h: new variable example_indentation_increment.

	* makeinfo/cmds.c (set_default_indentation_increment): renamed to
	set_example_indentation_increment.
	(cm_exampleindent): call set_example_indentation_increment.

	* makeinfo/insertion.c (begin_insertion, end_insertion): @example,
	@display and the like now rely on example_indentation_increment.

2004-02-24  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (begin_insertion, end_insertion): @float should
	not play with indentation.

2004-02-24  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/float.c (cm_listoffloats): check if we are crossing the
	caption boundaries looking for a space to break at.

2004-02-24  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c: TEXINFO_OUTPUT -> TEXINFO_OUTPUT_FORMAT,
	after discussion with tar maintainer.

2004-02-20  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\infochapter, \infosection, etc.): these stubs
		of sectioning commands nuked.

2004-02-24  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\centerchap): Fixed to work again,
	  don't open group.
	  (\centerparameters): New macro.
	  (\centerchfplain): Nuked.

	The following continues with prosecution of @setchapterstyle{open}:
	* doc/texinfo.tex (\chfplain): renamed to \chapmacro.
	  (\CHAPFplain): Nuked.
	  (\setchapterstyle): Moved next to its deprecated friends.

2004-02-24  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\dofloat): start a paragraph.

2004-02-24  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (cm_caption): check if the innermost
	environment is @float.

2004-02-24  Alper Ersoy  <dirt@gtk.org>

	* info/session.c (info_menu_digit): if the menu entry has a line
	number, go to that line.

2004-02-24  Alper Ersoy  <dirt@gtk.org>

	* info/info.c (main): make sure dir file is not listed for option
	--where.

2004-02-24  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c (xml_insert_element_with_attribute, xml_add_char)
	(xml_begin_table, xml_end_table, xml_begin_table_item)
	(xml_continue_table_item): separated ITEM and TABLEITEM states to
	handle @table environments better.

2004-02-24  Alper Ersoy  <dirt@gtk.org>

	* util/texinfo.dtd: added float and friends, updated tableitem and
	Inline.reference.

2004-02-23  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Structuring Command Types): slightly more info
	about headings.  Fix other references, too.

	* Makefile.am (EXTRA_DIST): explicitly list every file in djgpp,
	so that the CVS directory is not included in the dist.tar.gz.

2004-02-23  Arnold D. Robbins  <arnold@skeeve.com>

	* makeinfo/cmds.c (cm_code): For @samp, using single quotes instead of
	double quotes, to match TeX output more closely.

2004-02-23  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/index.h: new output_file and entry_number members in
	index_elt struct.

	* makeinfo/index.c (index_add_arg, cm_printindex): rewrote hyperlink
	generation for HTML to avoid duplicate anchors, and to work with
	splitting enabled.

2004-02-20  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/float.c (cm_listoffloats): create HTML hyperlinks with
	add_word instead of using @ref to avoid problems with commas in
	captions.

2004-02-20  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/node.c (cm_node): remove whitespace before the node
	separator sequence.

2004-02-20  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/sectioning.c (handle_enum_increment): do not increment
	counters for ENUM_SECT_NO heading commands (ie. @unnumbered,
	@majorheading, etc.)

2004-02-20  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/multi.c (multitable_item): unset hsep if item command is
	not @headitem.

2004-02-19  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: More hyphenation exceptions.
	(\author, \quotation): implement @author inside
	@quotation, for attribution purposes.

2004-02-19  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_exampleindent): fixed paragraph handling after
	@exampleindent lines.

2004-02-19  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/index.c (index_add_arg): create an anchor where @index is
	used in HTML documents.
	(cm_printindex): make index text an hyperlink to the created anchor.

2004-02-19  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (begin_insertion): skip empty lines following
	@table, @ftable, @vtable and @itemize lines.

2004-02-18  Karl Berry  <karl@gnu.org>

	* lib/substring.c,
	* lib/xexit.c,
	* lib/xmalloc.c,
	* lib/system.h: ANSI-fy.  (Other lib files come from gnulib.)

	* doc/texinfo.txi (Definition Commands): describe the argument/@var
	situation more accurately.

	* doc/texinfo.txi (Definition Commands): explicitly document the
	implicit index entry creation in all cases.

	* doc/texinfo.txi (Printing Indices & Menus, Indices, Predefined
	Indices): remove redundancies, make different
	purposes clear, etc.

2004-02-18  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.h:
	* makeinfo/xml.c (xml_get_assoc_for_id, xml_associate_title_with_id):
	removed these functions.

	* makeinfo/xref.c (cm_xref): do not call xml_get_assoc_for_id.

	* makeinfo/sectioning.c (sectioning_underscore): added xreflabel
	attribute to @unnumbered for Docbook.

2004-02-18  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xref.c (cm_xref): for Docbook, use lowercase ``see'' when
	printing index.

2004-02-18  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c (xml_insert_indexentry): removed ``see'' from index
	entries as cm_xref takes care of it.

2004-02-17  Karl Berry  <karl@gnu.org>

	* doc/info.texi (Help-Int): mention the new line number feature.
	* doc/texinfo.txi (Indices): plural correction.
	* doc/info-stnd.texi (Invoking Info): matche typo.
	(Searching Commands): grammar.
	* info/session.c (info_menu_or_ref_item): need to subtract 1 from
	the actual line number to get to the right place,
	don't really know why.

	* makeinfo/makeinfo.c, info/info.c, util/texindex.c,
	utils/install-info.c, util/texi2dvi: update copyright year to
	2004, and do not mark copyright line for translation, since
	international law says to always use the English word "copyright".

2004-02-17  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (end_insertion): use add_html_block_elt instead
	of add_word for </pre> ending @example and the like.
	* makeinfo/float.c (cm_listoffloats): use add_html_block_elt for <li>.

2004-02-17  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (begin_insertion): do not expand @copying for
	HTML and Info too.
	(cm_insert_copying): expand copying_text for all formats here.

	* makeinfo/html.c (html_output_head): use text_expansion for copying
	text.

2004-02-17  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (float): mention @multitable and @image
	as typical contents.  From Arnold.

2004-02-17  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c (xml_insert_element_with_attribute): removed check
	to see if current element contains para before calling xml_start_para,
	as that check is performed in xml_start_para too.

2004-02-17  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (end_insertion): indent float caption.

2004-02-17  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (begin_insertion): for XML and Docbook, do not
	expand @copying text.  Instead of calling @anchor, use <float
	name="floatlabel"> for XML.
	(cm_copying): removed ugly copying_text manipulation for Docbook.
	Warn if there is no @copying before @insertcopying.

	* makeinfo/xml.c: made floats contain para.
	(xml_start_para): check if current element can contain para.
	(xml_add_char): removed @copying checks.

2004-02-17  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (end_insertion): if the output format is XML,
	do not call close_insertion_paragraph after @end menu.

2004-02-17  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c (xml_insert_element_with_attribute): indentation
	fixes for @multitable.

2004-02-17  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/multi.c (do_multitable): remove trailing newline when the
	output format is Docbook or XML, as output_paragraph becomes unusable
	later for xml_indent during select_output_environment.

2004-02-16  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_bye): do not call flush_output as text appended
	by convert_from_loaded_file may need to play with output_paragraph.

2004-02-16  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c (xml_end_document): insert newline after </texinfo>
	only if indentation is disabled (otherwise xml_indent takes care of
	the newline.)
	(xml_insert_indexentry): disable warnings when executing implicit
	@xref commands  for Docbook, otherwise makeinfo will warn about
	missing punctuation.

2004-02-16  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (begin_insertion): eat one newline after
	@xml/@docbook blocks for proper indentation.

2004-02-16  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_center): fixed line wrapping after the @center
	command.

2004-02-15  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c (xml_begin_document): disabled warnings around the
	implicit register_delayed_write("@documentencoding") call.

2004-02-15  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (begin_insertion, end_insertion): when handling
	@xml, @html and @docbook blocks, do not touch para elements, and keep
	whitespace as-is.

2004-02-15  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.h: made xml_keep_space extern.

2004-02-15  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_noindent_cmd, cm_indent): implicitly start
	para element for Docbook and XML.

2004-02-15  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\hyphenation): add more hyphenation exceptions,
	gleaned from the log in TUGboat.
	* doc/info-stnd.texi: document new option --where.
	* info/info.c (main): in print_where_p case, ensure we don't try
	to print NULL.

2004-02-14  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\addtokens): had two identical definitions,
	remove one.
	(\maketoks): no space token after |ENDTOKS|,
	although I guess it hasn't mattered.
	(\entry): make clear what is the argument to
	\pdfgettoks and what is output.
	(\appendtomacro): use our own token registers,
	for safety.
	(\listoffloatsdoentry): fully expand the page
	number, and don't expand the lof text.

2004-02-14  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_strong):
	* makeinfo/xml.c (xml_begin_index): cast output_paragraph to char, to
	avoid warnings with -pedantic.

2004-02-13  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c:
	* makeinfo/cmds.h:
	* makeinfo/defun.c:
	* makeinfo/defun.h:
	* makeinfo/files.c:
	* makeinfo/files.h:
	* makeinfo/float.c:
	* makeinfo/float.h:
	* makeinfo/footnote.c:
	* makeinfo/footnote.h:
	* makeinfo/html.c:
	* makeinfo/html.h:
	* makeinfo/index.c:
	* makeinfo/index.h:
	* makeinfo/insertion.c:
	* makeinfo/insertion.h:
	* makeinfo/lang.c:
	* makeinfo/lang.h:
	* makeinfo/macro.c:
	* makeinfo/macro.h:
	* makeinfo/makeinfo.c:
	* makeinfo/makeinfo.h:
	* makeinfo/multi.c:
	* makeinfo/node.c:
	* makeinfo/node.h:
	* makeinfo/sectioning.c:
	* makeinfo/sectioning.h:
	* makeinfo/toc.c:
	* makeinfo/toc.h:
	* makeinfo/xml.c:
	* makeinfo/xml.h:
	* makeinfo/xref.c:
	* makeinfo/xref.h: protoized functions.

2004-02-13  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/multi.h: new file.

2004-02-13  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\caption): make \long.
	* doc/texinfo.txi (Nodes): mention that changing node names is bad.
	(caption shortcaption, listoffloats): write these, finishing the
	first cut at @float documentation.

2004-02-12  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_verb): end @verb only if delimiter is followed
	by a closing brace.

2004-02-12  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/lang.c (cm_accent_generic): warn if accented character is
	whitespace.

2004-02-12  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertionc. (end_insertion): decrement current_indent
	only if the output format is Info.

2004-02-12  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (end_insertion): adjusted caption styles for
	label and type conditions.
	(begin_insertion, end_insertion): indent first paragraphs inside
	@float, even if first paragraph in a chapter.  Increment/decrement
	current_indent.

2004-02-12  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/tests/defxcond: look for `--' instead of `-'.

2004-02-12  Karl Berry  <karl@gnu.org>

	* makeinfo/float.c (cm_listoffloats): change warning wording.

2004-02-11  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\dofloat): initialize caption macros here, not
		globally.
	(\Efloat): rewrite for more consistent caption
	line, matching documentation.
	(\appendtomacro): new macro.
	(\currentparindent): this \newdimen was not used; removed.
	* doc/texinfo.txi (float): continue documenting.

	* makeinfo/files.c (register_delayed_write): change wording of msgs.

2004-02-10  Karl Berry  <karl@gnu.org>

	* makeinfo/defun.c: --- (which gets reduced to --)
	instead of -- (which gets reduced to -).
	Report from Akim Demaille <akim@epita.fr>, 09 Feb 2004 18:06:29 +0100.

2004-02-09  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\pickupwholefraction): allow the fraction to be
	an integer without a decimal point, like `1'.  Report from: Dumas
	Patrice <dumas@centre-cired.fr>, 9 Feb 2004 16:46:30 +0100.
	* makeinfo/multi.c (setup_multitable_parameters): compute width
	and pass it, for clarity.

2004-02-07  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (cm_insert_copying): insert double newlines
	instead of one in non XML outputs.

2004-02-07  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_code): do not decrement in_fixed_width_font as
	it gets decremented elsewhere.

2004-02-07  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (next_nonwhitespace_character): also check
	global input_text since filestack does not contain it.

2004-02-07  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (next_nonwhitespace_character): go through the
	whole filestack looking for the next character.

2004-02-06  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\indexnofonts): define \bullet .. \result, so
	they can be used in @?index commands.
	Report from: Akim Demaille <akim@epita.fr>, 06 Feb 2004 13:34:15 +0100.

2004-02-05  Karl Berry  <karl@gnu.org>

	* makeinfo/xref.c (add_xref_punctuation): if we insert anything,
	make it a period.
	(cm_xref): include command name in error message.
	* doc/texinfo.txi (ref): mention generating a period, if needed.
	Too many complaints when we made a warning for @ref not followed
	by period or comma.

2004-02-05  Alper Ersoy  <dirt@gtk.org>

	* info/info-utils.c (info_parse_node): look for ``(line '' instead of
	skipping any non-digit characters.

2004-02-05  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/index.c (insert_index_output_line_no): made ``(line NNN)'' not
	translatable for Info output.

2004-02-03  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (flush_output): increment node_line_number too.

	* makeinfo/makeinfo.h: new variable node_line_number to hold the last
	output line number the current node.

	* makeinfo/nodes.c (cm_node): reset node_line_number just before the
	node start cookie.

	* makeinfo/files.h: new node member in DELAYED_WRITE struct.
	* makeinfo/files.c (register_delayed_write): save current node name if
	there's one.
	(handle_delayed_writes): adjust line numbers in indices only if the
	output is plaintext, or the index entry appears in the changed node.

	* makeinfo/index.c (index_add_arg, cm_printindex): use
	node_line_number instead of output_line_number if the output is an
	Info file.

2004-02-03  Alper Ersoy  <dirt@gtk.org>

	* info/info-utils.h: new line_number member in REFERENCE struct.

	* info/info-utils.c (info_parse_node): parse (line ...) strings
	from menu items.
	(info_references_internal): save parsed line number in the entry.

	* info/session.c (info_menu_of_ref_item): if selected entry has a line
	number associated with it, jump to that line after updating window.

2004-02-02  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c (add_xref_punctuation): new function that inserts
	necessary punctuation after @ref and @pxref commands.
	(cm_xref): call add_xref_punctuation when multiple parameters are
	given, make use of next_nonwhitespace_character function in the END
	case.
	(cm_ref): do not call cm_xref in the END case.

2004-02-02  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (next_nonwhitespace_character): new function.

2004-02-02  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_code): call xml_start_para instead of tweaking
	in_fixed_width_font, and use entities rather than quotes.

2004-02-02  Arnold D. Robbins  <arnold@skeeve.com>

	* makeinfo/cmds.c (cm_TeX, cm_LaTeX): Add docbook support.
	(cm_code): Add opening and closing single quotes for @samp in the
	Docbook output.
	* makeinfo/xml.c (xml_begin_document): Add `tex' and `latex' entities.
	* makeinfo/xref.c (cm_xref): Add `See' and `see' strings for docbook
	and xml.

2004-01-31  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (main): fixed ``--option: makeinfo'' messages.

2004-01-31  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_TeX, cm_LaTeX): really ignore the arguments as
	the warning suggests.

2004-01-31  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_TeX, cm_LaTeX): warn if there are any arguments.

2004-01-31  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/files.c (pop_path_from_include_path): do not mock with
	include_files_path address directly, as it confuses realloc.

2004-01-31  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (main, usage): new --output-indent option.

2004-01-31  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c (xml_add_char): break long lines in paragraphs
	when the output format is Docbook.

2004-01-31  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/files.c (prepend_to_include_path, append_to_include_path)
	(pop_path_from_include_path): new functions to manipulate
	include_files_path.

	* makeinfo/makeinfo.c (convert_from_file): prepend the loaded file's
	path to include_files_path in order to make relative include files to
	be found, then remove afterwards.
	(main): make use of new functions for -I and -P options.

2004-01-30  Alper Ersoy  <dirt@gtk.org>

	* util/texinfo.dtd: added exdent element.

2004-01-29  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (convert_from_loaded_file): call
	xml_begin_document after opening the output stream for writing.

	* makeinfo/files.c (register_delayed_write): use delayed_command
	instead of command in messages as it may differ from the actual
	command name.  Check the usability of current_output_filename.

2004-01-28  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (HTML Splitting): describe when two nodes are
		written to one output file.

	* doc/texinfo.tex (\TeX): \edef using original \TeX definition.

2004-01-28  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/defun.c (process_defun_args, defun_internal):
	* makeinfo/insertion.c (begin_insertion, end_insertion): execute XML
	only blocks for Docbook also.

	* makeinfo/xml.c: added Docbook elements for definition commands.
	(xml_begin_def_term): for Docbook, generate an Info-like @defun line.
	(xml_insert_element_with_attribute): do not indent DEFINITION and
	DEFINITIONTERM when the output is Docbook.

2004-01-25  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c: changed majorheading and the like with bridgehead
	for Docbook.

	* makeinfo/sectioning.c (sectioning_underscore): do not start sections
	with @majorheading and the like, only insert title.

2004-01-25  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c:
	* makeinfo/xml.h: new element EXDENT.

	* makeinfo/cmds.c (cm_comment): save the paragraph state.
	(cm_exdent): use EXDENT element for XML, LINEANNOTATION for Docbook.

	* makeinfo/html.c (html_output_head):
	* makeinfo/xml.c (xml_begin_document): erase output_paragraph.

	* makeinfo/insertion.c (begin_insertion): canonize whitespace around
	copying text.
	(cm_insert_copying): comment fixes.  Do not append newline if the
	output is Docbook.

	* makeinfo/makeinfo.c (close_paragraph): return if Docbook too.

	* makeinfo/sectioning.c (sectioning_underscore): removed newline from
	the end of titles.

	* makeinfo/lang.c (cm_documentencoding): insert encoding attribute
	into XML and Docbook prologs when handling delayed writes.

	* makeinfo/xml.c (xml_begin_document): register a delayed write for
	@documentencoding when writing the prolog.
	(xml_end_para): removed docbook checks.
	(xml_insert_element_with_attribute): skip indentation if
	xml_keep_space is true, indent after table element.  When the output
	is Docbook, do not insert xml:space attribute, and do not remove from
	the end of group element and keep_space blocks.
	(xml_add_char): join lines in a paragraph for Docbook too.

2004-01-24  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/multi.c (out_char): simple use add_char for XML and Docbook
	outputs too.

	* makeinfo/makeinfo.c (close_paragraph): just return when the output
	format is XML.

	* makeinfo/makeinfo.h: new variable xml_indendation_increment.

	* makeinfo/cmds.c (cm_comment): insert a newline before the comment,
	if there is not already one.
	(cm_noindent_cmd): skip whitespace after the command.

	* makeinfo/xml.c:
	* makeinfo/xml.h: new element DETAILMENU.

	* makeinfo/xml.c: menuentry and menucomment should not contain para.
	(xml_indent, xml_indent_end_para): use xml_indentation_increment
	value, and indent only if it is a positive number.
	(xml_start_para): apply indentation for XML output too.
	(xml_end_para): add newline if xml_indentation_increment is positive.
	(xml_insert_element_with_attribute): major indentation fixes.
	(xml_start_menu_entry): skip whitespace at the start of menu comments.
	(xml_add_char): fixed paragraph detection in menus, and added a check
	to detect multiple whitespaces after newline in menu comments.  Do not
	return when inside multitable to avoid concatenation of two lines
	without a space char in between.

	* makeinfo/insertion.c (cm_insert_copying, cm_lisp, cm_smalllisp)
	(cm_format, cm_smallformat, cm_display, cm_smalldisplay, cm_example)
	(cm_smallexample): do not insert newline when the output is XML.
	(end_insertion): ditto for the above mentioned block commands and
	@group.  Do not increment in_fixed_font for XML output.
	(begin_insertion, end_insertion): enclose @detailmenu in a detailmenu
	element.

	* util/texinfo.dtd: added detailmenu, and fixed menucomment and
	tableitem definitions.

2004-01-23  Alper Ersoy  <dirt@gtk.org>

	* util/Makefile.am: substituted catalog in EXTRA_DIST with catalog.in,
	and added catalog to CLEANFILES.

2004-01-23  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/files.h: new input_filename member in delayed_write struct.

	* makeinfo/files.c (register_delayed_write): added input_filename to
	saved variables, and adjusted line_number saving.
	(handle_delayed_writes): set input_filename and line_number for
	correct warning and error messages.

2004-01-23  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/float.c (cm_listoffloats):
	* makeinfo/index.c (cm_printindex): decrement line_number only if
	not handling delayed writes.

	* makeinfo/float.c (float_type_exists): check if float has a label.

2004-01-23  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (main): updated copyright year in --version text.

2004-01-23  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/tests/Makefile.am: commented top2.texi to fix distcheck.

2004-01-23  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c (xml_begin_document): use PUBLIC id for TexinfoML
	instead of SYSTEM.

2004-01-23  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/Makefile.am: removed texinfo.dtd and texinfo.xsl and ...

	* util/Makefile.am: added here.

2004-01-23  Alper Ersoy  <dirt@gtk.org>

	* utils/catalog.in: catalog file for texinfo.dtd.

2004-01-23  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/texinfo.dtd:
	* makeinfo/texinfo.xsl: moved to ...

	* utils/texinfo.dtd:
	* utils/texinfo.xsl: here.

2004-01-23  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/texinfo.dtd: added ordm and ordf entities and dmn element.
	updated indexterm location in tables.

2004-01-22  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\dofloat): handle empty float type and empty
	float label separately, matching makeinfo behavior.
	* doc/texinfo.txi (Floats): new section, not yet fully written.
	(Special Displays): new chapter to hold it.
	(Footnotes, Images): move these sections to the new chapter.
	(@@-Command Summary): list new commands.
	* NEWS: mention new commands here too.

2004-01-21  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c (xml_begin_index): move data to a temporary location
	for delayed use and insert back when handling delayed writes.

	* makeinfo/index.c (cm_printindex): call xml_begin_index when not
	handling delayed writes too.

2004-01-19  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: doc fix.

2004-01-18  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\commondummies): dummify @tie and remaining
	@<char> commands.
	(\tocindent): reduce to 15pt to match \defaultparindent.
	(\setref): use XR as control sequence prefix
	instead of just X; seems nicer.  Change calls.

	Finish implementing @listoffloats:
	(\xrdef): keep lists of each float type.
	(\dofloat): save the floattype in the aux file.
	(\Efloat): write the lof text to the aux file.
	(\iffloat, \doiffloat, \listoffloats,
	\listoffloatsdo, \listoffloatsentry): new macros.
	* bootstrap: autoheader should come after aclocal, I think.

2004-01-17  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\doitemize): rename from \itemizey.
	(\itemizeitem): do not set \parskip=0 if the last
	thing was a \nobreak (e.g., from \sectionheading).
	Report from: Jesper Harder <harder@ifa.au.dk>,
	17 Jan 2004 22:03:51 +0100.

	* doc/texinfo.txi (email): no angle brackets in TeX output.
	Report from: Jesper Harder <harder@ifa.au.dk>,
	17 Jan 2004 21:03:21 +0100.

2004-01-17  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/float.c (cm_listoffloats): Prefixed captions with
	float_type.  For HTML, used an <ul> block.

2004-01-17  Alper Ersoy  <dirt@gtk.org>

	* info/info.c (main, info_short_help): new option -w, --where,
	--location that prints the physical location of Info file.

2004-01-17  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/defun.c (defun_internal):
	* makeinfo/insertion.c (end_insertion): enclose paragraphs in @def
	blocks in a blockquote element for indentation in the HTML output.

2004-01-17  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/html.c (insert_html_tag_with_attribute): new function.
	(insert_html_tag): only call insert_html_tag_with_attribute with
	NULL attribute string and return.
	(push_tag, pop_tag): keep the element attributes in stack too.
	(html_output_head): fixed span.roman in the default CSS.

	* makeinfo/html.h: new attribs member in hstack struct.

	* makeinfo/cmds.c (cm_dmn, cm_code, cm_sc, cm_r): use
	insert_html_tag_with_attribute for setting element class.

2004-01-15  Karl Berry  <karl@gnu.org>

	* texinfo.tex (\readauxfile): \ must have catcode other to
	handle \ in node/section names.

2004-01-16  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/toc.c (cm_contents): fixed Docbook element stack underflow.

	* makeinfo/xml.c (xml_insert_indexterm): set xml_dont_touch_items_defs
	for only XML output.

2004-01-14  Simon Josefsson <jas@extundo.com>

	* util/gendocs.sh: new option --html.

2004-01-14  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/html.c (rollback_empty_tag): rewrote to also identify empty
	elements with attributes.
	(insert_html_tag): increment and decrement in_html_elt.

	* makeinfo/index.c (index_add_arg): do not call flush_output for xml
	and html outputs as they do not need an accurate output line number
	tracking, and flush_output makes rollback_empty tag useless.

2004-01-13  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_code): increment and decrement in_html_elt when
	inserting the class attribute to avoid space char being replaced with
	entities.
	(cm_r, cm_dmn): use insert_string instead of add_word for the class
	attribute.

2004-01-13  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_r): changed add_word_args with insert_html_tag,
	and changed inline style with a class attribute.

	* makeinfo/html.c (insert_html_tag): when the current element is the
	same with the last in the stack, do not return if it's span.
	(html_output_head): new CSS class roman (for @r.)

2004-01-13  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/node.c (cm_node): reset output_position when closing the
	current HTML output file.

	* makeinfo/files.c (handle_delayed_writes): fixed position updating of
	the next writes.

2004-01-13  Karl Berry  <karl@gnu.org>

	* makeinfo/files.c (register_delayed_write): reword warning, and
	only warn if writing to stdout, not /dev/null.

2004-01-13  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/node.c (glean_node_from_menu): removed unnecessary
	line_number incrementation.

2004-01-13  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/float.c (cm_listoffloats):
	* makeinfo/index.c (cm_printindex): decrement line_number just after
	get_rest_of_line to make messages refer to the correct line,
	re-increment it just before returning.

2004-01-13  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/node.c (cm_node): fixed prev, next, up nodes defaulting
	code to not make use of @menus after @bye.

2004-01-13  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/index.c (cm_printindex): handle @printindex immediately
	if the output format is Docbook, rather than waiting for delayed
	writes.

2004-01-13  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/float.c (cm_listoffloats): insert xml elements also for
	docbook.

2004-01-13  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/float.c (float_type_exists): new function that checks if a
	specific type of @float is previously used.
	(cm_listoffloats): warn if requested float_type is unknown.

2004-01-12  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/files.c (register_delayed_write): warn if delayed write is
	requested when the output file is not seekable.

2004-01-10  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Using Include Files): mention the possibility
	of no nodes in an include file.  From Bob.

2004-01-10  Simon Josefsson  <jas@extundo.com>

	* makeinfo/node.c (cm_node): Only print ",\n" at correct places.

2004-01-10  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/html.c (html_output_head): use insert_string instead of
	add_word for css inclusion to avoid reformatting.

2004-01-09  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c:
	* makeinfo/xml.h: new variable xml_dont_touch_items_defs.

	* makeinfo/cmds.c (cm_comment, cm_sp):
	* makeinfo/xml.c (xml_insert_indexterm): set and unset
	xml_dont_touch_items_defs.

	* makeinfo/xml.c (xml_insert_element_with_attribute)
	(xml_add_char): do not do anything about @deffnx and @itemx commands
	if xml_dont_touch_items_defs is non-zero.

2004-01-09  Alper Ersoy  <dirt@gtk.org>

	* info/Makefile.am: define INFODIR2 that points to $datadir/info.

	* info/info.c (main): prepend INFODIR2 to infopath, if defined and if
	not the same with INFODIR.

2004-01-08  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/index.c (cm_printindex): adapted to delayed writing,
	decreased the space between the columns of plaintext output.

	* makeinfo/float.c (cm_listoffloats): disabled menu header checks,
	synced column_width with @printindex.

2004-01-08  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/index.c: moved INDEX_ELT and INDEX_ALIST typedefs to ...

	* makeinfo/index.h: here

	* makeinfo/files.h:
	* makeinfo/files.c (register_delayed_write): save line number in input
	document that the calling command is in.
	(handle_delayed_writes): adjust byte offsets in tag table and output
	line numbers in all of the indices,

	* makeinfo/makeinfo.c (convert_from_loaded_file): when finished, write
	the tag table after handling delayed writes.

	* makeinfo/node.c (write_tag_table): accept a filename argument, and
	open the file in append mode.

2004-01-08  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/float.c (add_new_float):
	* makeinfo/float.h: save the line number @float command used.

2004-01-08  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/toc.c (cm_contents): moved the call to html_output_head
	to ...

	* makeinfo/files.c (register_delayed_write): here.

2004-01-08  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/float.c (cm_listoffloats): adapted for delayed writing,
	and slightly fixed formatting with no_headers.

2004-01-08  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c: use cm_contents for @shortcontents
	and @summarycontents too.

	* makeinfo/files.c (register_delayed_write)
	(handle_delayed_writes): new functions.

	* makeinfo/files.h: new delayed_write struct and
	handling_delayed_writes variable.

	* makeinfo/makeinfo.c (insert): use whitespace macro instead of
	testing characters manually.
	(convert_from_loaded_file): call handle_delayed_writes when finished.

	* makeinfo/toc.c (contents_update_html, contents_update_info)
	(shortcontents_update_html, shortcontents_update_info): changed file
	read/writes with insert and insert_string.
	(rewrite_top, contents_update, shortcontents_update)
	(toc_update, cm_shortcontents): removed functions.
	(cm_contents): for HTML and Info, only call register_delayed_write if
	handling_delayed_writes is not true.  Call contents_update_html and
	other variants according to output format and command name.

	* makeinfo/toc.h: removed obsolete variables and functions.

2004-01-08  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/index.c (index_add_arg): keep line number of the index
	entry where it appears in the output.
	(insert_index_output_line_no): new function.
	(cm_printindex): call insert_index_output_line_no for info and
	plaintext outputs.

2004-01-08  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.h: new variable output_line_number.

	* makeinfo/makeinfo.c (flush_output): keep number of lines in the
	flushed data, in output_line_number variable.

2004-01-07  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/float.c (cm_listoffloats): when there is no caption, do not
	insert space between the float number and the colon.

2004-01-07  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/float.c (cm_listoffloats): use shorttitle only if it's
	defined.

2004-01-07  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c: new command @shortcaption.

	* makeinfo/xml.c:
	* makeinfo/xml.h: new element SHORTCAPTION.

	* makeinfo/insertion.c (cm_caption): insert CAPTION or SHORTCAPTION
	according to command.
	(begin_insertion): read @shortcaption too.  Fixed XML floatpos
	contents.

	* makeinfo/float.h: added shorttitle and position to the float_elt
	struct.

	* makeinfo/float.c (add_new_float): accept a shorttitle argument.
	(current_float_shorttitle, current_float_position): new functions.
	(cm_listoffloats): if title is too long to fit into a line, try
	shorttitle.

2004-01-07  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/float.h: new variable node_has_listoffloats.

	* makeinfo/float.c (cm_listoffloats): insert menu header string only
	if node_has_listoffloats is not true.

	* makeinfo/node.c (cm_node): reset node_has_listoffloats.

2004-01-06  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (begin_insertion): fixed a thinko in @float
	arguments parsing code, regarding string termination; changed manual
	input text skipping with skip_whitespace_and_newlines for proper
	line_number handling; and changed magic number 10 with sizeof for
	improved readability.

	* makeinfo/float.c (cm_listoffloats): end paragraph before the menu
	header.  Use add_html_block_elt to insert <div> element.

2004-01-06  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/crossrefs.c:
	* makeinfo/crossrefs.h: moved to ...

	* makeinfo/xref.c:
	* makeinfo/xref.h: new files.

	* makeinfo/Makefile.am:
	* makeinfo/cmds.c:
	* makeinfo/footnote.c:
	* makeinfo/html.c:
	* makeinfo/makeinfo.c:
	* makeinfo/node.c:
	* makeinfo/node.h:
	* makeinfo/sectioning.c:
	* makeinfo/toc.c: adjusted for new names.

2004-01-06  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c:
	* makeinfo/makeinfo.h: moved cross referencing commands to ...

	* makeinfo/crossrefs.c:
	* makeinfo/crossrefs.h: new files.

	* makeinfo/cmds.c:
	* makeinfo/footnote.c:
	* makeinfo/html.c:
	* makeinfo/makeinfo.c:
	* makeinfo/node.c:
	* makeinfo/sectioning.c:
	* makeinfo/toc.c: added crossrefs.h to includes.

	* makeinfo/Makefile.am: added new files crossrefs.c and crossrefs.h

2004-01-06  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/node.c (cm_node): removed ``Node: <nodename>'' from the
	node headers.

2004-01-06  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (begin_insertion): keep line_number the same
	before and after get_until, so messages issued inside full_expansion
	have correct line numbers.

2004-01-06  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (handle_menu_entry):
	* makeinfo/node.c (glean_node_from_menu): adjust line_number.

2004-01-05  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\rawbackslashxx): rename to \backslashcurfont,
	to keep reducing the number of `xx's here.

	* doc/texinfo.tex (\setref): call \atdummies, not \indexnofonts; we
	need to keep the user's commands.
	(\dofloat): call \indexnofonts and \turnoffactive
	to support commands and special characters in the
	float type name.

	* doc/texinfo.txi (firstparindent): shorten name so it doesn't
	break in the toc.

2004-01-05  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/html.c (html_output_head): new CSS entry span.sc for
	small-caps font variant.

	* makeinfo/cmds.c (cm_sc): use span with class attribute sc, instead
	of small.

2004-01-04  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\commondummies, \indexnofonts): Merge the
	  common part of these two to ...
	  (\commondummiesnofonts): ... a new macro.
	  (\indexdummylatex, \indexdummytex, \indexdummydots): Nuke,
	  the time saved is not worth the hassle.

2004-01-04  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\makedispenv): Determine the size of the fonts
	  according to the value of SETdispenvsize, using ...
	  (\setnormaldispenv, \setsmalldispenv, \SETdispenvsize, \smallword):
	  (\nosmallword): ... these new macros.
	  (\flushleft): No longer defined via \makedispenv.

2004-01-03  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\TeX): new macro, copying plain but make a
	period following end a sentence.  Idea from LaTeX.

2004-01-02  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/node.c (clean_old_split_files): new function.
	(split_file): moved filename generation code to a ...
	(enumerate_filename): new function.

	* makeinfo/makeinfo.c (convert_from_loaded_file): call
	clean_old_split_files before calling split_file.

2004-01-02  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (create_html_directory): new function.
	(insert_toplevel_subdirectory): moved common if blocks to
	create_html_directory.  Adjusted checks to reuse existing
	directories, and remove existing <output>.html files, when
	falling back to suffices.

2004-01-02  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_code): for HTML, use span for @command, @env,
	@file, @option and @samp, and insert command name as class attribute.

2003-12-31  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (add_char, handle_menu_entry): end <ul> block
	before inserting <p>, and restart afterwards.

2003-12-31  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (handle_menu_entry): for HTML, append colon only
	if there is a description following the menu item.

2003-12-31  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (usage): removed short forms of output options.

2003-12-30  Alper Ersoy  <dirt@gtk.org>

	* cmds.c (cm_comment): do not output comments before HTML header is
	written.

2003-12-30  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (main): new option --plaintext.
	(usage): added short forms of --html, --xml, --docbook and --plaintext
	to the help text.

2003-12-30  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/multi.c (multitable_item): removed thead and tbody from
	HTML tables.  Added hsep after @headitem for Info.
	(multitable_item, multitable_tab): for HTML, use th instead of td for
	@headitem rows.

	* makeinfo/xml.c (xml_begin_multitable): moved Docbook TGROUP code to
	a ...
	(xml_begin_multitable_group): new function.
	(xml_end_multitable_row): restart TGROUP on @headitem.
	(xml_end_multitable): warn if @headitem is the last item in
	multitable, and output format is Docbook.  Joined common code between
	XML and Docbook.

2003-12-30  Arnold D. Robbins  <arnold@skeeve.com>

	* makeinfo/cmds.c (cm_strong): Use <emphasis role="bold"> for docbook.

2003-12-30  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/float.c (cm_listoffloats): substituted fixed numbers with
	the sizeof operator where possible, and commented code where not, to
	improve code readability.

2003-12-30  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (cm_image): do not escape backslash and double
	quote characters in plaintext output.

2003-12-30  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (cm_image): do not write magic cookie when
	output format is plaintext.

2003-12-30  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (add_char): added forgotten html check to
	in_html_block_level_elt if block.

2003-12-30  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c:
	* makeinfo/xml.h: added new element alttext (IMAGEALTTEXT),
	as a child of image.

	* makeinfo/makeinfo.c (cm_image): moved alttext attribute to the new
	alttext child in XML output, to keep markup intact.  Moved filename
	CDATA to name attribute.

	* makeinfo/texinfo.dtd: updated image element.

2003-12-30  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (cm_image): use HTML entities in alt attribute.

2003-12-28  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (cm_item): do not call close_single_paragraph
	and use rollback_empty_tag for empty <dd> removal.

2003-12-28  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/html.c (rollback_empty_tag): new function.
	(insert_html_tag): try rollback_empty_tag before closing both
	tag and old_tag.

2003-12-28  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_sp): for HTML use <pre>.

	* makeinfo/defun.c (defun_internal): do not close paragraph when
	outputting HTML to avoid empty <p> elements.
	(process_defun_args): joined duplicate if/else blocks.

	* makeinfo/html.c (insert_html_tag): removed redundant paragraph
	starting code.

	* makeinfo/insertion.c (begin_insertion): keep state of the first <dt>
	child of a <dl> in the new html_deflist_has_term variable for ...
	(cm_item): cleaner <br> insertion checks.  Fixed non-functional empty
	<dd> rollback code.

	* makeinfo/makeinfo.c (add_html_block_elt, add_html_block_elt_args):
	new functions for inserting block level elements that must not be
	preceded by a <p> element.
	(add_char): insert <p> only if in_html_block_level_elt is not true.

	* makeinfo/cmds.c (cm_comment, cm_center):
	* makeinfo/footnote.c (output_pending_notes):
	* makeinfo/html.c (html_output_head):
	* makeinfo/index.c (cm_printindex):
	* makeinfo/insertion.c (enum_html, begin_insertion, end_insertion)
	(handle_verbatim_environment, cm_item):
	* makeinfo/makeinfo.c (handle_menu_entry):
	* makeinfo/multi.c (do_multitable):
	* makeinfo/node.c (cm_node):
	* makeinfo/sectioning.c (sectioning_html): use add_html_block_elt and
	add_html_block_elt_args instead of add_word and add_word_args
	respectively, when inserting <ul>, <div>, <h?> and the like.

2003-12-25  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Def Cmd Continuation Lines): new node.
	* NEWS: mention this new feature.

2003-12-25  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (end_insertion): inhibit paragraph indentation
	for more cases after example, display and the like environments.

	* makeinfo/xml.c (xml_start_para, xml_end_para): made <para> and
	</para> indentation more newline-aware.

2003-12-25  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (end_insertion, cm_example, cm_smallexample)
	(cm_lisp, cm_smalllisp, cm_format, cm_smallformat, cm_display)
	(cm_smalldisplay): unified whitespaces inside these elements
	in XML and Docbook output (always one newline at the beginning
	and one at the end).

2003-12-25  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/lang.c (cm_accent_generic_no_headers): do not issue
	warnings when substituting non-ASCII accents with punctuation.

2003-12-24  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c (cm_xref): rparen is not allowed after all,
	confirmed by experimentation (thanks to Luc).
	* doc/texinfo.txi (ref): remove it from doc.

2003-12-23  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (convert_from_loaded_file): when finished, do
	not indent body and html closing tags, and do not use comment tags if
	there is no trailing information.

2003-12-23  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_acronym):
	* makeinfo/cmds.h: save second arguments of acronym in acronyms_stack
	and reuse them as title attributes of acronym element of HTML output,
	when there is only one argument given.

2003-12-23  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (cm_image): use text_expansion for alt
	attribute of images.

2003-12-23  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/sectioning.c (sectioning_html): do not insert "%s "
	unconditionally for title enumerations, which causes unnecessary
	blanks for @unnumbered and @top.

2003-12-23  Arnold D. Robbins  <arnold@skeeve.com>

	* float.h (FLOAT_ELT): New member: `title_used'. Avoids reuse of
	title inside nested floats.
	(current_float_used_title, current_float_set_title_used): declared.

	* float.c (add_new_float): Init `new->title_used' to zero.
	(current_float_used_title, current_float_set_title_used): new
	functions.

	* xml.c (xml_begin_docbook_float): Make use of new functions to
	avoid omitting title, tag, id if have already done so inside
	nested float.

2003-12-22  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c (cm_xref): warn if character after @ref does
		not produce a valid Info ref.
	(cm_ref): call cm_xref in both START and END cases.
	* doc/texinfo.txi (ref): make the second example being a "wrong"
	        one explicit (report from Luc), and mention the warning.

2003-12-21  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\comma): new command.
	* makeinfo/cmds.c (cm_comma): new fn.
	(command_table): use it for @comma.
	* doc/texinfo.txi (Atsign Braces Comma): Rename node.
	(Inserting a Comma): new node.
	(@@-Command Summary): include it here.

2003-12-20  gettextize  <bug-gnu-gettext@gnu.org>

	* configure.ac (AM_GNU_GETTEXT_VERSION): Bump to 0.13.1.

2003-12-19  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\ordf, \ordm): use \lllsize instead of \lsize.
	Advice from Steve Peter.

	* doc/texinfo.txi (Printing Indices & Menus): typo, @@index ->
		@@vindex.  From Luc.

2003-12-19  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_acronym): read and make use of second argument
	like texinfo.tex does.

	* makeinfo/xml.c:
	* makeinfo/xml.h:
	* makeinfo/texinfo.dtd: new elements acronymword and acronymdesc.

2003-12-19  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (begin_insertion): insert float element for
	docbook too.

2003-12-18  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi, doc/info-stnd.texi: fix incorrect cross-manual
	xrefs.  From: Juri Linkov <juri@jurta.org>, 18 Dec 2003 05:01:07 +0200.

2003-12-18  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (insert): rollback unnecessary whitespace before
	newline characters.

2003-12-17  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\ordf, \ordm): new macros.
	(\commondummies): include them.
	(\indexnofonts): here too.
	* makeinfo/makeinfo.c (command_table): add them.
	* makeinfo/lang.c (cm_special_char): first cut at handling them.
	* doc/texinfo.txi (Inserting Accents): document them.

2003-12-16  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/defun.c (process_defun_args): use execute_string instead
	of add_word so accent commands are honored.

2003-12-16  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c (xml_begin_document): output xml process instruction
	also in the Docbook prolog.

2003-12-16  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (dots): document enddots spacing.

2003-12-16  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\dots): Use \hfil instead of \hss and only
	  the stretch factor in explicit skips; I don't suppose the dots
	  will overlap.
	  (\enddots): Merged with \dots.

2003-12-16  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c (cm_image): quote the src= arg in the Info
	case, since apparently that's what Jan implemented.  Report from:
	Torsten Bronger <bronger@physik.rwth-aachen.de>, 16 Dec 2003
	12:55:30 +0100.

	* util/dir-example: wdiff tools.

2003-12-15  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\dofloat): Move \startsavinginserts before
	  the begin of the vtop; it's still local---within the group
	  open by \float.
	  (\dofloat, \Efloat): Fix indentation.

2003-12-15  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\innerdef, \innernewcount): Nuked.
	  (\getfloatno): New macro, to establish the right float count.

2003-12-15  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\innernewbox): Nuked, the call expanded.

2003-12-14  Karl Berry  <karl@gnu.org>

	* makeinfo/tests/*: unset TEXINFO_OUTPUT where necessary.

2003-12-13  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Smallcaps, acronym): Compare and contrast these
		a bit more fully.
	* doc/texinfo.tex (\setfontstyle): just \def the string; since we
		are \edef'd, we can't make ourselves a control sequence.
	(\selectfonts): new macro.
	(\doacronym): print acronym in smaller size, and \unsepspaces for
		if we're called inside @display.
	(\registeredsymbol): we can use \lllsize here too.

	* configure.ac: gettext 0.13 (many generated files updated).

	* Makefile.am (AUTOMAKE_OPTIONS): 1.8.

	* makeinfo/makeinfo.c: give warning if TEXINFO_OUTPUT value is
		unrecognized.
	* doc/texinfo.txi (makeinfo options): document TEXINFO_OUTPUT.

	* doc/texinfo.txi (tex): document @LaTeX.

	* doc/texinfo.tex (\loggingall): reduce \errorcontextlines for
	sake of infinite loops.
	(\setfontstyle): \def better than \edef?
	(\commondummies): LaTeX is a new dummy.
	(\indexdummies): likewise.
	(\indexdummylatex): sorted the obvious way.

	* doc/texinfo.tex (\LaTeX): New macro for new command.
	(\setfontstyle): new macro to remember current font style.
	(\rm,\it,\sl,\bf,\tt,\sf,\ttsl): call it; all but
	the last two are new too.
	(\ssecsc): use correct magnification, we do for everything else.
	(\reducedrm..\reducedsy): new fonts.
	(\reducedfonts): new macro.
	(\textfonts..\smallerfonts): set \lsize and \lllsize macros.

2003-12-13  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (main): changed TEXINFO_XML_OUTPUT to
	TEXINFO_OUTPUT.  It now specifies the default output format.

2003-12-13  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/defun.c (defun_internal): implemented basic line
	continuation.

2003-12-13  Karl Berry  <karl@gnu.org>

	* CVSROOT/loginfo: put filename/version number in mail subject.

	* util/srclist.txt (help2man): remove, we require cvs-builders to
		have this installed now (or accept `missing's replacement),
		along with the rest of the dev tools.

2003-12-13  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/defun.c (defun_internal):
	* makeinfo/insertion.c (end_insertion): do not use tables for HTML
	@deffns.

2003-12-13  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (begin_insertion): strip whitespace from @float
	arguments.

	* makeinfo/sectioning.c: last_section_title and last_section_number
	now default to empty strings.

2003-12-13  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_LaTeX): new function for @LaTeX{}.

	* makeinfo/texinfo.dtd: new latex entity.

2003-12-13  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.h:
	* makeinfo/xml.c: new element DIMENSION.

	* makeinfo/cmds.c (cm_dmn): new function for @dmn.

2003-12-13  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (main): if TEXINFO_XML_OUTPUT envvar is set,
	default to XML output.

2003-12-13  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (main): enabling one output format effectively
	disables others.

2003-12-13  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/lang.h:
	* makeinfo/lang.c (current_document_encoding): new function.

	* makeinfo/xml.c (xml_begin_document): specify encoding in the XML
	prolog if different from no_encoding.

2003-12-13  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c:
	* makeinfo/texinfo.dtd: moved documentlanguage out of para.

2003-12-13  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/float.c (add_new_float): now expects position argument too.

	* makeinfo/insertion.c (begin_insertion): read arguments from @float
	line, do not look for @anchor.
	(end_insertion): changed info caption style.
	(cm_caption): use is_in_insertion_of_type instead of
	current_insertion_type.

	* makeinfo/xml.h:
	* makeinfo/xml.c: new element floatpos.
	(xml_begin_enumerate): check actual supplied value, not first digit.
	Also special case for GPL's silly `@enumerate 0'.  From Aharon Robbins
	<arnold@skeeve.com> Tue, 9 Dec 2003 12:38:04 +0200.

2003-12-12  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (ifnotdocbook,ifnotxml): define these @-commands.
	Report from Arnold.

	* doc/texinfo.tex (\setfilename): make the \openout\auxfile be
	\immediate, again.

2003-12-09  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\envparseargdef): New macro, a combination
	  of \envdef and \parseargdef.
	  (\enumerate, \float): Use it.

2003-12-09  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\float, \Efloat, \caption, \shortcaption):
	(\listoffloats): Adapt to the new environment definition framework.

2003-12-09  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\setref, \xrefX): Make the ``\indexnofonts''
	  setups in these two consistent.

2003-12-09  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\innernewbox): New macro, non-outer \newbox.
	  (\newsaveinsX): Use it.

2003-12-09  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex: after test for epsf.tex, \closein 1, even if the
	  file wasn't there.
	  (\summarycontents, \tryauxfile): Similarily, \closein 1 even if eof.
	  (\startcontents, \contents, \summarycontents): fix indentation.

2003-12-09  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\pdfmakeoutlines): Fix a typo, need
		\def\thisubsecnum not \let.

2003-12-08  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\makedefun): Add `\def\deffnheader' or the like
	  at the end; all calls of this macro changed.

2003-12-08  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\normaldefunargs): Renamed to ...
	(\defunargs): ... this; all callers changed.
	(\ampdefunargs): Nuked, the only call expanded.

2003-12-08  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\setfilename): Simplify the code for conditional
	\input of texinfo.cnf.
	(\contents): Call \pdfmakeoutlines only if .toc exists.
	(\pdfmakeoutlines): Thus .toc must exist, no need to check again.
	(\documentlanguage): Simplify, fix indentation.

2003-12-08  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\center): Separate the horizontal and vetical...
	(\centerH, \centerV): ... versions; account for \leftskip in \centerV.

2003-12-08  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\group, \Egroup): Don't call \offinterlineskip;
	to fix the line spacing after the group, propagate \prevdepth.
	(Else, @exdent inside @group gets the wrong spacing.)

2003-12-08  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\acronym): Check for second parameter, ...
	(\doacronym): using this new function; remove smallcaps.

2003-12-08  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\pdfmakeoutlines): Make the counting macros
	  robust, so that they won't break on incorrectly nested sections.
	  (For instance, in the bzip2 manual.)

2003-12-08  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\author): If appears inside a @quotation
	environment, interpret it as an affiliation; otherwise it has to
	appear directly inside @titlepage.

2003-12-08  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\argremovec, \argcheckspaces): Add support for
	continued lines to \parsearg, while ...
	(\domakedefun, \printdefunline): ... removing it from @defun's ...
	(\parsedefunline): ... and thus nuking this.
	(\startdefunx): Replaced by ...
	(\dodefunx): ... this; it reuses the code of the respective @defun.

2003-12-08  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\defparsearg): Rename to ...
	(\parseargdef): ... this; all uses changed.

2003-12-08  Stepan Kasal  <kasal@ucw.cz>

	New framework for environments in texinfo.tex.  It's used like this:
		\envdef\foo{...}
		\def\Efoo{...}
	It's the responsibility of \envdef to insert \begingroup before the
	actual body; @end closes the group after calling \Efoo.
	\envdef also defines \thisenv, so the current environment is known;
	@end checks whether the environment name matches.
	The \checkenv macro can be used also elsewhere to check whether the
	current environment is the one expected.

	Non-false conditionals (@iftex, @ifset) don't fit into this, so they
	are not treated as enviroments; they don't open a group.
	(The implementation of @end takes care not to call \endgroup in this
	special case.)

	* doc/texinfo.tex: All environment definitions, true conditionals and
	@ifset, @ifclear, changed.

	Another issue:
	@set and @value allowed - and _ in variable names, but @clear, @ifset
	and @ifclear were not ready to accept such variables.

	* doc/texinfo.tex (@set, @clear, @ifset, @ifclear): Call
	\makevalueexpandable.

2003-12-08  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\multitable): Move \everytab={} and the check
	for saved inserts to \everycr; thus \item is \crcr again.
	(\Emultitable): Call \setpercentfalse only after the last \crcr.

2003-12-08  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\readauxfile): Read it, unconditinally;
	don't open the aux file for writing.
	(\tryauxfile): A new wrapper around \readauxfile, which checks
	whether the file exists.
	(\setfilename): Call \tryauxfile, then open the aux file for writing.

2003-12-08  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\readauxfile): Don't hide serious problems by
	setting the catcode of backslash to other.

2003-12-08  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\setref): Call \indexnofonts to get nicer names
	of reference identifiers expanded in \edef.

2003-12-08  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\scanmacro): Add \spaceisspace, in case we are
	  in an environment with active spaces; without this, \eatspaces
	  didn't work.

2003-12-08  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\scanmacro): Define only one version, using ...
	  (\scantokens): ... which is a primitive of e-TeX; under ordinary
	  TeX, define a replacement.

2003-12-08  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\spaceisspace): A macro which resets space's
	catcode to its normal value; use where appropriate.

2003-12-08  Karl Berry  <karl@gnu.org>

	* util/texi2dvi: use etex/pdfetex if available.
	(findprog): new helper fn.
	* NEWS (texi2dvi): mention this.
	* doc/texinfo.txi (Format with texi2dvi): use @TeX{} instead of
	@code{tex}, since we don't literally run `tex' any more.

	* info/session.c (info_select_reference_this_line): don't crash if
	we have no window->line_starts, as it is after
	set-screen-height to less than 5.
	Report from: Christian Biere <christianbiere@gmx.de>,
	8 Dec 2003 19:12:08 +0100.

	* doc/texinfo.tex (\comma): new command.

	* bootstrap: make need for --enable-maintainer-mode more explicit.

	* doc/texinfo.tex (\xrefX): otherify everything before getting the
	-title \csname, so that _'s (et al.) are allowed.

2003-12-07  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\xrefX): handle float case.
	(\parsefloat): take additional optional arg for xref label.
	(\dofloat): call \setref to define the float in
	the aux file.
	(\Yfloat): new macro for \setref.
	(\floatmagic): new macro for \xrefX and \dofloat
	to communicate.

2003-12-03  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Not Ending a Sentence): mention special
	entities output for @: in Docbook and XML.

2003-12-02  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_punct): new function to handle @., @! and @?
	commands.
	(cm_comment): crunch multiple dashes to a single dash for XML
	validity.

	* makeinfo/texinfo.dtd: new entities: period, eosperiod, quest,
	eosquest, excl, eosexcl.

2003-12-02  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (begin_insertion): look for a newline before
	@anchor and @caption commands in floatenv.

2003-12-2 Arnold Robbins  <arnold@skeeve.com>

	* makeinfo/insertion.c (end_insertion): Change tests for docbook
	and insertion to check current insertion type instead of if deep
	inside a float insertion.
	(cm_example, cm_smallexample, cm_lisp, cm_smalllisp, cm_cartouche)
	(cm_caption): Same.

	* xml.h (FLOATCARTOUCHE): New constant.
	* xml.c (texinfoxml_element_list, docbook_element_list): Add "sidebar"
	for FLOATCARTOUCHE.  For docbook, map @display, @smalldisplay to
	"literallayout".
	(replacement_elements): Add entry for CARTOUCHE -> FLOATCARTOUCHE.
	(xml_begin_docbook_float): Special case for CARTOUCHE, sidebars don't
	have labels.

2003-12-01  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\float, \listoffloats): new macros for new
		@-commands -- skeletal implementation only now.

	From: Aharon Robbins <arnold@skeeve.com>, 1 Dec 2003 17:43:12 +0200:
	* makeinfo/float.h (current_float_type): declare.
	* makeinfo/cmds.c (cm_colon): new fn.
	(command_table): use it for @:.

2003-11-29  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (@turnoffactive): include @unsepspaces, so
	spaces in anchor names don't expand in the .aux file.  From
	Stepan.

2003-11-28  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Abstract Objects): class names are no longer
	printed in rm by default.
	* doc/texinfo.tex (\cite): redefine to always use \sl, never \ttsl.
	* doc/texinfo.tex (\ttslanted): new macro.
	(\normaldefunargs): use it for @var; go back to
	\sl by default.

	* doc/texinfo.txi: document @deftypecv.

2003-11-28  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_comment): do not perform expansion.

2003-11-28  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_r): also set font-weight to normal in HTML.

2003-11-28  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_comment): new function to output comments in
	HTML, XML and Docbook outputs.

2003-11-28  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/index.c: new section and section_name properties in
	index_elt struct.

	* makeinfo/index.c (index_add_arg): save current section number and
	title for plain text output.
	(cm_printindex): simplified printing with no_headers output.

2003-11-28  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/float.h: new section and section_name properties in
	float_elt struct.

	* makeinfo/float.c (add_new_float): save current section number and
	title for plain text output.
	(cm_listoffloats): list floats with no_headers too, following
	printindex @example.

2003-11-28  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/sectioning.h:
	* makeinfo/sectioning.c (current_sectioning_number)
	(current_sectioning_title): new functions.

	* makeinfo/sectioning.c (get_sectioning_number): moved space char at
	the end of numbers to ...
	(insert_and_underscore, sectioning_html): here.
	(get_sectioning_number, insert_and_underscore): keep track of the last
	number/title to be used by @float, @cindex like commands that need to
	know in which section they are used.

2003-11-27  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_math): new function that encloses @math
	statements in a math element in XML.

	* makeinfo/xml.c:
	* makeinfo/xml.h: new element math.

2003-11-27  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/float.c (cm_listoffloats): made the layout in Info output
	the same with indices.

2003-11-25  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/float.c (cm_listoffloats): generate a menu for Info, with
	automatically shortened captions.

2003-11-25  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_acronym): use acronym element for HTML.
	Report from: Torsten Bronger <bronger@physik.rwth-aachen.de>
	Tue, 25 Nov 2003 10:30:52 +0100.

2003-11-25  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/sectioning.c (cm_appendix): reset numbers only when
	changing enum_marker.

2003-11-25  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/index.c (cm_printindex): made Appendix matching locale
	aware.

2003-11-24  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/index.c (cm_printindex): also catch Appendix and A.1 kind
	of numbers with --no-headers Info output.

2003-11-24  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (cm_example):
	* makeinfo/xml.c (xml_insert_docbook_image, xml_begin_multitable):
	moved common floatenv handling to ...
	(xml_begin_docbook_float): here.

	* makeinfo/insertion.c (end_insertion, cm_smallexample, cm_lisp)
	(cm_smalllisp): insert FLOATEXAMPLE for Docbook if inside @float.

2003-11-24  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (is_in_insertion_of_type): don't return the
	level, as it is not useful.
	(begin_insertion): instead of is_in_insertion_of_type, use
	float_active.

	* makeinfo/insertion.c (cm_example):
	* makeinfo/xml.c (xml_insert_docbook_image, xml_begin_multitable):
	insert empty label for @floats with no @anchor.

2003-11-24  Karl Berry  <karl@gnu.org>

	* doc/Makefile.am (EXTRA_DIST): remove no-longer-defined
	noinst_SCRIPTS.

2003-11-24  Akim Demaille  <akim@epita.fr>

	* configure.ac (HELP2MAN): Look for it.
	* doc/help2man: Remove.
	* doc/Makefile.am (HELP2MAN, noinst_SCRIPT): Remove.
	(common_mandeps): Don't depend on HELP2MAN which can be a complex
	command such as "missing --run help2man.

2003-11-24  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: doc/\global fixes.

2003-11-24  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c: new command @listoffloats.

	* makeinfo/float.c (count_floats_of_type_in_chapter): only count
	floats with @anchors.
	(cm_listoffloats): new function.

	* makeinfo/insertion.c (end_insertion): do not prepend float type and
	number if no @anchors.

2003-11-24  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c:
	* makeinfo/xml.h: new element listoffloats.

2003-11-24  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.h: number sections by default.

2003-11-24  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (cm_xref): if a reference is being made to a
	float with only one parameter, use the float number in HTML, and
	prepend it to the link in Info outputs.

2003-11-24  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/float.h:
	* makeinfo/float.c (get_float_ref): new function to retrieve a float's
	number by its id.

2003-11-24  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (end_insertion): indent the first paragraph
	after @float.

2003-11-24  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c: new commands @float and @caption.

	* makeinfo/insertion.h: new environment floatenv.

	* makeinfo/insertion.c (cm_float, cm_caption): new functions.
	(begin_insertion, end_insertion): handle floatenv.

	* makeinfo/xml.c:
	* makeinfo/xml.h: new elements float, floattype, caption, floattable,
	floatfigure, floatexample.

	* makeinfo/insertion.c (cm_example):
	* makeinfo/xml.c (xml_insert_docbook_image, xml_begin_multitable):
	insert label and id attributes, title element for docbook if used
	inside @float.

	* makeinfo/xml.c: replacements for multitable and informalfigure.
	(xml_insert_element_with_attribute): special-cased float element for
	docbook to make it appear in element stack and thus enable element
	replacements inside floatenv.

2003-11-24  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/float.c:
	* makeinfo/float.h: new files for float environment functions.

	* makeinfo/Makefile.am: added new files to makeinfo_SOURCES.

2003-11-24  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (cm_xref): xstrdup the result from
	xml_get_assoc_for_id, as it gets freed later.

	* makeinfo/xml.c (xml_get_assoc_for_id, xml_associate_title_with_id):
	reimplemented unnumbered_labels handling.
	(xml_insert_docbook_image): Docbook expects format attribute values to
	be uppercase.

2003-11-23  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: doc fix for multitable.
	* util/gendocs.sh: docbook support, from Simon Josefsson.

	* doc/texinfo.tex (\defttsl): new font.
	(\df): set ttsl too.
	(\deffngeneral,\deftypefngeneral,\deftypecvgeneral,
	 \deftypheader): call \ampdefunargs or \normaldefunargs.
	(\normaldefunargs): new macro, typesetting defun
	 args in ttsl (instead of sl).
	(\ampdefunargs): treat & specially and then call \normaldefunargs.
	(\defname): typeset defun name in tt (instead of bf).

	* doc/texinfo.tex: uniformly comment out eol with {% at macro
	starts.

2003-11-23  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (is_in_insertion_of_type): return the level
	where the insertion is found.

	* makeinfo/makeinfo.c (search_forward_until_pos): new function that
	sets search_forward boundary.
	(text_expansion): also reset docbook.

	* makeinfo/sectioning.h:
	* makeinfo/sectioning.c (current_chapter_number): new function that
	returns top level chapter numbers.
	(handle_enum_increment): always do the incrementation. but return
	strings conditionally.

	* makeinfo/xml.c: changed screen element's contained_in_para to 0 for
	Docbook. @lisp/@smalllisp create programlisting.
	(xml_insert_quotation): reimplemented quotation_stack handling.

2003-11-22  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\tocentry): same as \entry, no second 1pt of
	stretch.  And a couple doc fixes.

	* doc/texinfo.txi (Conventions): finally, get rid of @vskip
	-@baselineskip kludge, we handle index entries after @item's now.

2003-11-22  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.txi: use new @quotation feature.

	* texinfo.tex (\putwordDeftypevar, \putwordDeftypefun): Remove.
	* txi-cs.tex, txi-de.tex, txi-en.tex, txi-es.tex, txi-fr.tex,
	  txi-it.tex. txi-nl.tex, txi-no.tex, txi-pl.tex, txi-pt.tex,
	  txi-tr.tex: The same.
	[texinfo-20031120-deftype-del.patch]

	* doc/texinfo.tex (\verbatim,\Everbatim): remove one extra level
	of grouping; move two lines of code ...
	(\setupverbatim): ... here.
	(\doverbatiminclude): just call the new \setupverbatim.
	(\setupverbatiminclude): remove.
	[texinfo-20031121-verbatim2.patch]

	* doc/texinfo.tex (\math): no need for \mathcode, and we actually
		can use $ not \implicitmath.
	[texinfo-20031121-math.patch]

	* doc/texinfo.tex (\zeroskipmacro): new macro, so we can
	check for true zero skip.
	(\dosubindsanitize): use it.
	[texinfo-20031120-zeroskip.patch]

	* doc/texinfo.tex (\doignore): scan in verbatim mode.  Without this,
	if the last line of ignored text ended with ``@'', the ``@end ifxxx''
	tag was missed.
	(\dodoignore): use \_STOP_ instead of \ST@P.
	[texinfo-20031120-ignore-at.patch]

	* doc/texinfo.tex (\defparsearg): new macro, to simplify places
	where the user macro just calls \parsearg.  Use it in many places.
	[texinfo-20031121-defparsearg.patch]

	* doc/texinfo.tex (\begin): remove, this is undocumented
	and unused.
	[texinfo-20031121-begin.patch]

	* doc/texinfo.tex (\title,\subtitle,\author,...): move to outer
	level (was inside \titlepage), it's more readable than nested
	definitions.
	[texinfo-20031116-titlepage1.patch]

	* doc/texinfo.tex (\evenheadingxxx,\oddfootingyyy): might as well
		use \ and avoid changing catcode of @.
	[texinfo-20031116-catofat.patch]

	* doc/texinfo.tex (\set): use new macros: \parseargusing and
	\makecsname.
	[texinfo-20031116-set.patch]

	* doc/texinfo.tex (\cartouche): avoid \par if we are already in
	vertical mode, in case it has an effect, eg. in an @example;
	avoid extra space from the @cartouche line itself.
	(\Ecartouche): force vertical mode, so that the \kern has the desired
	effect.
	[texinfo-20031120-cart.patch]

	* doc/texinfo.tex (\ptexfootnote,\ptexinsert): save orig definitions.
	(\startsavinginserts): new macro (with relatives), call from
		\cartouche, \group, \table.
	[texinfo-20031118-saveins.patch]

	* doc/texinfo.tex (\table, \ftable, \vtable, \tablex, \tabley,
	\tablez): Cleaned up indentation, etc.
	(\kitem, \kitemx, \xitem, \xtemx, \description): Removed; they
	  didn't look as if they would work in their present state, anyway.
	[texinfo-20031114-table.patch]

	* doc/texinfo.tex (\filenamecatcodes): new macro.
	(\include,\verbatiminclude): use it, with new \parseargusing.
	(\pushthisfilestack,etc.): implement our own stack of filenames
	instead of reading the @include argument in a group.
	[texinfo-20031109-include.patch]

	* doc/texinfo.tex (\indexbreaks): remove, and remove call.
	(\entry): read arguments on the fly, to avoid fixing catcodes.
	[texinfo-20031121-indexbreaks.patch]

	* doc/texinfo.tex (\makevalueexpandable): new macro.
	Change occurrences of \let\value=\expandablevalue to use it,
	to reduce code duplication.
	[texinfo-20031121-value.patch]

	* doc/texinfo.tex (\parsedefunlineX,\defunchkspace,defunchktab,
	\defunloop,\defunchkfinish,\replaceeols): New macros.
	(\parsedefunline): start them off.  This is to support continuations
	lines for @defun headers.
	[texinfo-20031108-defun-cont.patch]

	* doc/texinfo.tex (\defun and all related commands):
	rewrite to use \parsearg and uniform command generation.
	(\makecsname): New macro, to be used within \edef's only.
	[texinfo-20031120-defun.patch]

	* doc/texinfo.tex (=, \equalChar): remove active definition of =
	and hacks that printed = in \tt sometimes.  We want to print
	everything in \tt anyway, ultimately.
	[texinfo-20031120-defun-pres3.patch]

	* doc/texinfo.tex (\defopheader,\defcvarheader,defivarheader):
	use \code for the class name.
	[texinfo-defun-pres2.patch]

	* doc/texinfo.tex (\parsearg): Reset the catcode of space before
		we scan the argument; so we don't have to worry about
		obeyed spaces before and after the argument.
	(\parseargx, \parseargy): Nuke, it was wrong anyway--\obeyedspace,
	which is a macro, was compared with \temp which could have been let
	to an obeyed space, but it couldn't be a macro.
	(\removeactivespaces,\removeactivespacesX,\removeactivespacesY): Nuke.
	(\argremovespace): If the argument scanned by \parsearg ends with
	a space, remove it.
	[texinfo-20031108-parsearg-space.patch]

	* doc/texinfo.tex: use \other, for clarity and efficiency;
		use `\^^M instead of raw number 13.
	[texinfo-20031108-other.patch]

	* doc/texinfo.tex (\doverbatim): \xdef and \gobble, to avoid
		the active space between `\end' and `verbatim'.
	[texinfo-20031120-verbatim.patch]

	* doc/texinfo.tex (\quotationlabel): new macro to print label,
		with a \bf space.
	(\quotation): change call so \parsearg is at the end.
	[texinfo-20031118-quot.patch]

2003-11-21  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (cm_xref): removed the warning about
	@xrefs to @unnumbered sections, as there are many situations where
	there is no way to fix them.

	* makeinfo/insertion.c: removed lingering titlepage_cmd_present
	declaration.

2003-11-21  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_titlepage, cm_titlepage_cmds): moved to ...
	* makeinfo/insertion.c: here.

	* makeinfo/cmds.h (titlepage_cmd_present): moved to ...
	* makeinfo/makeinfo.h: here.

	* makeinfo/insertion.c (is_in_insertion_of_type): new function to
	query insertion_stack to see if we are inside a given insertion type.

	* makeinfo/makeinfo.h:
	* makeinfo/insertion.c (begin_insertion, end_insertion):
	* makeinfo/xml.c (xml_add_char):
	* makeinfo/xml.h: removed xml_in_copying and inside_titlepage_cmd
	global variables in favor of the new query function.

2003-11-21  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (discard_until, execute_string): reworded
	multiline related error messages.
	(discard_until): rollback input_text_offset only if not dealing with a
	multiline error, otherwise the same block gets in the way repeatedly.

2003-11-21  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.h:
	* makeinfo/xml.c (xml_get_assoc_for_id, xml_associate_title_with_id):
	new functions.
	(xml_insert_indexentry): call execute_string(xref) instead of creating
	references directly.

	* makeinfo/makeinfo.c (cm_xref): check to see if xref is being made to
	an @unnumbered, and only one argument is given.  issue a warning, use
	@unnumbered's title as the third argument.

	* makeinfo/sectioning.c (sectioning_underscore): keep track of
	unnumbered sections, and their node names.

2003-11-21  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/sectioning.c (sectioning_underscore): for Docbook, always
	provide label attribute for chapter and unnumbered.
	(handle_enum_increment): simplified enumeration constraints, and
	changed to follow TeX way.  Moved marker handling to ...
	(cm_chapter, cm_unnumbered, cm_appendix): here.
	(cm_appendix): restart numbering.

2003-11-21  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.h:
	* makeinfo/insertion.c: new rawdocbook and rawxml insertion types to
	provide better block names in error messages (instead of "rawhtml" for
	everything.)
	(current_item_function, insertion_type_pname, find_type_from_name)
	(begin_insertion, end_insertion, discard_insertions, cm_docbook)
	(cm_xml, cm_item): honor new types.

2003-11-21  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (cm_image): issue only a warning instead of an
	error when .txt file is unreadable, to better comply with the manual.

2003-11-21  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/sectioning.c (sectioning_underscore): insert label="" only
	when the output format is Docbook.

2003-11-21  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (cm_end): get rest of the line before returning
	in case of error, so the parameter to @end does not get leaked into
	the output document.

	* makeinfo/makeinfo.c (discard_until): when the expected string is not
	found, check to see if we are looking for @end, and if so issue a more
	descriptive error message.
	(execute_string): keep track of insertion stack to catch multiline
	commands where they are not allowed.
	Report from: Dumas Patrice <dumas@centre-cired.fr>, Wed, 18 Jun 2003
	09:41:56 +0200.

2003-11-21  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/multi.c (multitable_item): start <tbody> immediately if
	this a regular @item, and first in the table

2003-11-19  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/footnote.c (output_pending_notes): always output footnotes
	with in_fixed_width_font = 0, so entity substitutions can take place.

2003-11-19  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/footnote.c (cm_footnote, output_pending_notes): provide
	back link from footnote marker.

2003-11-19  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (cm_insert_copying): remove blockquote from
	copying_text when inside bookinfo and the output format is Docbook.

2003-11-19  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (cm_value): return immediately instead of
	just suppressing bogus warnings.

2003-11-19  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (cm_value): do not issue bogus warnings about
	undefined values when @value is used inside a @menu environment, and
	the output format is Docbook.

2003-11-19  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/sectioning.c (sectioning_underscore): use @settitle value
	if @top parameter is empty.

2003-11-19  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c (xml_begin_index): make sure we are removing the
	label attribute and not something else.

2003-11-19  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/sectioning.c (get_sectioning_number): do not append space
	with Docbook.
	(sectioning_underscore): insert label attribute to make
	distinction between chapter and unnumbered in Docbook.
	(handle_enum_increment): also increment for Docbook.

	* makeinfo/xml.c (xml_begin_index): remove label attribute from index
	element.

2003-11-18  Karl Berry  <karl@gnu.org>

	* cmds.c (command_table): new commands @deftypecv, @deftypecvx.
	* defun.c, insertion.[ch], xml.c: implement them.

2003-11-18  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (execute_string): better para handling in case
	of nested executions.

2003-11-18  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Multi-column Tables): include cmd name in
	section name.
	(Multitable Rows): use @headitem in example.

2003-11-17  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c (xml_begin_document): upgraded docbook DTD to Docbook
	XML 4.2.

	* makeinfo/makeinfo.c (cm_xref):
	* makeinfo/xml.c (xml_insert_docbook_image, xml_insert_indexentry)
	(xml_begin_multitable): close previously open-tag-only elements.

2003-11-17  Karl Berry  <karl@gnu.org>

	* bootstrap: honor environment variables.

2003-11-17  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (execute_string): end paragraphs if
	executing @copying text with xml.

	* makeinfo/xml.c: disallow nested quotations, legalnotice in abstract,
	and samp in var with Docbook.

2003-11-17  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/insertion.c (begin_insertion): keep @copying state.
	use legalnotice instead of abstract for @copying.
	(cm_insert_copying): removed redundant work arounds.

	* makeinfo/makeinfo.c (execute_string): try to keep tags balanced with
	Docbook and xml.

	* makeinfo/xml.c
	(xml_current_stack_index, xml_end_current_element): new functions.
	(xml_add_char): enclose @copying text in a quotation element with
	Docbook.

2003-11-17  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_settitle): do not automatically start bookinfo
	element after settitle.

2003-11-17  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c (xml_synindex): new function to keep track of index
	redirections.
	(xml_insert_indexterm): added a check to see if any index
	redirections are made.

	* makeinfo/index.c (cm_synindex): let xml_synindex() handle xml part.

2003-11-17  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (cm_uref):
	* makeinfo/xml.c: use ulink for @uref with Docbook.

2003-11-16  Karl Berry  <karl@gnu.org>

	* util/install-info.c: protoize.
	* util/texindex.c: protoize.
	* util/dir-example (protoize,unprotoize): add.

	* doc/texinfo.tex (\everytab): new \toks.
	(\headitem): use it to typeset in bold.
	(\item): reset it.

2003-11-15  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (quotation): document it.
	* doc/texinfo.tex (\quotation): accept optional argument.
	(\doquotation): new macro to test for and typeset it.

	* doc/texinfo.txi (Multitable Rows): document @headitem.

	* doc/texinfo.tex (\headitem): error by default, redefine inside
	@multitable (= \dotable).  New command suggested by Arnold.

2003-11-15  Akim Demaille  <akim@epita.fr>

	* util/texi2dvi (fatal): New function. Use it.
	(txiversion): Be robust to broken texinfo.tex.

	* doc/texinfo.txi (example): mention use of @r for annotations.

2003-11-15  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c: new command @headitem.

	* makeinfo/insertion.c (cm_headitem): new function.

	* makeinfo/insertion.h: new variables to keep head item state.

	* makeinfo/multi.c (multitable_item, end_multitable):
	* makeinfo/xml.c (xml_end_multitable_row, xml_end_multitable):
	insert thead element if @headitem is used.

	* makeinfo/xml.h: new element THEAD.

	* makeinfo/texinfo.dtd: updated multitable structure.

	* NEWS: announced @headitem.

2003-11-14  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (cm_xref): make use of third and fifth arguments
	of @xref with Docbook.

	* makeinfo/xml.c: use Docbook citetitle for @cite.

2003-11-13  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: doc fixes.

	* configure.ac, NEWS: autoconf 2.59.

2003-11-13  Akim Demaille  <akim@epita.fr>

	* configure.ac: Use AC_CHECK_DECLS, not txi_CHECK_DECLS.
	Also use # instead of dnl for comments.
	* acinclude.m4: Remove.

2003-11-14  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_noindent): output continued paragraphs with
	docbook and xml only when @noindent command is used.
	(cm_noindent_cmd): new function.  Patch from Arnold Robbins
	<arnold@skeeve.com>, 13 Nov 2003 15:43:02 +0200.

2003-11-11  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_i, cm_b, cm_r): do not use lineannotation if we
	are printing indices.

	* makeinfo/insertion.c (cm_insert_copying): removed unnecessary xml
	fix.

	* makeinfo/texinfo.dtd: added OElig and oelig entities.

2003-11-11  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_sp): disabled parameter expansion.

2003-11-10  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c:
	* makeinfo/insertion.c (cm_html): do not process @xml blocks.
	(cm_xml): new function to process @xml.

	* makeinfo/xml.c (xml_start_para, xml_end_para): skip para handling in
	footnote.
	(xml_insert_footnote): keep state in xml_in_footnote variable.

	* makeinfo/texinfo.dtd: updated settitle definition.

2003-11-10  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Output Formats): rewrite to fix underfull
	boxes.

2003-11-10  Alper Ersoy  <dirt@gtk.org>

	* doc/texinfo.tex (\commondummies): added registeredsymbol.

2003-11-09  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/makeinfo.c (main): fixed a segfault with --html
	--no-header.

2003-11-09  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/html.c (html_output_head): output node name in title first.

2003-11-09  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c:
	* makeinfo/xml.h: new Docbook elements for quotation: tip, note,
	important, warning, caution.

	* makeinfo/xml.c: better font tags for Docbook.
	(xml_insert_quotation): new function that is aware of specialized
	Docbook elements for quotation.
	(xml_insert_entity): use add_char() instead of insert() for correct
	paragraph handling.

	* makeinfo/insertion.c (begin_insertion, end_insertion): use
	xml_insert_quotation() for quotations.
	(cm_quotation): removed quotation element insertion.
	(cm_insert_copying): also work around xml tags.

	* makeinfo/cmds.c (cm_b): really use bold with Docbook.

	* NEWS: @quotation changes.

2003-11-08  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (registeredsymbol): new node.

	* doc/Makefile.am (HELP2MAN): invoke explicitly from $(srcdir), in
	case . is not in PATH.

	* configure.ac (AC_CONFIG_HEADERS): apparent AM_CONFIG_HEADERS is
	obsolete now, and we get to use AC_CONFIG_HEADERS again.

	* doc/texinfo.txi (Fonts): mention <lineannotation> feature in
	Docbook feature.

	* doc/texinfo.txi (itemx): warn not to use blank lines between
	@itemx's.

2003-11-08  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c (cm_i, cm_b, cm_r): for Docbook, use <lineannotation>
	in @example-like environments.
	(cm_r): For HTML use <span> to make sure we always get roman text.

	* makeinfo/xml.c:
	* makeinfo/xml.h: new docbook element <lineannotation>.  Added also to
	replace_elements to avoid nesting.

2003-11-08  Alper Ersoy  <dirt@gtk.org>

	* doc/texinfo.txi (Custom Headings): removed a newline that broke
	Docbook output.

	* NEWS:
	* makeinfo/cmds.c: new command @registeredsymbol

	* makeinfo/cmds.c (cm_registeredsymbol): new function.
	(cm_code): fixed in_fixed_width_font adjustment for XML and Docbook
	outputs.
	(cm_noindent, cm_indent): set xml_no_indent as well.

	* makeinfo/makeinfo.c (reader_loop): use entities for double quotes
	and dashes in HTML, XML and Docbook outputs.

	* makeinfo/multi.c (setup_multitable_parameters): convert
	@columnfractions to integer percentages (original code from Arnold
	Robbins <arnold@skeeve.com>.)
	(multitable_item, cm_tab): add width attribute to <td> element if
	@columnfractions is used.

	* makeinfo/texinfo.dtd: added an optional role attribute to para
	element (used for @noindent.)  New attributes ldquo, rdquo, ndash,
	mdash, registered.

	* makeinfo/xml.c: replaced repeated command element with more
	appropriate Docbook elements in docbook_element_list.
	(xml_start_para, xml_end_para): new functions to centralize paragraph
	handling.

	* makeinfo/xml.h: new variable xml_no_indent.

2003-11-07  Karl Berry  <karl@gnu.org>

	* bootstrap: run the various auto* tools we need instead of
		autoreconf, which copies in older versions of files.

	* doc/Makefile.am (texinfo): remove the special rule, it seems to
		be fixed.

	* Makefile.am (AUTOMAKE_OPTIONS): bump to 1.7.8.
	* doc/version.texi, doc/version-stnd.texi: cvs add these again,
	because with AM_MAINTAINER_MODE they are not created
	(unless --enable-maintainer-mode is given).

	* doc/Makefile.am (*.1) [MAINTAINER_MODE]: use this conditional
	instead of TEXINFO_MAINT, now that we have it.
	* configure.ac (TEXINFO_MAINT): no longer needed, since we call
	AM_MAINTAINER_MODE.

2003-11-06  Karl Berry  <karl@gnu.org>

	* bootstrap: ok, restore --force since it doesn't help Alper
	anyway.

	* AUTHORS: Silly syntax.
	* bootstrap: no --force, everything is considered obsolete then
	(thanks Alper).

2003-11-06  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/html.c (html_output_head): add <link> elements pointing to
	top, up, next, prev nodes when splitting output, and to top when not
	splitting.  Also provide a link to Texinfo homepage.
	(add_link): use nodename as title attribute.

2003-11-05  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/html.c (html_output_head): append node name to title if
	splitting.  Escape special chars in title.

	* makeinfo/node.c (cm_node): removed <link> elements from HTML node
	navigation <div> as they are only allowed in <head>.

2003-11-05  Alper Ersoy  <dirt@gtk.org>

	* doc/texinfo.txi (Installing Dir Entries): fixed @uref for Free
	Software Directory.
	(Command List): Escaped @/.

	* info/display.c (handle_tag, handle_tag_start, handle_tag_end): new
	functions.
	(display_update_one_window): ignore the text between magic
	tags/cookies.

	* makeinfo/cmds.c (cm_dots, cm_enddots): use insert_string() for HTML
	to avoid escaping.
	(cm_bullet): use entity name (bull) instead of number (149).

	* makeinfo/index.c (cm_printindex): escape expanded_index.

	* makeinfo/lang.c (cm_accent_generic_html): handle @dotless{i}
	correctly.
	(cm_special_char): use entity names for @OE (OElig) and @oe (oelig)
	instead of numbers.

	* makeinfo/node.c (cm_node): escape node names in HTML output.

	* makeinfo/xml.c (xml_id): check to see if the character is allowed.

	* makeinfo/tests/accent-text.txi: new @dotless{j} lines.

	* makeinfo/tests/accent: look for &acute;j instead of &acute;i.

	* TODO: removed item about @dotless in HTML output.

2003-11-04  Karl Berry  <karl@gnu.org>

	* util/Makefile.am (EXTRA_DIST): spurious space after trailing
	backslash.

	* configure.ac (AC_PREREQ): 2.58.

2003-11-03  Karl Berry  <karl@gnu.org>

	* util/Makefile.am (EXTRA_DIST): add gdoc.

2003-11-02  Karl Berry  <karl@gnu.org>

	* util/gendocs.sh: doc fix.

	* doc/texinfo.txi (Using Texinfo): merge most details into ...
	(Output Formats): ... this section.

	* util/dir-example (VM): add.

2003-11-01  Alper Ersoy  <dirt@gtk.org>

	* doc/texinfo.txi (Conditional Commands): Docbook text should
		really use @ifdocbook.

	* info/info.c (raw_escapes_p): 1 by default.
	(long_options): new option no-raw-escapes.
	* doc/info-stnd.texi (Invoking Info): document it.

2003-10-31  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/xml.c:
	* makeinfo/xml.h:
	* makeinfo/insertion.c (handle_verbatim_environment): use
	<![[CDATA...]]> for @verbatim in docbook output too.

2003-10-31  Karl Berry  <karl@gnu.org>

	* TODO: image scaling in html needed.
	* makeinfo/cmds.c (cm_strong): only give the warning if we're
	actually producing Info output.

	* makeinfo/cmds.c (cm_strong): reword message and check for only
	*Note:, not *Note:*.  From: Kevin Ryde <user42@zip.com.au>, 31 Oct
	2003 06:19:05 +1000.

2003-10-29  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Def Cmd Template): shorten.
	* makeinfo/makeinfo.c: help message.
	* doc/texinfo.tex: version update.
	* makeinfo/texinfo.dtd: update copyright.

2003-10-28  Alper Ersoy  <dirt@gtk.org>

	* makeinfo/cmds.c: output correct elements for @command,
	@env, @file, @option and @samp commands, and also handle
	@titlepage in xml output.  New commands: @docbook,
	@ifdocbook and @ifnotdocbook for conditional docbook output.

	* makeinfo/defun.c (args_from_string): allow comma to be
	recognized as a separate token to help XML side of things.
	(process_defun_args): let xml.c handle xml output.

	* makeinfo/insertion.c: handle @verbatim properly when
	outputting xml.  This means: surround data with a <verbatim>
	block, use <![[CDATA ... ]]> and disable escaping.
	Recognize @titlepage, @docbook, @ifdocbook and
	@ifnotdocbook.
	(cm_insert_copying): do not trust the consistency of
	copying_text, because full_expansion doesn't let open
	docbook elements to be closed.
	(cm_item): generate correct index entries in xml output.

	* makeinfo/insertion.h: new insertion types: ifdocbook,
	ifnotdocbook, titlepage.

	* makeinfo/lang.c: notify language changes with
	@documentlanguage in xml output, using <documentlanguage
	xml:lang=".." /> elements.

	* makeinfo/makeinfo.c: trailing encoding settings in html
	output are commented.  Do not append any encoding settings
	to xml and docbook outputs.  Set process_docbook variable
	for @docbook, etc. and updated --help about it.
	(set):
	(clear): Output @set and @clear in xml so it's possible to
	pass variables to further processors.

	* makeinfo/makeinfo.h: process_docbook and
	inside_titlepage_cmd (to check validity of @author, @title,
	@subtitle, etc.)

	* makeinfo/sectioning.c: heading-only commands (@chaphading,
	etc.) do not start/end sections in xml output.  They are now
	equivalents of the title element.

	* makeinfo/toc.c: @contents and @shortcontents now appear in
	the output.

	* makeinfo/xml.c: changed element_list typedefs to also note
	whether an element is filled.  Prefilled elements get
	xml:space="preserve" attribute.  Added xml prolog.  Root element
	in xml output gets the document language like it does in
	docbook, but with xml:lang.  Removed indentation for xml
	output.  Also lines in paragraphs are joined.
	(xml_process_defun_args):
	(xml_begin_definition):
	(xml_end_definition):
	(xml_begin_def_term):
	(xml_end_def_term): functions to handle @def environments.

	* makeinfo/xml.h: new elements in xml_element enum:
	TITLEPAGE, AUTHOR, BOOKTITLE, BOOKSUBTITLE, COMMAND_TAG,
	ENV, FILE_TAG, OPTION, SAMP, CONTENTS, SHORTCONTENTS,
	DOCUMENTLANGUAGE, VERBATIM, SETVALUE, CLEARVALUE, DEF*.
	(Suffices of COMMAND_TAG and FILE_TAG are to avoid variable
	name clashes.)

	* makeinfo/texinfo.dtd: updated to reflect changes.

	* doc/texinfo.tex: skip @docbook and @ifdocbook.

2003-10-28  Karl Berry  <karl@gnu.org>

	* util/gendocs.sh: new -o option to specify output directory.

2003-10-27  Karl Berry  <karl@gnu.org>

	* lib/system.h (LC_MESSAGES): no longer needed according to
	Bruno, libintl.h defines it.
	Message of 16 Jul 2003 18:17:23 +0200.

2003-10-27  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\defname): be sure to declare the space
	  we get from \rightskip in the first line.
	  (\parsebodycommon): Be careful not to issue \medbreak after
	  \penalty 2000.
	  (\defxbodycommon): The penalty changed from 2000 to 3000;
	  it should be higher that the one in \parsebodycommon.
	  -- added "@c vim:sw=2:" near the end, for my comfort.

2003-10-27  Stepan Kasal  <kasal@ucw.cz>

	More cleanup of active chars in @defxx arguments:

	* doc/texinfo.tex (\opnr, \clnr): Reimplemented, ...
	  (\oprm, \clrm, \opnested, \ampnr): ... nuking these, and using ...
	  (\parenfont, \infirstlevel, \bfafterword): ... 3 new macros, ...
	  (\ifampseen): ... and a new \if.
	  (\brackcount): New count, to count also square braces, ...
	  (\lbrb, \rbrb): ... here.
	  (\checkparencounts): Macros to check whether both counts get back
	  to 0; ...
	  (\badparencount, \badbrackcount): ... if not, issue an error
	  message and reset the respective count.
	  (\deftypefnheaderx): Don't call \normalparens, it has no effect.
	  (\defvarargs): Call \boldbrax instead of \normalparens.
	  (\normalparens): Nuked.

2003-10-26  Eli Zaretskii  <eliz@is.elta.co.il>

	* info/session.c (info_menu_or_ref_item): If point is before all
	the cross-references, use the first one as the default, instead of
	setting which to -1 and crashing.  (Patch originally sent 2000-10-09.)
	Debian bug 74278, reported from: Josip Rodin <joy@cibalia.gkvk.hr>,
	7 Oct 2000 19:44:24 +0200.

2003-10-26  Karl Berry  <karl@gnu.org>

	* configure.ac (AM_MAINTAINER_MODE): enable, to avoid lossage
	when Texinfo sources are imported into other
	repositories (NetBSD, TeX Live).
	Most recently suggested by Thomas Klausner
	<wiz@danbala.ifoer.tuwien.ac.at>, 9 Sep 2003 14:57:09 +0200.

	* makeinfo/node.c (validate_file): ensure tem1 && tem2 before
	running STREQ.  Report from: Akim Demaille <akim@epita.fr>,
	13 Oct 2003 10:43:10 +0200.

	* doc/Makefile.am (infokey.1): new target.
	(man_MANS): include infokey.1.
	Noticed this in Debian diff.

	* util/texi2dvi: check for tex up front; inspired by Debian diff.

	* TODO: makeinfo -E should do simple macro expansion, not
	validity checking (even syntax, for @tex processing).

	From: Stepan Kasal <kasal@ucw.cz>, 24 Oct 2003 19:10:02 +0200.
	Start at making makeinfo -E behave more like a macro preprocessor,
		avoiding consistency checks.
	* makeinfo/insertion.c (cm_menu,cm_detailmenu): avoid checks if
	macro_expansion_output_stream.
	* makeinfo/makeinfo.c (main): set validating=0 if
	macro_expansion_output_stream.

	* util/texi2dvi (comment_iftex_sed): don't think we need to
	comment out @ifhtml sections here, makeinfo will not expand them
	by default.

2003-10-25  Karl Berry  <karl@gnu.org>

	* info/info.c: --raw-escapes affects Info files, not just man
	pages.

	* doc/texinfo.tex: novalis doesn't like my clarification, so make
	it a special exception instead.

2003-10-24  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\defname): Cleanup of this macro.
	  (\boldbraxnoamp): Nuked, it's equivalent to \boldbrax;
	  the caller changed.
	  Other minor cleanups around active paretheses.
	  (\defunargs): After reporting the "Unbalanced paretheses" error,
	  reset the count.

2003-10-24  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (makeinfo advantages): mention that plain text
	--no-headers does --enable-encoding.

2003-10-23  Karl Berry  <karl@gnu.org>

	* makeinfo/macro.c (define_macro): write the macro definition
	itself to the output stream, to give texinfo.tex a chance at it.
	Report from: Akim Demaille <akim@epita.fr>, 22 Oct 2003 17:15:34
	+0200.

	* doc/texinfo.tex (\readauxfile): make the \openout\auxfile be
	\immediate, to avoid spurious terminal output from the
	\immediate's in \setref.

2003-10-23  Stepan Kasal  <kasal@ucw.cz>

	Rewrite \parsearg:
	* doc/texinfo.tex (\parsearg, \parseargusing): \parseargusing is
	  a new macro which works just like good old \parsearg but takes
	  one more parameter which contains code to be performed within
	  a group just before we slurp the rest of the line---typically,
	  some catcode chages go here.
	  (\parseargx): Insert an \empty token before the arg to be read,
	  to prevent loosing of braces.  (Thus @end{foo} no longer works.)
	  (\parseargline, \argremovecomment, \argremovec): Change the way
	  comments are stripped; do not use \toks0.
	  (\removeactivespaces): is now called directly from \parsearg (via
	  \parseargusing and \argremovec), and stripps only the trainling
	  active spaces, doesn't perform expansion.
	  (\finishparsearg): New macro, finishes \parsearg by nuking the
	  added \empty token.
	  (\end, \endxxx): Don't call \removeactivespaces, don't use \toks0;
	  because of efficiency, move the error handling to ...
	  (\badenderror): ... a new macro.
	  (\doverbatim): ``\end{verbatim}'' changed to ``\end verbatim.''

	Cleanup of various details with active spaces.
	  (\parseargx): Do the \futurelet and move the rest ...
	  (\parseargy): ... to a new macro;
	  (\parseargusing): caller changed;
	  (\parseargdiscardspace): the other caller nuked.
	  (\obeyedspace, \sepspaces, \unsepspaces): Move near to \parsearg.
	  (\obeyedspace): Is now a macro containing the active space.
	  (\unsepspaces): No longer makes spaces active.
	  (\ignoreactivespaces): Nuked, it's only appearance in ...
	  (\aliasxxx): ... replaced by direct code.

2003-10-23  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: comments at top.

	* AUTHORS: add kama.  (kama's address is now khmarbaise@gmx.de.)

2003-10-21  Karl Berry  <karl@gnu.org>

	* util/gendocs.sh: revision of mohit's original.
	* util/Makefile.am (EXTRA_DIST): add gendocs.sh and
		gendocs_template.

2003-10-20  Karl Berry  <karl@gnu.org>

	* makeinfo/cmds.c (handle_include): only close_paragraph if
	!insertion_stack, else we get extra blank lines when
	used inside @example.
	* makeinfo/insertion.c (handle_verbatim_include): likewise, plus
		move the indentation around.
	Report from: Brian Gough <bjg@network-theory.co.uk>,
	20 Oct 2003 14:36:49 +0100.

	* makeinfo/makeinfo.c (close_paragraph): formatting changes to
		minimize lines.

	* makeinfo/insertion.c (end_insertion): for html output in the
	example/etc. case, kill_self_indent to get rid of
	leading whitespace.
	Report from: Brian Gough <bjg@network-theory.co.uk>,
	20 Oct 2003 14:36:49 +0100.

2003-10-16  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\shortcontbf): cmb10 scaled \magstep1, not cmb12,
	since cmb12 is not a standard font.
	Report from: Staszek Wawrykiewicz <staw@gust.org.pl>,
	16 Oct 2003 06:44:40 +0200.

2003-10-14  Karl Berry  <karl@gnu.org>

	* lib/xstrdup.c: put old version back, we're not ready for gnulib
	xmalloc yet.

	* makeinfo/insertion.c: undo xml_no_para change, it causes more
	problems than it solves, according to Alper (Ersoy, <dirt@gtk.org>).

2003-10-12  Karl Berry  <karl@gnu.org>

	* makeinfo/insertion.c (begin_insertion,end_insertion): in rawhtml
	case (also used for rawxml), increment and decrement xml_no_para.

	* makeinfo/lang.c (cm_documentencoding): force the normal (info)
	expansion when reading the arg, even when parsing xml/html/docbook.
	Report from: Kevin Ryde <user42@zip.com.au>,
	13 Oct 2003 10:02:23 +1000.

2003-10-09  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\chapterzzz,...,\unnumberedsubsubseczzz): make
	section number settings \global.  Otherwise, when chapters are
	@included, they are ineffective and every chapter is numbered 1.
	For instance, the Emacs and Elisp manuals.  Thanks to Stepan for
	analysis.

	* doc/texinfo.tex: add arch-tag for miles.

2003-10-08  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\onepageout): At the beginning of \shipout, call
	    \pdfdest directly, not via \pdfmkdest.
	  (\pdfmkdest): Call also \atdummies before \pdfdest.
	  (\donoderef): Remove the unsuccessful attempt to expand \lastnode
	    before passing it to \setref (it only expanded `{' twice);
	    things would screw up if \lastnode was expanded too much.
	  (\setref): Rewritten, don't call \atdummies, don't expand
	    \thissection.
	  (\dosetq, \internalsetq, \Ypagenumber, \Ytitle): Nuked.
	  (\chfplain): Remove referrence to \Ytitle from a comment.

2003-10-08  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: spurious space and comment (from Stepan).

	* NEWS: automake 1.7.8.
	* util/dir-example: include netpbm.

2003-10-07  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\defbf, shortcontbf): use \bfshape instead of
	\bxshape, so we use cmb consistently instead of cmbx.

	* doc/texinfo.txi: more index entries for em/en dashes, fix
		capitalizations of cindex entries.

2003-10-07  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\defname): Don't use \ifempty.
	  (\ifempty): Nuke.

2003-10-06  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\dosubind, \doind): Cleanup, move code ...
	  (\dosubindwrite, \dosubindsanitize): ... to new macros,
	  (\emptymacro): and nuke this one.

	* doc/texinfo.tex (\Ypagenumber): Add `\noexpand,' so that ...
	  (\dosetq): ... doesn't have to redefine \folio.  Move \iflinks ...
	  (\setref): ... here.

2003-10-06  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\setdeffont): remove; this used DEF instead of
	def, and thus had no effect for some years, so
	clearly no one has been using it.  Noticed by Stepan.

2003-10-04  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: document hyphen -> dash suppression in literal
	contexts, and verbatim commands not working inside other commands.
	Report from: Luc Teirlinck <teirllm@dms.auburn.edu>, 2 Oct 2003
	22:45:14 -0500,

	* doc/texinfo.tex (\commondummies,\indexnofonts): no-op @verb; I
	doubt this is sufficient to make @verb work in index entries etc.,
	but it's a start.  Analysis from: Andreas Schwab <schwab@suse.de>,
	02 Oct 2003 18:54:40 +0200.

2003-09-28  Karl Berry  <karl@gnu.org>

	* TODO: add item for conversion of non-texinfo manuals.

2003-09-26  Karl Berry  <karl@gnu.org>

	* CVSROOT/loginfo: back to log_accum.

	* doc/texinfo.tex (\parsebodycommon): increase \penalty between
	headers to 2000 from 0.
	(\defxbodycommon): check for 10002, not 1000.  We don't want to
	allow a page break after a section heading.  Hmm, but it seems
	this should never be called next after a section heading?

2003-09-25  Karl Berry  <karl@gnu.org>

	* makeinfo/cmds.c (cm_strong): warn if argument is exactly
	"Note:", since that conflicts with Info usage.  Suggestion from
	rms.

2003-09-24  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\dosubind): must propagate penalty after all,
	because we insert a non-discardable item (the whatsit), which
	makes following glue a breakpoint.  Now I understand (maybe).
	(\sectionheading): must end with \nobreak after
	all, purely to make \lastpenalty 10000 so future code can check
	that and avoid breaks.
	(\parsebodycommon): such as this code; don't do a
	\medbreak if lastpenalty >=10000.

	* doc/texinfo.tex (\tocindent): decrease to 2pc.
	(\{app,unn}sub{sub,}secentry): redefine so that they
	indent properly.

2003-09-23  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\dosubind): remove my misbegotten idea of
	propagating the penalty; all that did was increase the chance of a
	valid breakpoint.  Bug report from: Werner LEMBERG <wl@gnu.org>,
	23 Sep 2003 15:47:31 +0200.
	(\numhead,\apphead,\unnmhead): avoid spurious
	blank spaces, for cleanliness.

	* CVSROOT/loginfo: syncmail instead of external log_accum.
	* doc/texinfo.tex (\sectionheading): remove extraneous \nobreak,
	found by Stepan (of course).

2003-09-22  Stepan Kasal  <kasal@ucw.cz>

	* doc/texinfo.tex (\sectionheading): the space below a section
	  heading should have fixed size; \nobreak after a \vskip is
	  redundant.

2003-09-21  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex (\sectionheading): make space below be half of
	space above, and don't add \parskip to space above.  Suggestion
